2010-03-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* extensions/bookmarks/bookmarks.gaupol-extension.in:
	* extensions/side-pane/side-pane.gaupol-extension.in:
	* gaupol/__init__.py:

	RELEASE 0.15.1

2010-03-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* po/hu.po:

	Merge translation updates from the hilja branch.

2010-03-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/file.py: Unbreak universal newline handling in
	SubtitleFile._read_lines.

	Universal newline mode 'U' as of Python 2.6.5 no longer [1] works with
	codecs.open. So, instead, use the built-in function open and call
	decode separately.

	 [1] http://bugs.python.org/issue691291

2009-09-27  Chris Leick  <c.leick@vollbio.de>

	* po/de.po: Add German translation.

2009-09-27  Chris Leick  <c.leick@vollbio.de>

	* TODO: Add German translation.

2009-09-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* CREDITS:
	* TODO:
	* tools/generate-change-log:
	* tools/git2cl:

	Replace git2cl with homegrown generate-change-log.

2009-09-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.common-error.in:
	* data/patterns/Latn-en.line-break.in:
	* data/patterns/Latn-fi.common-error.in:
	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn.line-break.in:
	* data/patterns/Zyyy.common-error.in:

	Wrap comments at 70 characters.

2009-09-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/codes/iso_15924.xml:
	* data/codes/iso_3166.xml:

	Update iso-codes XML files from upstream.

2009-09-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/wiki/extensions.wiki:
	* doc/wiki/gaupol.wiki:
	* doc/wiki/pattern-files.wiki:
	* doc/wiki/writing-extensions.wiki:
	* doc/wiki/writing-pattern-files.wiki:

	Fix syntax errors in wiki documentation.

2009-09-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING.win32: Fix permissions.

2009-09-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/wiki/classes.dia:
	* doc/wiki/classes.png:
	* doc/wiki/extensions.wiki:
	* doc/wiki/gaupol.wiki:
	* doc/wiki/pattern-files.wiki:
	* doc/wiki/writing-extensions.wiki:
	* doc/wiki/writing-pattern-files.wiki:

	Add preliminary wiki documentation.

2009-09-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/temp.py:

	Fix permissions.

2009-08-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/file.py:

	Have SubtitleFile.get_template_header raise Exceptions.

2009-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/liner.py: Strip leading and trailing space inside markup
	tags.

2009-06-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/agents/set.py:

	Do not create revertable actions for non-edits.

	If setting the value of a subtitle attribute to the same value it
	already has, do not create a revertable action for the non-edit.

2009-05-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/formats.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/save.py:
	* gaupol/gtk/agents/test/test_open.py:

	Fix mime-types of files added to recent manager.

	Add attribute mime_type to all classes in gaupol.formats. Add format
	argument to OpenAgent.add_to_recent_files and use that to conclude the
	correct mime-type to be added when calling recent_manager.add_full.

	This change allows files listed in the desktop environment's recent
	files list to open with some subtitle editor instead of a text editor
	as text/plain was previously used for all files.

2009-05-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	* gaupol/gtk/view.py:

	Avoid ValueError with subtitle number search.

	If the tree view interactive search string is not convertible to int,
	return False instead of raising a ValueError.

2009-05-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* NEWS:
	* TODO:
	* doc/RELEASING:
	* extensions/bookmarks/bookmarks.gaupol-extension.in:
	* extensions/side-pane/side-pane.gaupol-extension.in:
	* gaupol/__init__.py:
	* po/POTFILES.in:
	* po/gaupol.pot:

	RELEASE 0.15

2009-05-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-fi.common-error.conf:
	* data/patterns/Latn-fi.common-error.in:
	* data/patterns/Latn-fr.common-error.in:
	* data/patterns/Latn.common-error.in:
	* gaupol/patternman.py:

	Change the order in which patterns are run.

	Previously patterns have been run in the order they are defined in the
	pattern file with general patterns run first, then script patterns,
	then language patterns and finally country patterns. Change this so
	that patterns with the same name are always run one after the other in
	the position of the earliest one.

	For example, consider the following patterns defined in the pattern
	files in the following order.

	    Latn.common-error:    A, B, C
	    Latn-fi.common-error: B, D, E

	Previously these were run in order A, B, C, B, D, E. With this change
	they will now be run in order A, B, B, C, D, E or if the policy of the
	B pattern in Latn-fi has been set to 'Replace', the A, B, C, D, E.
	This should make it more convenient to replace or extend patterns
	above in the hierarchy.

	Adapt Latn-fr.common-error.in to the above order and add
	Latn-fi.common-error.in to use the new order.

2009-05-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/patterns/Latn-fr.common-error.conf:
	* data/patterns/Latn-fr.common-error.in:
	* data/patterns/Latn.common-error.conf:
	* data/patterns/Latn.common-error.in:
	* tools/pattern-conf:

	Merge Latin and French common error patterns from subtitleeditor.

2009-05-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/agents/open.py:
	* gaupol/determiner.py:
	* gaupol/encodings.py:
	* gaupol/file.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/test/test_encodings.py:

	Fix handling of Unicode BOMs.

	Add 'utf_8_sig' (added with Python 2.5) to the list of supported
	encodings with the name 'UTF-8-SIG'. Remove previous special-case
	handling of UTF-8 BOMs in SubtitleFile and handle UTF-8 BOMs normally
	via encodings.

	Add function 'detect_bom' to gaupol.encodings and use that to check
	files for Unicode BOMs. Do this check each time when opening a file
	before trying the defined encodings to avoid getting a FormatError if
	an encoding decodes the file into garbage without raising a
	UnicodeDecodeError. If a BOM is found, read the file with the
	correspoding encoding. This means that Unicode files with a BOM should
	be always opened correctly regardless of the locale encoding or the
	defined fallback encodings.

	In SubtitleFile._read_lines and SubtitleFile.write handle the various
	BOMs as follows.

	 * UTF-8-SIG: If a UTF-8 BOM is found (i.e. UTF-8-SIG file opened as
	   UTF-8), reread the file as UTF-8-SIG. Once UTF-8-SIG is used,
	   Python automatically strips the BOM when reading and adds it when
	   writing.

	 * UTF-16: When using UTF-16, Python automatically strips the BOM
	   (whether it is BE or LE) when reading and adds the plaform's native
	   byte order BOM when writing.

	 * UTF-16-BE and UTF-16-LE: When using these Python does no automatic
	   stripping or adding of BOMs. Thus, when reading, set SubtitleFile
	   attribute 'has_bom_utf_16' and when writing, check that attribute
	   and add the corresponding UTF-16 BOM if one was read.

	Because the 'detect_bom' function is always used before other
	encodings, the possibly destructive, BOM-changing encoding UTF-16
	should never end up used when opening files.

2009-05-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.common-error.in:
	* data/patterns/Latn-en.line-break.in:
	* data/patterns/Latn.capitalization.in:
	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn.line-break.in:

	Loosen Latin patterns.

	Add guillemets to quotation mark matches by replacing all ["'] with
	["'«»]. Loosen the 'Space after punctuation marks' to be less strict
	about what precedes the punctuation mark.

2009-05-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in: Add space after colon in Latin.

2009-05-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/patternman.py:

	Fail silently reading pattern configuration files.

	If there is a pattern configuration file, but no patterns have been
	read, silently skip reading the configuration instead of raising an
	AssertionError.

2009-05-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/agents/text.py:

	Fix incorrect handling of common error patterns.

	Make sure the lists of common errors patterns and their properties as
	handled by TextAgent.correct_common_errors are all filtered to include
	only enabled patterns. Ensure the same for other text corrections.
	This fixes an eternal loop caused by using the 'Repeat' attribute of a
	different pattern. Closes #581003.

2009-05-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/agents/open.py:
	* gaupol/agents/register.py:
	* gaupol/agents/save.py:
	* gaupol/agents/search.py:
	* gaupol/agents/util.py:
	* gaupol/calculator.py:
	* gaupol/containers.py:
	* gaupol/determiner.py:
	* gaupol/encodings.py:
	* gaupol/enumeration.py:
	* gaupol/files/__init__.py:
	* gaupol/files/mpsub.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/application.py:
	* gaupol/gtk/assistants.py:
	* gaupol/gtk/conf/config.py:
	* gaupol/gtk/dialogs/duration.py:
	* gaupol/gtk/dialogs/framerate.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/shift.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/dialogs/transform.py:
	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/ruler.py:
	* gaupol/gtk/util.py:
	* gaupol/liner.py:
	* gaupol/metadata.py:
	* gaupol/project.py:
	* gaupol/revertable.py:
	* gaupol/subtitle.py:
	* gaupol/tags/__init__.py:
	* gaupol/util.py:
	* setup.py:

	Add messages for raised exceptions.

2009-05-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/fields.py: Add note for translators.

2009-05-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py: Set tooltip for bookmark column
	header label.

2009-05-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/fields.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/renderers/__init__.py:
	* gaupol/gtk/renderers/float.py:
	* gaupol/gtk/renderers/test/test_float.py:
	* gaupol/gtk/test/test_view.py:
	* gaupol/gtk/view.py:

	Show durations in time mode as seconds.

	Add gaupol.gtk.FloatCellRenderer and use that to render the duration
	column of float data when in time mode. Shorten the duration column
	header label to 'Dur.' and add full-length tooltips for all column
	header labels. Set all cell renderer x paddings to 4.

2009-04-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* extensions/bookmarks/bookmarks.py:
	* gaupol/gtk/actions/edit.py:

	Allow bookmarks to be added by activating the list row.

	If the user double-clicks or presses Enter or Space, toggle bookmark
	for that subtitle. Restrict existing UI manager actions bound to Enter
	and Space to columns that are editable, i.e. where the mode of the
	cell renderer is gtk.CELL_RENDERER_MODE_EDITABLE. Closes #580346.

2009-04-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/test/test_entries.py:

	Allow pasting times with comma as a decimal separator.

	Automatically convert a comma decimal separator in
	TimeEntry._insert_text to a period to allow pasting a time from e.g. a
	SubRip file opened in a text editor. Closes #580339.

2009-04-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/gaupol.gtk.conf.spec:

	Don't split words by default.

	Set the default value of gaupol.gtk.conf.join_split_words.split to
	False due to the amount of false corrections.

2009-04-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/gaupol.gtk.conf.spec:
	* data/glade/assistants/text/join-split-words.glade:
	* data/glade/dialogs/language.glade:
	* gaupol/agents/test/test_text.py:
	* gaupol/agents/text.py:
	* gaupol/gtk/assistants.py:
	* gaupol/gtk/test/test_assistants.py:
	* gaupol/test/test_util.py:
	* gaupol/util.py:

	Add text correction task to split and join words.

	Add project methods spell_check_join_words and spell_check_split_words
	that use spell-check suggestions to fix whitespace OCR errors. Add a
	corresponding non-language-dependent text correction task.

2009-04-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/dialogs/language.glade:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/test/test_language.py:

	Add simpler version of the language dialog.

	Add argument show_target to LanguageDialog.__init__, which can be set
	to False to have a stripped dialog only for choosing the language.

2009-04-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* setup.py:

	Abort installation if an intltool-merge or msgfmt call fails.

	Check the return values of all intltool-merge and msgfmt commands run
	with os.system. If the return value is not zero, abort installation
	with an error message.

2009-04-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/dialogs/debug.py:

	Launch editor as 'EDITOR +LINENO FILE'.

2009-04-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/main.py: Add colon to error message.

2009-04-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/encodings.py:
	* gaupol/gtk/main.py:
	* gaupol/test/test_encodings.py:

	Add validation for encoding argument '-e'.

	If an encoding argument was given on the command line using the '-e'
	option and its value was not 'auto', translate the value using
	encodings.aliases. If the given encoding is not valid and not a known
	alias, exit with an error message.

2009-04-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Update.

2009-04-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	* NEWS:
	* TODO:
	* doc/RELEASING:
	* gaupol/__init__.py:
	* po/gaupol.pot:

	RELEASE 0.14

2009-04-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	* NEWS:
	* TODO:
	* doc/RELEASING:
	* gaupol/__init__.py:
	* po/gaupol.pot:

	RELEASE 0.14

2009-04-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* tools/py2exe.bat:

	Fix py2exe setup call.

2009-04-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* doc/RELEASING:
	* extensions/bookmarks/bookmarks.py:

	Call update after adding or removing a bookmark.

2009-04-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/register.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/dialogs/test/test_spellcheck.py:

	Silence pylint warnings.

2009-04-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/MODULES:
	* gaupol/gtk/__init__.py:
	* gaupol/gtk/agents/test/test_util.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/enumuim.py:
	* gaupol/gtk/test/test_enumuim.py:

	Add gaupol.gtk.enumuim.

	Add dictionaries 'field_actions', 'framerate_actions' and
	'mode_actions' mapping enumerations to UI manager action names to
	gaupol.gtk. Use these dictionaries in gaupol.gtk.agents.util instead
	of hard-coded if-clauses to allow extensions to easily add enumeration
	items so that UI manager actions work as well.

2009-04-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/test/test_extensionman.py:

	Write configurations to file on teardown.

	Since extensions read their configurations during setup, they should
	also be written during teardown to not lose any settings.

2009-04-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/temp.py:
	* gaupol/test/test_temp.py:

	Add gaupol.temp.remove_all.

	Call remove_all on an atexit handler to remove all temporary files
	that have not been removed during runtime.

2009-04-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/patterns/Latn.hearing-impaired.in:

	Fix pattern.

2009-03-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* .gitignore: Ignore *.gaupol-extension files.

2009-03-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py: Ignore .pyc files when reading data file manifest.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/dialogs/test/test_spellcheck.py:

	Fix enchant deprecation warning.

	Dict.add_to_pwl is deprecated, please use Dict.add.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/test/test_preferences.py: Fix extension
	preferences unit tests.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/spellcheck.py: Check a word with dictionary
	after initializing it.

	Sometimes enchant will initialize a dictionary that will not actually
	work when trying to use it, hence check something. The same old
	ValueError will be raised if the dictionary fails this test.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/test/test_set.py: Remove leftover debug print.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/unittest.py: Always use a new application in unit tests.

	Have TestCase.get_application always initialize and return a new
	application to avoid having a unit test fail because another unit test
	broke the one application used. Have TestCase.teardown_method destoy
	the application if applicable. This will significantly slow down gtk
	unit testing, but that's acceptable given the current hardware of the
	gaupol development team (before it was not).

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py: Do not try to change the font of a pixbuf cell
	renderer.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/test/test_menu.py: Remove obsolete unit test.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/test/test_pattern.py: Fix list separator in unit test.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/samples/ass.ass:
	* data/samples/ssa.ssa:

	Update linebreaks in SSA and ASS samples.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/test/test_format.py:
	* gaupol/agents/test/test_search.py:
	* gaupol/deco.py:
	* gaupol/tags/test/test_ass.py:
	* gaupol/tags/test/test_microdvd.py:
	* gaupol/tags/test/test_mpl2.py:
	* gaupol/tags/test/test_ssa.py:
	* gaupol/tags/test/test_subrip.py:
	* gaupol/test/test_finder.py:
	* gaupol/test/test_liner.py:
	* gaupol/test/test_markup.py:
	* gaupol/test/test_parser.py:
	* gaupol/util.py:

	Replace line-continuation backslashes with parantheses.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/tags/test/test_mpl2.py: Fix copy-paste error in class name.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/test/test_extension.py:
	* gaupol/gtk/test/test_extensionman.py:

	Fix extension configuration reading.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/preview.py: Reorder list of video file extensions.

	Place ambiguous extensions '.ogg' and '.dat' at the end of the list so
	that if there are multiple matches an earlier one would be chosen.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* doc/RELEASING:
	* extensions/bookmarks/add-bookmark-dialog.glade:
	* po/gaupol.pot:
	* setup.py:

	Mark stock icon labels 'gtk-*' as not translatable.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.desktop.in:
	* data/ui/ui.xml:
	* tools/pydoctor:

	Adapt to renamed highlight option.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	* tools/pattern-conf:

	Handle multiple pattern files as input.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/language.py: Make the language dialog slightly
	taller.

2009-03-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/gaupol: Relocate gtk import.

2009-03-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* INSTALL:
	* TODO:
	* setup.py:

	Fix setup.py extension installation.

	Get the byte_compile options from install_lib instead of build_py. If
	install_lib.compile is zero, do not build extensions either.

2009-03-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* CREDITS:
	* TODO:
	* extensions/bookmarks/bookmarks.py:

	Update the bookmark column immediately after removing a bookmark.

2009-03-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/test/test_search.py:

	Fix the search dialog to not modify obsolete data.

	If data in the page was changed from outside the search dialog, the
	current search must be invalidated to avoid making edits (especially
	via the text view's focus-out handler) based on data that no longer
	exists. Invalidate the search if application emits a page-changed
	signal, one that did not originate from the search dialog.

	Fixes #572676.

2009-03-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/page.py:

	Make removing a large amount of subtitles significantly faster.

	Unset the page's view for the duration of list store row removals if
	removing a large amount of rows.

2009-03-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/codes/iso_15924.xml:
	* data/codes/iso_3166.xml:
	* data/codes/iso_639.xml:

	Update ISO codes XML files to version 3.7.

2009-03-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/dialogs/language.py:

	Use  enchant.list_languages in addition to locales.txt.

2009-03-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	* TODO:
	* extensions/side-pane/side-pane.py:
	* manifest/data-files:
	* manifest/junk-files:
	* po/POTFILES.in:
	* po/gaupol.pot:
	* setup.py:
	* tools/py2exe.bat:
	* winsetup.py:

	Add installation routines for extensions.

	Install extensions under the data directory. Compile Python code ins
	extensions with the same arguments as used by the build_py command.

	Split py2exe installation from setup.py to new file winsetup.py.

2009-03-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/patternman.py: Fix regular expression for comments.

	Allow comments only at the start of the line to allow using number
	signs in regular expression patterns.

2009-03-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/spellcheck.py:

	Catch LookupError on locales.code_to_name.

	If locales.code_to_name raises KeyError in either LanguageDialog or
	SpellCheckDialog, catch that error and use the plain locale code
	instead of the usual 'Language (Country)'. This may occur if
	data/codes/locales.txt and data/codes/iso_639.xml are not kept in
	sync, which though should be avoided by current unit tests.

2009-02-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/dialogs/file.py:

	Fix open dialog file filter.

	Fix open dialog file filter pattern to list files with upper- and
	mixed case extensions as well.

2009-02-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/file.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/main.py:
	* gaupol/paths.py:
	* gaupol/patternman.py:
	* gaupol/test/test_file.py:
	* gaupol/test/test_paths.py:
	* gaupol/test/test_patternman.py:

	Rewrite paths.py to be fd.o XDG compliant.

	Adher to the home directory part of the freedesktop.org XDG Base
	Directory Specification by making a separation between config and data
	and using the XDG paths for those directories. Have the main-function
	call paths.xdg_copy_if_applicable to copy existing files under
	~/.gaupol to the respective XDG directories.

2009-02-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/test/test_util.py:
	* gaupol/util.py:

	Add gaupol.util.writelines.

2009-02-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/page.py: Add fields argument to Page._assert_store.

	If converting from a frame-based format to a time-based or vice versa,
	it is possible that both positions-changed (due to framerate
	calculations) and main-texts-changed (due to conversion of tags)
	signals are fired. In such a case only the fields corresponding to the
	signal should be asserted to match.

2009-02-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/agents/util.py:

	Remove obsolete precondition function.

2009-01-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/agents/preview.py:
	* gaupol/agents/register.py:
	* gaupol/agents/search.py:
	* gaupol/calculator.py:
	* gaupol/clipboard.py:
	* gaupol/contractual.py:
	* gaupol/deco.py:
	* gaupol/delegate.py:
	* gaupol/determiner.py:
	* gaupol/enumeration.py:
	* gaupol/file.py:
	* gaupol/files/ass.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/finder.py:
	* gaupol/gtk/action.py:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/file.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/help.py:
	* gaupol/gtk/actions/menu.py:
	* gaupol/gtk/actions/position.py:
	* gaupol/gtk/actions/search.py:
	* gaupol/gtk/actions/text.py:
	* gaupol/gtk/actions/view.py:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/agents/search.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/application.py:
	* gaupol/gtk/assistants.py:
	* gaupol/gtk/conf/attrdict.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/append.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/duration.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/framerate.py:
	* gaupol/gtk/dialogs/glade.py:
	* gaupol/gtk/dialogs/header.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/message.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/dialogs/open.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/dialogs/previewerr.py:
	* gaupol/gtk/dialogs/save.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/shift.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/dialogs/transform.py:
	* gaupol/gtk/dialogs/video.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/output.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/renderers/multiline.py:
	* gaupol/gtk/renderers/time.py:
	* gaupol/gtk/ruler.py:
	* gaupol/gtk/view.py:
	* gaupol/metadata.py:
	* gaupol/observable.py:
	* gaupol/parser.py:
	* gaupol/pattern.py:
	* gaupol/patternman.py:
	* gaupol/project.py:
	* gaupol/singleton.py:
	* gaupol/subtitle.py:

	Add missing (and redundant) docstrings.

	Document methods, decorators and metaclasses that behave differently
	based on whether gaupol.debug is True or False.

2009-01-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.gaupol-extension.in:
	* extensions/bookmarks/bookmarks.py:

	Clean up bookmark extension code.

2009-01-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* extensions/side-pane/side-pane.py:

	Improve side pane docstrings.

2009-01-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/about.py: Bump about dialog copyright up to
	2009.

2009-01-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.gaupol-extension.in:
	* extensions/side-pane/side-pane.gaupol-extension.in:
	* gaupol/gtk/dialogs/preferences.py:

	Handle extension copyrights as a list.

	Make the 'Copyright' field of the extension metadata file be a list
	and have the extension about dialog wrap that list.

2009-01-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py:
	* extensions/side-pane/side-pane.py:

	Complete teardown for the bookmarks extension.

2009-01-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py:
	* gaupol/gtk/agents/util.py:

	Implement edit_bookmarks action.

2009-01-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/side-pane/side-pane.py: Fix action group sensitivity
	setting, again.

2009-01-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py: Update bookmarks when subtitles
	inserted or removed.

2009-01-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/application.py:

	Update bookmark side pane on page-switched.

	Add page-switched signal to Application.

2009-01-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/side-pane/side-pane.py:
	* gaupol/gtk/agents/edit.py:

	Fix action group sensitivity setting.

	Change action group sensitivities in the side pane only if focus was
	moved to or from the side pane.

2009-01-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmark.png: Add bookmark.png.

2009-01-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py: Fix bookmark deletion.

2009-01-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* CREDITS:
	* extensions/bookmarks/bookmarks.py:
	* gaupol/gtk/view.py:

	Add bookmark pixbuf column.

2009-01-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/git2cl: Fix ChangeLog output style.

	Handle commits with no changed files. Comment out printing the very
	first commit message, i.e. 'default layout'.

2009-01-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py: Complete bookmark tree view.

	Implement jumping to a bookmark, editing a bookmark description and
	deleting a bookmark.

2009-01-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py:
	* extensions/side-pane/side-pane.py:

	Disable unsafe UI manager actions in the whole side pane.

	Disabling unsafe UI manager actions allows the side pane to contain
	any widgets that can have input focus and can have their own
	keybindings, without being in conflict with the keybindings of UI
	manager actions.

	Disable unsafe UI manager actions whenever the focus is set to any
	descendant of the side pane as reported by the set-focus signal
	emitted by the main application window.

2009-01-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/extensionman.py: Add missing docstring.

2009-01-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/add-bookmark-dialog.glade:
	* extensions/bookmarks/bookmarks.py:

	Remove buttons.

2009-01-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/view.py:

	Add submenus to unsafe action group.

2008-12-31  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/side-pane/side-pane.py: Add missing deactivate hook.

2008-12-31  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py:
	* extensions/side-pane/side-pane.py:

	Fix spacing issues.

2008-12-31  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py: Implement bookmark searching.

2008-12-31  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/action.py:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/file.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/help.py:
	* gaupol/gtk/actions/menu.py:
	* gaupol/gtk/actions/position.py:
	* gaupol/gtk/actions/search.py:
	* gaupol/gtk/actions/text.py:
	* gaupol/gtk/actions/view.py:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/agents/test/test_menu.py:
	* gaupol/gtk/agents/test/test_util.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/application.py:

	Split action group 'main'.

	Split the 'main' action group to 'main-safe' and 'main-unsafe' to
	adapt to possible conflicts with widgets' built-in keybindings.

2008-12-31  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py: Add side pane widget.

2008-12-31  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/side-pane/side-pane.py: Fix packing.

2008-12-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.gaupol-extension.in:
	* extensions/side-pane/side-pane.gaupol-extension.in:
	* gaupol/gtk/extensionman.py:

	Rename extension metadata files to *.in.

	Allow ExtensionManager to load both both *.gaupol-extension and
	*.gaupol-extension.in.

2008-12-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py: Implement bookmark navigation.

2008-12-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/add-bookmark-dialog.glade:
	* extensions/bookmarks/bookmarks.py:

	Implement adding bookmarks.

	Add file add-bookmark-dialog.glade.

2008-12-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/side-pane/side-pane.py:
	* gaupol/gtk/extension.py:
	* gaupol/gtk/extensionman.py:

	Do not call Extension.read_config automatically.

	Add argument 'spec_file' and have extensions call read_config with the
	spec_file preferrably at the start of their setup method.

2008-12-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.py:
	* extensions/side-pane/side-pane.py:

	Rename action groups.

2008-12-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* extensions/bookmarks/bookmarks.py:
	* extensions/side-pane/side-pane.py:
	* gaupol/gtk/extension.py:

	Fix read_config.

	Remove all sections of other extensions from the read Config before
	updating gaupol.gtk.conf.extensions.

2008-12-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/extension.py:

	Fix read_config.

	Remove all sections of other extensions from the read Config before
	updating gaupol.gtk.conf.extensions.

2008-12-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/view.py:
	* gaupol/gtk/page.py:

	Add view-created signal to Page.

2008-12-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui/ui.xml: Reformat XML and add missing placeholders.

2008-12-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/bookmarks/bookmarks.conf.spec:
	* extensions/bookmarks/bookmarks.gaupol-extension:
	* extensions/bookmarks/bookmarks.py:
	* extensions/bookmarks/bookmarks.ui.xml:
	* extensions/side-pane/side-pane.conf.spec:
	* extensions/side-pane/side-pane.gaupol-extension:
	* extensions/side-pane/side-pane.py:
	* extensions/side-pane/side-pane.ui.xml:

	Rename sidepane to side-pane.

2008-12-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/glade/assistants/text/line-break-options.glade:
	* data/glade/dialogs/duration.glade:
	* data/glade/dialogs/insert.glade:
	* data/glade/dialogs/preferences.glade:
	* data/glade/dialogs/shift.glade:
	* data/glade/dialogs/split.glade:
	* data/glade/dialogs/transform.glade:

	Set spin button page sizes to zero.

	Fixes GtkWarning: GtkSpinButton: setting an adjustment with non-zero
	page size is deprecated.

2008-12-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/test/test_extensionman.py:

	Handle extension dependencies.

	Fix extension list in the preferences dialog to take dependencies into
	account when displaying which extensions are active. Handle
	DependencyError in case teardown fails.

2008-12-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/sidepane/sidepane.py: Minor changes.

2008-11-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/preferences.py: Keep the extension list about
	dialog button sensitive.

2008-11-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/errors.py:
	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/test/test_errors.py:

	Add teardown dependency handling.

	Add dependency handling to ExtensionManager.teardown_extension. All
	unused dependecies of module will be torn down as well. Unless the
	force argument is False, raise DependencyError if module to be torn
	down is used by other modules.

2008-11-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/preferences.py: Do not list hidden extensions in
	the preferences dialog.

	If the value of field 'Hidden' has been explicitly set to True in the
	extension metadata file, do not list that extension.

2008-11-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/test/test_extensionman.py:

	Add support for dependency handling.

	Have Extensionman.setup_extension automatically setup all dependencies
	of the argument module. Dependencies can be specified in the metadata
	file as a list with the field name 'Requires'.

2008-11-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/metadata.py: Add fallback arguments to Metadata.get_*
	methods.

	Allow the caller to specify the value returned if the field is not
	found, similar to getattr behaviour. Default fallback to None.

2008-11-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* .gitignore: Add etags file TAGS.

2008-11-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/actions/file.py:
	* gaupol/gtk/application.py:

	Keep recent file menus visible.

	Set 'is-important' properties of recent file menu actions to True and
	remove Application._init_recent_menus entirely to keep recent file
	menus visible when extensions merge their UIs and call
	gtk.UIManager.ensure_update.

2008-11-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* extensions/sidepane/sidepane.conf.spec:
	* extensions/sidepane/sidepane.gaupol-extension:
	* extensions/sidepane/sidepane.py:
	* extensions/sidepane/sidepane.ui.xml:

	Add side pane extension.

2008-11-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/MODULES:
	* gaupol/__init__.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/conf/attrdict.py:
	* gaupol/gtk/conf/test/test_attrdict.py:

	Move gaupol/attrdict.py to gaupol/gtk/conf/attrdict.py.

	Rename class from AttrDict to ConfigAttrDict and export to gaupol.gtk
	module level. Fix gaupol.conf.restore_defaults.

2008-11-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/attrdict.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/extension.py:
	* gaupol/gtk/test/test_extension.py:
	* gaupol/test/test_attrdict.py:

	Rewrite AttrDict to work with extensions.

	Handle nested sections, merging ConfigObj dictionaries and ConfigObj
	default value tracking properly with AttrDict.

2008-11-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/config.py: Fix require-function arguments.

2008-11-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/extensionman.py: Print traceback if importing extension
	fails.

2008-11-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/config.py: Add special-case handling of extension
	options.

	When removing unrecognized options in __remove_options, keep all
	options of extensions, i.e. subsections of the extensions section to
	allow extensions to be activated at a later time and to defer
	processing of those options to that time.

2008-11-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/config.py:
	* gaupol/gtk/extension.py:

	Be less verbose when reading extension configurations.

	Add parameter 'print_unrecognized' with a default value of True to
	Config.__init__ and set that to False in Extension.read_config to
	avoid error output about unrecognized options and sections when only
	trying to read options of one extension.

2008-11-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/extension.py: Fail read_config gracefully if
	self._spec_file is None.

2008-11-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/extensionman.py: Call read_config before setup.

2008-11-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/dialogs/preferences.py:

	Change website label text.

2008-11-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/application.py: Update GUI and show window only after
	setting up extensions.

2008-11-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/pattern.py:

	Fix list separator from comma to semicolon.

	Fixes incomplete commit 317ca795fba0bb2daaf11a0bbf44f6a458c02d9b.

2008-11-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/glade/dialogs/preferences.glade:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/dialogs/test/test_preferences.py:

	Add extensions to the preferences dialog.

	Add a new page to the preferences dialog for listing and activating
	extensions. Add argument application to PreferencesDialog.__init__.

2008-11-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/test/test_about.py:

	Fix _on_url_clicked method arguments.

2008-11-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/test/test_extensionman.py:

	Add support for showing documentation and preferences dialog.

	Add methods for both querying and showing documentation and
	preferences dialog based on extension module name.

2008-11-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en-US.common-error.in:
	* data/patterns/Latn-en.capitalization.in:
	* data/patterns/Latn-en.common-error.in:
	* data/patterns/Latn-en.hearing-impaired.in:
	* data/patterns/Latn-en.line-break.in:
	* data/patterns/Latn.capitalization.in:
	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn.hearing-impaired.in:
	* data/patterns/Latn.line-break.in:
	* data/patterns/Zyyy.common-error.in:
	* gaupol/metadata.py:
	* gaupol/test/test_metadata.py:

	Use semicolon as list separator.

	Use desktop-file style syntax for lists, i.e. use semicolon instead of
	comma as list separator and use a trailing semicolon for lists.

2008-11-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/extension.py:
	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/test/test_extension.py:
	* gaupol/gtk/test/test_extensionman.py:

	Complete Extension and ExtensionManager.

2008-11-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/preview.py:
	* gaupol/gtk/agents/close.py:
	* gaupol/gtk/agents/preview.py:
	* gaupol/gtk/application.py:

	Add signals preview-completed, preview-started and quit.

2008-11-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/preview.py:
	* gaupol/project.py:

	Add preview-started signal.

2008-11-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/file.py:

	Fix comment.

2008-11-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/ui/ui.xml:

	Add UI manager placeholders for extension action.

2008-11-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* doc/MODULES:
	* gaupol/gtk/agents/close.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/application.py:
	* gaupol/gtk/extension.py:
	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/test/test_extension.py:
	* gaupol/gtk/test/test_extensionman.py:

	Complete initial extension system.

2008-11-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/metadata.py:
	* gaupol/test/test_metadata.py:

	Add MetadataItem.has_field.

2008-11-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/paths.py:
	* gaupol/test/test_paths.py:

	Add LIB_DIR.

2008-11-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/MODULES:
	* gaupol/__init__.py:
	* gaupol/metadata.py:
	* gaupol/pattern.py:
	* gaupol/test/test_metadata.py:
	* gaupol/test/test_pattern.py:

	Add a generic metadata store class.

	Use the new MetadataItem as a baseclass for Pattern.

2008-11-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/assistants.py:

	Resize columns after running text corrections.

	Call columns_autosize on views of all pages.

2008-11-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/file.py:

	Handle erroneous (?) UTF-16 linebreaks.

	In UTF-16 encoded subtitles that use NULL-character filled linebreaks
	'\x00\r\x00\n', which Python's readlines interprets as two separate
	linebreaks, remove all even rows if they are blank.

2008-11-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/files/ssa.py:

	Write SSA files with '\N' linebreaks instead of '\n'.

2008-10-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/tags/subrip.py:

	Fix cleaning of SubRip tags.

	Use r"..." for regular expression substitutions.

2008-10-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/action.py:
	* gaupol/gtk/agents/menu.py:

	Fix updating of filenames in the projects menu.

	Connect all MenuActions to callbacks, if the callbacks exist. Update
	the projects menu on activation of 'show_projects_menu'.

2008-10-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:

	Fix docstrings.

2008-10-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/file.py: Try reading UTF-8 BOM only if the encoding is
	UTF-8.

2008-10-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/save.py:
	* gaupol/file.py:

	Rename 'has_bom_utf8' to 'has_bom_utf_8'.

2008-10-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/save.py:
	* gaupol/file.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:

	Fix SubtitleFile.copy_from.

	Allow SubtitleFile.copy_from to copy attributes from files of other
	formats as well. Needed for the new 'has_bom_utf8' attribute.

2008-10-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/file.py:

	Handle UTF-8 BOMs.

	Add attribute 'has_bom_utf8' to gaupol.File with a default value of
	False and a value of True if a UTF-8 BOM was read from file. Write the
	BOM to file if 'has_bom_utf8' is True and self.encoding is 'utf_8'.

	Fixes #556956.

2008-10-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/renderers/multiline.py:

	Fix character count error with Unicode text.

	Call unicode on self.props.text of the MultilineCellRenderer before
	passing the text to Ruler for length calculations.

2008-10-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Update.

2008-10-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec:
	* gaupol/gtk/__init__.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/extension.py:
	* gaupol/gtk/test/test_extension.py:

	Implement Extension.read_config.

	Add an 'extensions' section under the configuration file, under which
	extensions can store their configurations.

2008-10-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/attrdict.py: Support recursion.

	Initialize all children dictionaries as AttrDicts as well.

2008-10-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* gaupol/gtk/__init__.py:
	* gaupol/gtk/extension.py:
	* gaupol/gtk/extensionman.py:
	* gaupol/gtk/test/test_extension.py:
	* gaupol/gtk/test/test_extensionman.py:

	Add extension system files.

	Add non-implemented files for extensions and extension managers with a
	preliminary interface for the Extension class.

2008-10-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/attrdict.py:
	* gaupol/observable.py:

	Revert method equality comparison fix.

	Revert commit a6dbc7361cb77fde332cfc6b0fee3b1e6b5a8e29, which broke
	the disconnect method by replacing the callback method equality
	comparison with identity comparison.

2008-10-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* doc/MODULES:
	* gaupol/__init__.py:
	* gaupol/attrdict.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/test/test_attrdict.py:

	Move configuration container to attrdict.

	Move gaupol/gtk/conf/container.py to gaupol/attrdict.py and rename
	class to AttrDict to allow easier public use outside gaupol.gtk.conf.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en-US.common-error.in:
	* data/patterns/Latn-en.capitalization.in:
	* data/patterns/Latn-en.common-error.in:
	* data/patterns/Latn-en.hearing-impaired.in:
	* data/patterns/Latn-en.line-break.in:
	* data/patterns/Latn.capitalization.in:
	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn.hearing-impaired.in:
	* data/patterns/Latn.line-break.in:
	* data/patterns/Zyyy.common-error.in:

	Add spaces to pattern titles.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/git2cl: Fix indentation.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* CREDITS:
	* setup.py:
	* tools/change-log:
	* tools/data/ChangeLog.old:
	* tools/git2cl:

	Modify git2cl output style.

	Change git2cl to use log messages originally copied verbatim from the
	ChangeLog file unmodified. Change the output style depending on
	whether there are changes to multiple files or only one. Fix wrapping
	issues and fill all paragraphs from the git log to 79 characters.

2008-10-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* setup.py:

	Fix AssertionErrors writing paths.py.

	Change paths.py file string replacement assertions to accept
	replacements done already earlier, i.e. allow install to be run
	multiple times without cleaning in between.

2008-10-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	* po/README:

	Remove rest of svn-related stuff.

2008-10-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Update.

2008-09-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Update.

2008-09-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/observable.py: Fix object identity comparison operator.

2008-09-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* .gitignore: Add .hidden files.

2008-09-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* data/gaupol.desktop.in:

	Remove deprecated Encoding field.

2008-09-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* .gitignore:
	* CREDITS:
	* TODO:
	* doc/RELEASING:
	* po/ChangeLog:
	* setup.py:
	* tools/change-log:
	* tools/data/ChangeLog.old:
	* tools/git2cl:

	Deprecate ChangeLog in favor of git log.

	Move ChangeLog to tools/data/ChangeLog.old and use tools/change-log to
	generate a ChangeLog file for tarballs from ChangeLog.old and git log
	since after 0.13.1. Remove po/ChangeLog entirely.

2008-09-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* .gitignore: Add .gitignore file.

2008-09-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/data/gaupol.iss:
	* tools/pydoctor:

	Minor changes.

2008-09-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py: Bump version number.

	RELEASE 0.13.1

2008-09-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/dialogs/shift.glade:
	* gaupol/gtk/dialogs/shift.py:
	Add all open projects as a target to the position shift dialog.

2008-09-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/close.py (CloseAgent._close_all_pages): Take a copy
	of self.pages to pass to _confirm_and_close_pages.

	* gaupol/gtk/dialogs/multiclose.py (MultiCloseDialog.__init__): Take a
	copy of the pages argument and assign that to self.pages.

	Fixes #552129.

2008-09-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	* TODO:

	Minor changes.

2008-09-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/tags/subrip.py (SubRip.clean): Remove tags immeadiately closed
	after opening or vice versa.

2008-08-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py: Make py2exe includes and packages be lists instead of
	tuples to actually be able to build the exe.

2008-08-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py: Bump version number.

	RELEASE 0.13

2008-08-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/search.py (SearchAgent.set_search_string): Don't set
	non-existent finder attribute 'is_regex'.

	* gaupol/gtk/page.py (Page._update_undo_levels): Set the correct
	project attribute for undo limit.

2008-08-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/contractual.py (Contractual.__new__): Delete entire method if
	gaupol.debug is False.

	* gaupol/deco.py (contractual): Return unaltered function if
	gaupol.debug is False.

2008-08-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO: Minor changes.

2008-08-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/dialogs/spellcheck.glade: Minor changes.

2008-08-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/assistants.py: Minor changes.

2008-08-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in:
	* gaupol/gtk/dialogs/encoding.py:

	Minor changes.

2008-08-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* bin/gaupol:
	* gaupol/agents/test/test_position.py:
	* gaupol/determiner.py:
	* gaupol/enumeration.py:
	* gaupol/gtk/actions/menu.py:
	* gaupol/gtk/agents/test/test_menu.py:
	* gaupol/gtk/dialogs/test/test_multiclose.py:
	* gaupol/gtk/dialogs/test/test_spellcheck.py:
	* gaupol/gtk/renderers/test/test_multiline.py:
	* gaupol/gtk/renderers/test/test_time.py:
	* gaupol/gtk/test/test_main.py:
	* gaupol/gtk/unittest.py:
	* gaupol/tags/ass.py:
	* gaupol/tags/mpl2.py:
	* gaupol/test/test_mutables.py:
	* gaupol/test/test_revertable.py:

	Fix minor errors found pylint and py.test, silence invalid pylint warnings.

2008-08-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec (preview.force_utf_8): Add option.

	* data/glade/dialogs/preferences.glade:
	* gaupol/gtk/dialogs/preferences.py:
	Add force UTF-8 check box.

	* gaupol/agents/preview.py (PreviewAgent.get_temp_file_path)
	(PreviewAgent.preview): Add optional 'encoding' keyword argument.

	* gaupol/gtk/agents/preview.py (PreviewAgent.preview): Set encoding
	argument for preview to 'utf_8' if force_utf_8 is True.

	* gaupol/gtk/util.py (get_preview_command): New function.

	* gaupol/players.py: Add attribute 'command_utf_8'.

2008-08-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py (debug): Rename from 'check_contracts' now that it
	checks more than that. Initiliaze value from environment variable
	'GAUPOL_DEBUG', defaulting to False.

	* gaupol/enumeration.py (EnumerationItem.__cmp__):
	* gaupol/enumeration.py (Enumeration.__contains__):
	Delete methods for performance reasons if gaupol.debug is False.

	* gaupol/gtk/main.py: Remove --debug option.

2008-08-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/subtitle.py (__init__): Add optional keyword arguments 'mode'
	and 'framerate'.

	* gaupol/subtitle.py: Access the '_mode' attribute directly instead of
	accessing it as the property 'mode'.

2008-08-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/dialogs/language.glade:
	* gaupol/gtk/dialogs/language.py:
	Convert to landscape layout.

2008-08-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/page.py (Page._on_project_*): Call
	gaupol.gtk.util.iterate_main to update view.

2008-08-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/menu.py (MenuAgent): Update project actions on
	page-added and page-closed signals.

2008-08-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in (Letter "O" in a number): Fix
	replacement.

2008-08-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec: Remove option 'smart_open_translation' and
	add option 'align_method'.

	* data/glade/dialogs/open.glade:
	* gaupol/gtk/dialogs/open.py:
	Replace adapt check button with an align method combo box.

	* gaupol/agents/open.py (OpenAgent.open_translation):
	* gaupol/gtk/agents/open.py (OpenAgent.open_translation_file):
	Replace keyword argument 'smart' with 'align_method'.

	* gaupol/align.py: New file for align method enumerations.

	* gaupol/gtk/agents/open.py
	(OpenAgent.on_recent_translation_menu_item_activated): Always use align
	method 'position'.

	* gaupol/gtk/main.py: Replace '--adapt-translation' option with
	'--align-method'.

2008-08-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/codes/locales.txt: Remove 'ns_ZA', for 'ns' is not found in
	'iso_639.xml'.

	* gaupol/gtk/dialogs/language.py (LanguageDialog._populate_store): Call
	'check' on the dictionary once to test that it works.

2008-08-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/page.py (Page._get_tab_close_button): Possibly fix cropped
	tab close buttons on Windows.

2008-08-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/page.py (Page._init_widgets): Put the tab widget in an
	event box to be able to recieve events.

	* gaupol/gtk/agents/menu.py
	(MenuAgent.on_page_tab_widget_button_press_event):  Activate the page,
	whose tab was right-clicked.

2008-08-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/*:
	* data/ui/ui.xml:
	* gaupol/*:
	Rename dialogue lines to dialogue dashes.

2008-08-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/preferences.py (PreferencesDialog.__init__): Add
	argument parent and make the dialog transient for that.

	* data/glade/dialogs/preferences.glade: Center on parent.

2008-08-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/preview.py: Minor changes.

2008-08-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py (View): Fix subtitle number search after subtitle
	removals or inserts.

2008-08-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/view.py (ViewAgent._toggle_column): Autosize
	columns after changing visibility.

2008-08-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/transform.py: Gray out the current position
	entries to signal that they are not editable.

2008-08-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/preview.py (PreviewAgent._handle_output): Add
	command to the beginning of the output.

2008-08-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/errors.py (ProcessError): New error class.

	* gaupol/util.py (start_process): Raise gaupol.ProcessError instead of
	OSError if something goes wrong.

	* gaupol/agents/preview.py (PreviewAgent.preview): Raise
	gaupol.ProcessError instead of OSError if unable to start process.

	* gaupol/gtk/agents/preview.py (PreviewAgent.preview): Handle
	gaupol.ProcessError. Fixes #518981.

2008-08-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/preview.py: Minor changes.

2008-08-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	* doc/RELEASING.win32:
	* tools/data/gaupol.iss:

	Minor changes.

2008-08-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/paths.py (get_py2exe_directory): Fix.

2008-08-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py (browse_url): Don't try 'start' on Windows.

2008-08-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py: Import py2exe. Fix values of data_files and kwargs.
	(InstallData.run): Do not try compiling translations on Windows.

2008-08-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py (View._init_columns): Set text columns to expand
	and other columns to not expand.

2008-08-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/subtitle.py (Subtitle.__cmp__): Speed up by using direct
	attribute access instead of property access.

2008-08-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* CREDITS:
	* ChangeLog:
	* INSTALL:
	* MANIFEST.in:
	* NEWS:
	* README:
	* TODO:
	* bin/gaupol:
	* data/codes/iso_15924.xml:
	* data/codes/iso_3166.xml:
	* data/codes/iso_639.xml:
	* data/gaupol.desktop.in:
	* data/gaupol.gtk.conf.spec:
	* data/glade/assistants/text/capitalization.glade:
	* data/glade/assistants/text/common-error.glade:
	* data/glade/assistants/text/confirmation.glade:
	* data/glade/assistants/text/hearing-impaired.glade:
	* data/glade/assistants/text/introduction.glade:
	* data/glade/assistants/text/line-break-options.glade:
	* data/glade/assistants/text/line-break.glade:
	* data/glade/assistants/text/progress.glade:
	* data/glade/dialogs/debug.glade:
	* data/glade/dialogs/duration.glade:
	* data/glade/dialogs/encoding.glade:
	* data/glade/dialogs/framerate.glade:
	* data/glade/dialogs/header.glade:
	* data/glade/dialogs/insert.glade:
	* data/glade/dialogs/language.glade:
	* data/glade/dialogs/multiclose.glade:
	* data/glade/dialogs/open.glade:
	* data/glade/dialogs/preferences.glade:
	* data/glade/dialogs/previewerr.glade:
	* data/glade/dialogs/save.glade:
	* data/glade/dialogs/search.glade:
	* data/glade/dialogs/shift.glade:
	* data/glade/dialogs/spellcheck.glade:
	* data/glade/dialogs/split.glade:
	* data/glade/dialogs/transform.glade:
	* data/headers/ass:
	* data/headers/microdvd:
	* data/headers/mpsub:
	* data/headers/ssa:
	* data/headers/subviewer2:
	* data/patterns/Latn-en-US.common-error.conf:
	* data/patterns/Latn-en-US.common-error.in:
	* data/patterns/Latn-en.capitalization.conf:
	* data/patterns/Latn-en.capitalization.in:
	* data/patterns/Latn-en.common-error.conf:
	* data/patterns/Latn-en.common-error.in:
	* data/patterns/Latn-en.hearing-impaired.conf:
	* data/patterns/Latn-en.hearing-impaired.in:
	* data/patterns/Latn-en.line-break.conf:
	* data/patterns/Latn-en.line-break.in:
	* data/patterns/Latn.capitalization.conf:
	* data/patterns/Latn.capitalization.in:
	* data/patterns/Latn.common-error.conf:
	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn.hearing-impaired.conf:
	* data/patterns/Latn.hearing-impaired.in:
	* data/patterns/Latn.line-break.conf:
	* data/patterns/Latn.line-break.in:
	* data/patterns/Zyyy.common-error.conf:
	* data/patterns/Zyyy.common-error.in:
	* data/samples/ass.ass:
	* data/samples/microdvd.sub:
	* data/samples/mpl2.txt:
	* data/samples/mpsub-frame.sub:
	* data/samples/mpsub-time.sub:
	* data/samples/mpsub.sub:
	* data/samples/ssa.ssa:
	* data/samples/subrip-extended.srt:
	* data/samples/subrip.srt:
	* data/samples/subviewer2.sub:
	* data/samples/tmplayer.txt:
	* data/ui.xml:
	* data/ui/gtkrc:
	* data/ui/ui.xml:
	* doc/MODULES:
	* doc/RELEASING:
	* doc/RELEASING.win32:
	* doc/formats/COPYING:
	* doc/formats/README:
	* doc/formats/ass.notes:
	* doc/formats/ass.sample.ass:
	* doc/formats/microdvd.notes:
	* doc/formats/microdvd.sample.sub:
	* doc/formats/mpl2.notes:
	* doc/formats/mpl2.sample.txt:
	* doc/formats/mpsub.notes:
	* doc/formats/ssa.notes:
	* doc/formats/ssa.sample.ssa:
	* doc/formats/subrip.notes:
	* doc/formats/subrip.sample.srt:
	* doc/formats/subviewer2.notes:
	* doc/formats/tmplayer.notes:
	* doc/formats/tmplayer.sample.txt:
	* gaupol/__init__.py:
	* gaupol/agents/__init__.py:
	* gaupol/agents/clipboard.py:
	* gaupol/agents/edit.py:
	* gaupol/agents/format.py:
	* gaupol/agents/open.py:
	* gaupol/agents/position.py:
	* gaupol/agents/preview.py:
	* gaupol/agents/register.py:
	* gaupol/agents/save.py:
	* gaupol/agents/search.py:
	* gaupol/agents/set.py:
	* gaupol/agents/test/test_clipboard.py:
	* gaupol/agents/test/test_edit.py:
	* gaupol/agents/test/test_format.py:
	* gaupol/agents/test/test_open.py:
	* gaupol/agents/test/test_position.py:
	* gaupol/agents/test/test_preview.py:
	* gaupol/agents/test/test_register.py:
	* gaupol/agents/test/test_save.py:
	* gaupol/agents/test/test_search.py:
	* gaupol/agents/test/test_set.py:
	* gaupol/agents/test/test_text.py:
	* gaupol/agents/test/test_util.py:
	* gaupol/agents/text.py:
	* gaupol/agents/util.py:
	* gaupol/base/__init__.py:
	* gaupol/base/const.py:
	* gaupol/base/test/__init__.py:
	* gaupol/base/test/test_const.py:
	* gaupol/base/test/test_contractual.py:
	* gaupol/base/test/test_delegate.py:
	* gaupol/base/test/test_singleton.py:
	* gaupol/calculator.py:
	* gaupol/clipboard.py:
	* gaupol/const.py:
	* gaupol/containers.py:
	* gaupol/contractual.py:
	* gaupol/converter.py:
	* gaupol/countries.py:
	* gaupol/deco.py:
	* gaupol/delegate.py:
	* gaupol/determiner.py:
	* gaupol/documents.py:
	* gaupol/encodings.py:
	* gaupol/enumeration.py:
	* gaupol/errors.py:
	* gaupol/file.py:
	* gaupol/files/__init__.py:
	* gaupol/files/ass.py:
	* gaupol/files/microdvd.py:
	* gaupol/files/mpl2.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	* gaupol/files/test/test___init__.py:
	* gaupol/files/test/test_ass.py:
	* gaupol/files/test/test_microdvd.py:
	* gaupol/files/test/test_mpl2.py:
	* gaupol/files/test/test_mpsub.py:
	* gaupol/files/test/test_ssa.py:
	* gaupol/files/test/test_subfile.py:
	* gaupol/files/test/test_subrip.py:
	* gaupol/files/test/test_subviewer2.py:
	* gaupol/files/test/test_tmplayer.py:
	* gaupol/files/tmplayer.py:
	* gaupol/finder.py:
	* gaupol/formats.py:
	* gaupol/framerates.py:
	* gaupol/gtk/__init__.py:
	* gaupol/gtk/action.py:
	* gaupol/gtk/actions/__init__.py:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/file.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/help.py:
	* gaupol/gtk/actions/menu.py:
	* gaupol/gtk/actions/position.py:
	* gaupol/gtk/actions/search.py:
	* gaupol/gtk/actions/text.py:
	* gaupol/gtk/actions/view.py:
	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/close.py:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/agents/format.py:
	* gaupol/gtk/agents/help.py:
	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/position.py:
	* gaupol/gtk/agents/preview.py:
	* gaupol/gtk/agents/save.py:
	* gaupol/gtk/agents/search.py:
	* gaupol/gtk/agents/test/test_close.py:
	* gaupol/gtk/agents/test/test_edit.py:
	* gaupol/gtk/agents/test/test_format.py:
	* gaupol/gtk/agents/test/test_help.py:
	* gaupol/gtk/agents/test/test_menu.py:
	* gaupol/gtk/agents/test/test_open.py:
	* gaupol/gtk/agents/test/test_position.py:
	* gaupol/gtk/agents/test/test_preview.py:
	* gaupol/gtk/agents/test/test_save.py:
	* gaupol/gtk/agents/test/test_search.py:
	* gaupol/gtk/agents/test/test_text.py:
	* gaupol/gtk/agents/test/test_update.py:
	* gaupol/gtk/agents/test/test_util.py:
	* gaupol/gtk/agents/test/test_view.py:
	* gaupol/gtk/agents/text.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/agents/view.py:
	* gaupol/gtk/application.py:
	* gaupol/gtk/assistants.py:
	* gaupol/gtk/assistants/__init__.py:
	* gaupol/gtk/assistants/text/__init__.py:
	* gaupol/gtk/assistants/text/assistant.py:
	* gaupol/gtk/assistants/text/capitalization.py:
	* gaupol/gtk/assistants/text/confirmation.py:
	* gaupol/gtk/assistants/text/error.py:
	* gaupol/gtk/assistants/text/hearing.py:
	* gaupol/gtk/assistants/text/introduction.py:
	* gaupol/gtk/assistants/text/line.py:
	* gaupol/gtk/assistants/text/locale.py:
	* gaupol/gtk/assistants/text/page.py:
	* gaupol/gtk/assistants/text/progress.py:
	* gaupol/gtk/assistants/text/test/__init__.py:
	* gaupol/gtk/assistants/text/test/test_assistant.py:
	* gaupol/gtk/assistants/text/test/test_capitalization.py:
	* gaupol/gtk/assistants/text/test/test_confirmation.py:
	* gaupol/gtk/assistants/text/test/test_error.py:
	* gaupol/gtk/assistants/text/test/test_hearing.py:
	* gaupol/gtk/assistants/text/test/test_introduction.py:
	* gaupol/gtk/assistants/text/test/test_line.py:
	* gaupol/gtk/assistants/text/test/test_locale.py:
	* gaupol/gtk/assistants/text/test/test_page.py:
	* gaupol/gtk/assistants/text/test/test_progress.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/conf/config.py:
	* gaupol/gtk/conf/configobj.py:
	* gaupol/gtk/conf/container.py:
	* gaupol/gtk/conf/test/test___init__.py:
	* gaupol/gtk/conf/test/test_config.py:
	* gaupol/gtk/conf/test/test_container.py:
	* gaupol/gtk/conf/validate.py:
	* gaupol/gtk/const.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/append.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/duration.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/file.py:
	* gaupol/gtk/dialogs/file/__init__.py:
	* gaupol/gtk/dialogs/file/test/__init__.py:
	* gaupol/gtk/dialogs/framerate.py:
	* gaupol/gtk/dialogs/glade.py:
	* gaupol/gtk/dialogs/header.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/message.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/dialogs/open.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/dialogs/previewerr.py:
	* gaupol/gtk/dialogs/save.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/shift.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/gtk/dialogs/test/test_about.py:
	* gaupol/gtk/dialogs/test/test_append.py:
	* gaupol/gtk/dialogs/test/test_debug.py:
	* gaupol/gtk/dialogs/test/test_duration.py:
	* gaupol/gtk/dialogs/test/test_encoding.py:
	* gaupol/gtk/dialogs/test/test_file.py:
	* gaupol/gtk/dialogs/test/test_framerate.py:
	* gaupol/gtk/dialogs/test/test_glade.py:
	* gaupol/gtk/dialogs/test/test_header.py:
	* gaupol/gtk/dialogs/test/test_insert.py:
	* gaupol/gtk/dialogs/test/test_language.py:
	* gaupol/gtk/dialogs/test/test_message.py:
	* gaupol/gtk/dialogs/test/test_multiclose.py:
	* gaupol/gtk/dialogs/test/test_open.py:
	* gaupol/gtk/dialogs/test/test_preferences.py:
	* gaupol/gtk/dialogs/test/test_previewerr.py:
	* gaupol/gtk/dialogs/test/test_save.py:
	* gaupol/gtk/dialogs/test/test_search.py:
	* gaupol/gtk/dialogs/test/test_shift.py:
	* gaupol/gtk/dialogs/test/test_spellcheck.py:
	* gaupol/gtk/dialogs/test/test_split.py:
	* gaupol/gtk/dialogs/test/test_textedit.py:
	* gaupol/gtk/dialogs/test/test_transform.py:
	* gaupol/gtk/dialogs/test/test_video.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/dialogs/transform.py:
	* gaupol/gtk/dialogs/video.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/errors.py:
	* gaupol/gtk/fields.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/meta.py:
	* gaupol/gtk/output.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/renderers/__init__.py:
	* gaupol/gtk/renderers/multiline.py:
	* gaupol/gtk/renderers/test/test_multiline.py:
	* gaupol/gtk/renderers/test/test_time.py:
	* gaupol/gtk/renderers/time.py:
	* gaupol/gtk/ruler.py:
	* gaupol/gtk/runner.py:
	* gaupol/gtk/styles.py:
	* gaupol/gtk/targets.py:
	* gaupol/gtk/test/test___init__.py:
	* gaupol/gtk/test/test_action.py:
	* gaupol/gtk/test/test_application.py:
	* gaupol/gtk/test/test_assistants.py:
	* gaupol/gtk/test/test_const.py:
	* gaupol/gtk/test/test_entries.py:
	* gaupol/gtk/test/test_errors.py:
	* gaupol/gtk/test/test_fields.py:
	* gaupol/gtk/test/test_main.py:
	* gaupol/gtk/test/test_output.py:
	* gaupol/gtk/test/test_page.py:
	* gaupol/gtk/test/test_ruler.py:
	* gaupol/gtk/test/test_runner.py:
	* gaupol/gtk/test/test_styles.py:
	* gaupol/gtk/test/test_targets.py:
	* gaupol/gtk/test/test_tooltips.py:
	* gaupol/gtk/test/test_units.py:
	* gaupol/gtk/test/test_util.py:
	* gaupol/gtk/test/test_view.py:
	* gaupol/gtk/tooltips.py:
	* gaupol/gtk/units.py:
	* gaupol/gtk/unittest.py:
	* gaupol/gtk/unittest/__init__.py:
	* gaupol/gtk/util.py:
	* gaupol/gtk/view.py:
	* gaupol/i18n.py:
	* gaupol/languages.py:
	* gaupol/liner.py:
	* gaupol/locales.py:
	* gaupol/markup.py:
	* gaupol/modes.py:
	* gaupol/mutables.py:
	* gaupol/newlines.py:
	* gaupol/observable.py:
	* gaupol/parser.py:
	* gaupol/paths.py:
	* gaupol/pattern.py:
	* gaupol/patternman.py:
	* gaupol/players.py:
	* gaupol/project.py:
	* gaupol/registers.py:
	* gaupol/revertable.py:
	* gaupol/scripts.py:
	* gaupol/singleton.py:
	* gaupol/subtitle.py:
	* gaupol/tags/__init__.py:
	* gaupol/tags/ass.py:
	* gaupol/tags/microdvd.py:
	* gaupol/tags/mpl2.py:
	* gaupol/tags/mpsub.py:
	* gaupol/tags/ssa.py:
	* gaupol/tags/subrip.py:
	* gaupol/tags/subviewer2.py:
	* gaupol/tags/taglib.py:
	* gaupol/tags/test/test___init__.py:
	* gaupol/tags/test/test_ass.py:
	* gaupol/tags/test/test_microdvd.py:
	* gaupol/tags/test/test_mpl2.py:
	* gaupol/tags/test/test_mpsub.py:
	* gaupol/tags/test/test_ssa.py:
	* gaupol/tags/test/test_subrip.py:
	* gaupol/tags/test/test_subviewer2.py:
	* gaupol/tags/test/test_taglib.py:
	* gaupol/tags/test/test_tmplayer.py:
	* gaupol/tags/tmplayer.py:
	* gaupol/temp.py:
	* gaupol/test/test___init__.py:
	* gaupol/test/test_calculator.py:
	* gaupol/test/test_clipboard.py:
	* gaupol/test/test_const.py:
	* gaupol/test/test_containers.py:
	* gaupol/test/test_contractual.py:
	* gaupol/test/test_converter.py:
	* gaupol/test/test_countries.py:
	* gaupol/test/test_deco.py:
	* gaupol/test/test_delegate.py:
	* gaupol/test/test_determiner.py:
	* gaupol/test/test_documents.py:
	* gaupol/test/test_encodings.py:
	* gaupol/test/test_enumeration.py:
	* gaupol/test/test_errors.py:
	* gaupol/test/test_file.py:
	* gaupol/test/test_finder.py:
	* gaupol/test/test_formats.py:
	* gaupol/test/test_framerates.py:
	* gaupol/test/test_i18n.py:
	* gaupol/test/test_languages.py:
	* gaupol/test/test_liner.py:
	* gaupol/test/test_locales.py:
	* gaupol/test/test_markup.py:
	* gaupol/test/test_modes.py:
	* gaupol/test/test_mutables.py:
	* gaupol/test/test_newlines.py:
	* gaupol/test/test_observable.py:
	* gaupol/test/test_parser.py:
	* gaupol/test/test_paths.py:
	* gaupol/test/test_pattern.py:
	* gaupol/test/test_patternman.py:
	* gaupol/test/test_players.py:
	* gaupol/test/test_project.py:
	* gaupol/test/test_registers.py:
	* gaupol/test/test_revertable.py:
	* gaupol/test/test_scripts.py:
	* gaupol/test/test_singleton.py:
	* gaupol/test/test_subtitle.py:
	* gaupol/test/test_temp.py:
	* gaupol/test/test_urls.py:
	* gaupol/test/test_util.py:
	* gaupol/unittest.py:
	* gaupol/unittest/__init__.py:
	* gaupol/unittest/deco.py:
	* gaupol/urls.py:
	* gaupol/util.py:
	* po/POTFILES.in:
	* po/POTFILES.skip:
	* po/README:
	* po/README.translators:
	* setup.py:
	* tools/add-changelog:
	* tools/data/apidocs.css:
	* tools/data/code.css:
	* tools/data/pylintrc:
	* tools/generate-tests:
	* tools/hide:
	* tools/list-glade:
	* tools/nose-run:
	* tools/pattern-conf:
	* tools/profile:
	* tools/py2exe.bat:
	* tools/pydoctor:
	* tools/pylint:
	* tools/translate:
	* tools/versions:

	Merge nyyrikki branch to trunk.

2008-01-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/file/save.py (set_name): Try to work around
	a set_filename bug, which causes the filename entry to clear,
	by using set_current_folder and set_current_name.

2008-01-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in (Dialogue lines):
	Fix definition of characters following the dialogue line.

2007-12-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/spellcheck.py (_init_checker):
	Raise ValueError if dictionary initialization fails.

	* gaupol/gtk/agents/text.py (on_check_spelling_activate):
	Catch ValueError from SpellCheckDialog.

2007-11-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/ruler.py:
	Remove unused _Ruler._re_any_tag.

	* gaupol/__init__.py (re_any_tag):
	Do now allow newlines inside tags. Fixes IndexError with
	MultilineCellRenderer caused by stripping multiline tags.

2007-11-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.common-error.in:
	Remove "l" from the list of consonants in pattern 'Letters "l" starting
	words' to avoid turning "I' ll" eventually into "I'Il".

2007-11-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/search.py (on_find_and_replace_activate):
	Connect to search dialog's delete-event and return True to avoid
	destroying the dialog instead of just hiding it.

2007-11-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/renderers/multiline.py:
	* gaupol/gtk/renderers/time.py:
	End editing in the case of focus-out-event only if the focus is not
	being shifted to the right-click menu.

2007-11-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/encodings.py (detect):
	Handle ValueError from _translate_code. (#10278)

2007-11-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in:
	Change patterns for removing spaces around quotation marks to count
	the quotation marks to remove the correct space in the middle of text,
	instead of only at the beginning or end of text.

2007-11-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py:
	Bump version number to match branch release 0.12.3.

2007-11-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.conf:
	* data/patterns/Latn.common-error.in:
	Add patterns to remove spaces around quotation marks.

2007-10-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/preview.py (preview):
	Do not remove output_path if an exception is caught, because the path
	is not available and the file is removed by atexit anyway. (#10203)

2007-10-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/split.py (_shift_destination):
	Add missing comma to isinstance call. (#10200)

2007-10-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py:
	Bump version number to match branch release 0.12.2.

2007-10-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/scripts.py:
	Revise translators note.

2007-10-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/file/save.py (set_name):
	Set the current folder before setting filename.

2007-10-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/open-dialog.glade:
	* data/glade/save-dialog.glade:
	Fix extra widget spacing on sides.

2007-10-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/ruler.py:
	* gaupol/tags/microdvd.py:
	* gaupol/tags/mpl2.py:
	* gaupol/tags/ssa.py:
	* gaupol/tags/subrip.py:
	* gaupol/tags/taglib.py:
	Fix wild and potentially wild regular expressions for tags that matched
	text after the tag as well causing that text to be removed when
	converting tags to a different format. (#10140)

2007-10-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/clipboard.py:
	* gaupol/agents/edit.py:
	* gaupol/agents/format.py:
	* gaupol/agents/open.py:
	* gaupol/agents/position.py:
	* gaupol/agents/save.py:
	* gaupol/agents/search.py:
	* gaupol/agents/text.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/assistants/text/assistant.py:
	* gaupol/gtk/assistants/text/capitalization.py:
	* gaupol/gtk/assistants/text/error.py:
	* gaupol/gtk/assistants/text/hearing.py:
	* gaupol/gtk/assistants/text/line.py:
	* gaupol/gtk/conf/config.py:
	* gaupol/gtk/dialogs/duration.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/gtk/page.py:
	* gaupol/liner.py:
	* gaupol/project.py:
	Rename "indexes" to "indices".

2007-10-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py:
	Bump version number.

	RELEASE 0.12.1

2007-10-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/assistants/text/assistant.py:
	* gaupol/gtk/assistants/text/introduction.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/file/save.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/output.py:
	* gaupol/gtk/page.py:
	Fix remaining NameErrors with function arguments. (#10034)

2007-10-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/text.py (_capitalize_position):
	Fix match index usage due to change of self._re_capitalizable.

2007-09-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/countries.py:
	* gaupol/languages.py:
	Fix module docstrings.

2007-09-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py:
	Bump version number.

	RELEASE 0.12

2007-09-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/assistants/text/assistant.py:
	Move the two lines of automatic post-progress-page page-switching from
	_prepare_confirmation_page to _correct_texts.

2007-09-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/assistants/text/assistant.py (_on_prepare):
	Possibly fix sometimes funky backwards navigation.

2007-09-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/ruler.py (get_length_function):
	* gaupol/gtk/util.py (prepare_text_view):
	Fix a few more potential lambda NameErrors.

2007-09-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/text.py (_capitalize_position):
	Do not capitalize after ellipses.

2007-09-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.common-error.in:
	Fix a copy-paste error.

	* data/gaupol.gtk.conf.spec:
	* data/glade/text-assistant-capitalization-page.glade:
	* data/patterns/Latn.capitalization.conf:
	* data/patterns/Latn.capitalization.in:
	* data/patterns/Latn-en.capitalization.conf:
	* data/patterns/Latn-en.capitalization.in:
	* gaupol/agents/text.py (capitalize):
	* gaupol/gtk/assistants/text/assistant.py (_init_properties):
	* gaupol/gtk/assistants/text/capitalization.py:
	Add a capitalization task to the text correction assistant.

2007-09-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/files/subfile.py (_read_lines):
	Strip blank lines from beginning as well.

2007-09-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/file/subtitle.py (_init_filters):
	Replace "Plain text" file filter with an "All supported files" filter
	and set that active by default.

2007-09-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/split.py (_split_project):
	Call insert_subtitles on destination to mark as changed.

2007-09-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/tooltips.py:
	Fix markup tooltip hack to work with (Py)GTK 2.12.

2007-09-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/save.py:
	Fix error saving after splitting project. (#10041)

2007-09-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/renderers/multiline.py (_on_editor_focus_out_event):
	* gaupol/gtk/renderers/time.py (_on_editor_focus_out_event):
	Revert the erroneous 2007-09-18 focus-out-event fixes.

2007-09-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/page.py:
	Fix NameErrors with lambda functions. (#10034)

2007-09-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/renderers/multiline.py (_on_editor_focus_out_event):
	* gaupol/gtk/renderers/time.py (_on_editor_focus_out_event):
	Return False so that the editing widget gets the event as well.

2007-09-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/data/gaupol.iss:
	Remove EULAish LicenseFile field.

	* tools/py2exe.bat:
	Remove unused iso-codes .mo files.

2007-09-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py:
	Bump version number.

	RELEASE 0.11

2007-09-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/agents/edit.py:
	Add actions for extending the current selection up to the first or the
	last subtitle without moving focus or scrolling. (#9895)

2007-09-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py (_init_props):
	Enable rubber-banding.

2007-09-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec:
	Remove search.patterns and search.replacements.

	* gaupol/gtk/dialogs/search.py:
	Save search history to $HOME/.gaupol/search instead of the
	configuration file to avoid quoting problems.

2007-09-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in:
	Add quotation marks and apostrophes at the ends of lines to the
	"Spaces before punctuation marks" pattern.

2007-09-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/preview.py (preview):
	Raise gobject timeout to 500 ms.

2007-09-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/codes/iso_3166.xml:
	Update from iso-codes 1.4.

2007-09-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec:
	* data/glade/text-assistant-line-break-options-page.glade:
	* gaupol/agents/text.py:
	* gaupol/gtk/assistants/text/line.py:
	Add more detailed line-break skip conditions.

2007-09-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.line-break.in:
	* data/patterns/Latn.line-break.in:
	Allow "Clauses" patterns to end in $.

2007-09-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/text.py (break_lines):
	Fix post-break reduction check.

2007-09-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec:
	Add line_break section.

	* data/glade/text-assistant-line-break-options-page.glade:
	* data/glade/text-assistant-line-break-page.glade:
	* gaupol/gtk/assistants/text/line.py:
	New files for a text assistant line-break task.

	* gaupol/gtk/assistants/text/assistant.py:
	Allow non-task pages and add line-break pages.

	* gaupol/gtk/assistants/text/page.py (correct_texts):
	Remove method as it is not used by all pages.

	* gaupol/gtk/ruler.py (get_length_function):
	New function to replace former useless "func".

2007-09-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.hearing-impaired.in:
	Fine-tune song lyric patterns.

2007-09-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/text.py (break_lines):
	Fix line length calculations.

2007-09-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.common-error.in:
	Add "re" to "Spaces around apostrophes".

	* gaupol/agents/text.py:
	Add break_lines and remove old crap.

	* gaupol/agents/util.py (get_liner):
	New method, equivalent to get_parser.

	* gaupol/liner.py (__init__):
	Add missing clean_func keyword argument.

2007-08-31  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/liner.py:
	Rewrite to use arbitrary break patterns.
	Clean up code and add comments.

2007-08-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.line-break.conf:
	* data/patterns/Latn-en.line-break.in:
	* data/patterns/Latn.line-break.conf:
	* data/patterns/Latn.line-break.in:
	New preliminary files for line-break patterns.

	* gaupol/patternman.py (get_patterns):
	Allow patterns with a more specific code to override those with a less
	specific code if the names clash.

2007-08-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/py2exe.bat:
	Copy DLLs from %GTKDIR%\bin.

2007-08-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/transform.py:
	Do not use DOWNWARDS ARROW WITH CORNER LEFTWARDS in text labels,
	instead strip tags and join lines with spaces.

	* gaupol/gtk/ruler.py (_Ruler):
	Use gaupol.re_any_tag.

	* gaupol/__init__.py:
	Add gaupol.re_any_tag.

2007-08-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/open.py (on_select_video_file_activate):
	Fix ``GtkWarning: gtk_file_system_win32_get_parent: assertion
	`g_path_is_absolute (filename)' failed'' on Windows.

2007-08-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/gaupol:
	Fix errors in previous commit.

2007-08-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/gaupol (prepare_paths):
	Refactor as with py2exe __file__ is not available.

	* data/icons/gaupol.ico:
	New icon for Windows.

	* doc/RELEASING.win32:
	New release checklist file.

	* gaupol/paths.py:
	Handle the special case of py2exe installations.

	* MANIFEST.in:
	Add doc/MODULES, doc/RELEASING and doc/RELEASING.win32.

	* setup.py:
	Add py2exe options and refactor file listings.

	* tools/data/gaupol.iss:
	New file for creating Inno Setup installers.

	* tools/py2exe.bat:
	New file for creating a Windows executable.

	* tools/translate (compile_data):
	New function for compiling data files.

2007-08-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/file/open.py:
	* gaupol/gtk/dialogs/file/save.py:
	* gaupol/gtk/dialogs/file/subtitle.py:
	Add missing "Auto-detected" encoding entry.

2007-08-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py (SDistGna.finalize_options):
	Fix value of self.dist_dir.

2007-08-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py:
	Bump version number to 0.10.

	RELEASE 0.10

2007-08-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.hearing-impaired.in:
	Loosen "Uppercase speakers before colons" pattern.

2007-08-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/assistants/text/error.py:
	Change "and" in description to "or".

2007-08-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.common-error.conf:
	* data/patterns/Latn-en.common-error.in:
	Remove "Spaces after capital letters" pattern.

2007-08-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/text-assistant-common-error-page.glade:
	Include the check buttons in the table.

	* data/patterns/Latn.common-error.conf:
	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn-en.common-error.conf:
	* data/patterns/Latn-en.common-error.in:
	Fix regular expression  errors, loosen patterns and add some more based
	on a test set of 100 lousy subtitle files.

2007-08-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/util.py:
	* gaupol/parser.py:
	* gaupol/tags/taglib.py:
	Rename TagLibrary.remove_redundant to TagLibrary.clean.

	* gaupol/tags/subrip.py (_get_clean_tags):
	Relocate spaces after opening tags and before closing tags.

2007-08-18  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in:
	* data/patterns/Zyyy.common-error.in:
	Tighten patterns to fix remaining false positives.

2007-08-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.conf:
	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn-en.common-error.in:
	Tighten patterns based on a test set of 391 reasonably good subtitle
	files to remove almost all false positives.

2007-08-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn.hearing-impaired.in:
	* gaupol/const.py:
	* gaupol/files/mpsub.py:
	Remove redundant backslashes in regular expressions.

2007-08-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/parser.py (_set_margins):
	Check for tags in the middle of the line.

2007-08-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.common-error.in:
	Adjust based on preliminary testing.

	* gaupol/gtk/assistants/text/confirmation.py:
	(_get_preview_sensitivity): Handle None value of row.

2007-08-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec:
	Split text assistant pages into sections of their own.

	* data/glade/text-assistant-common-error-page.glade:
	* gaupol/gtk/assistants/text/error.py:
	New files for a common error correction page.

	* data/patterns/Latn.common-error.conf:
	* data/patterns/Latn.common-error.in:
	* data/patterns/Latn-en.common-error.conf:
	* data/patterns/Latn-en.common-error.in:
	* data/patterns/Zyyy.common-error.conf:
	* data/patterns/Zyyy.common-error.in:
	Rename "error" to "common-error".
	Rename "Class" to "Classes".

	* gaupol/agents/text.py (correct_common_errors):
	New method to correct common errors in texts.

	* gaupol/gtk/assistants/text/assistant.py:
	Add CommonErrorPage.

	* gaupol/gtk/assistants/text/hearing.py:
	* gaupol/gtk/assistants/text/locale.py:
	Split locale selections to base class LocalePage.

	* gaupol/patternman.py:
	Rename "error" to "common-error".
	Include "Zyyy" script when appropriate.

	* gaupol/pattern.py (get_field_boolean, get_field_list):
	New functions to get fields with type conversion.

2007-08-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.hearing-impaired.in:
	Add apostrophe to upper case name pattern.

	* gaupol/agents/search.py (find_next_require):
	Loosen precondition regarding position.

2007-08-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.error.conf:
	* data/patterns/Latn-en.error.in:
	* data/patterns/Latn.error.conf:
	* data/patterns/Latn.error.in:
	* data/patterns/Zyyy.error.conf:
	* data/patterns/Zyyy.error.in:
	New files for common error patterns.

	* tools/generate-pattern-conf:
	New script to generate pattern configuration XML files.

2007-08-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py (VIDEO_PLAYER):
	Call gaupol.util.shell_quote on Windows paths.

	* gaupol/__init__.py:
	Import gaupol.temp.

	* gaupol/temp.py:
	New module for creating and removing temporary files in such a manner
	that they can succesfully be removed on Windows as well.

	* gaupol/agents/preview.py:
	* gaupol/agents/save.py:
	* gaupol/gtk/agents/preview.py:
	* gaupol/unittest/case.py:
	Use gaupol.temp instead of tempfile.mkstemp and os.remove.

2007-08-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py (VIDEO_PLAYER):
	Use %PROGRAMFILES% environment variable.

	* gaupol/gtk/agents/preview.py (preview):
	Catch OSError along with IOError.
	Use gobject.timeout_add to check process state.

2007-08-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py (path_to_uri, uri_to_path):
	Fix to work on Windows.

2007-08-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py (VIDEO_PLAYER):
	Use absolute quoted paths on Windows.

	* gaupol/gtk/agents/preview.py (preview):
	Do not call gobject.child_watch_add on Windows.

	* gaupol/gtk/renderers/multiline.py (do_start_editing):
	Sync editor's font to renderer's to fix a Windows bug.

	* gaupol/util.py:
	(browse_url): Do not use os.startfile on Windows.
	(start_process): Do not use shell on Windows.

2007-08-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec:
	Change default values of edit.use_custom_font and
	preview.use_custom to False.

2007-08-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/assistants/text/__init__.py:
	Fix module docstring.

2007-08-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/__init__.py:
	  Bumped version number to 0.9.

	* tools/translate:
	Fix xgettext command for extractions from ini-style files.

	RELEASE 0.9

2007-08-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/config.py (__init__):
	Relocate pylint: disable-msg.

	* gaupol/util.py (revertable):
	Wrap function call in a try-finally to always unblock.

2007-08-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.hearing-impaired.in:
	Change pattern to allow digits and spaces.

	* gaupol/gtk/assistants/text/assistant.py (_on_apply):
	Set the mouse pointer busy while working.

2007-08-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py (notify_frozen):
	Wrap function call in a try-finally to always thaw.

2007-08-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/assistants/text/assistant.py (_init_size):
	Make the assistant a bit (two text lines) taller.

2007-08-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/assistants/text/assistant.py (_on_apply):
	Count edits and removals and flash a message in the statusbar.

2007-08-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/parser.py (_shift_tags):
	Partially rewrite and add proper comments.

2007-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/assistants/text/hearing.py:
	* gaupol/patternman.py:
	Fix PatternManager code handling to keep track of parent codes
	and write configurations to files matching pattern files.
	Sort entries HearingImpairedPage combo boxes.

2007-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/actions/text.py (CorrectTextsAction):
	Fix label to use title case and add ellipsis.

2007-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/main.py:
	Bump Python dependency to 2.5.1 (#9685).

2007-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn-en.hearing-impaired.conf:
	* data/patterns/Latn-en.hearing-impaired.in:
	* data/patterns/Latn.hearing-impaired.conf:
	* data/patterns/Latn.hearing-impaired.in:
	Fix patterns based on crude test case results.

	* gaupol/agents/util.py (get_parser):
	Add redundant_func argument.

	* gaupol/finder.py (set_regex):
	Fix default_flags argument to actually work (again).

	* gaupol/parser.py:
	(_shift_tags): Try to fix when shift is negative.
	(get_text): Remove redundant tags.

	* gaupol/tags/subrip.py (remove_redundant):
	* gaupol/tags/taglib.py (remove_redundant):
	Add method to remove redundant tags.

2007-08-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/main.py (_init_application):
	Scroll to jump_row in addition to moving focus.

2007-08-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py (_get_renderer):
	Set yalign to 0 for multiline text renderers.

2007-08-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/text-assistant-progress-page.glade:
	* gaupol/gtk/assistants/text/assistant.py:
	* gaupol/gtk/assistants/text/hearing.py:
	* gaupol/gtk/assistants/text/progress.py:
	Add a progress page before the confirmation page.

2007-08-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/patternman.py:
	Escape quotation marks in pattern names in conf files.

2007-08-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/spellcheck-dialog.glade:
	Remove stock buttons to avoid mnemonic conflicts.

2007-08-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec:
	* gaupol/gtk/conf/__init__.py:
	Add hearing impaired page settings.

	* data/glade/text-assistant-confirmation-page.glade:
	Add buttons for marking accept column and preview.

	* data/glade/text-assistant-hearing-impaired-page.glade:
	Name labels and make combo boxes empty list stores.

	* data/patterns/Latn.hearing-impaired.conf:
	* data/patterns/Latn.hearing-impaired.in:
	Fix names, descriptions and patterns.

	* data/ui.xml:
	* gaupol/gtk/actions/__init__.py:
	* gaupol/gtk/actions/text.py:
	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/text.py:
	Add an action and a menu item for the text assistant.

	* gaupol/agents/text.py (_remove_leftover_spaces):
	Add patterns to remove more spaces.

	* gaupol/finder.py (set_regex):
	Fix usage of default_flags to actually work.

	* gaupol/gtk/assistants:
	* gaupol/gtk/assistants/text:
	* gaupol/gtk/assistants/text/test:
	Set svg:ignore properties.

	* gaupol/gtk/assistants/text/assistant.py:
	* gaupol/gtk/assistants/text/confirmation.py:
	* gaupol/gtk/assistants/text/hearing.py:
	* gaupol/gtk/assistants/text/introduction.py:
	* gaupol/gtk/assistants/text/page.py:
	Finetune interfaces and complete basic code.

	* gaupol/gtk/renderers/multiline.py (set_show_lengths):
	New method to bypass conf changes.

	* gaupol/patternman.py:
	New functions to get countries, languages and scripts.

2007-07-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.gtk.conf.spec:
	Add section "text_assistant".

	* data/glade/text-assistant-introduction-page.glade:
	Change label wording and accelerators.

	* gaupol/gtk/assistants:
	* gaupol/gtk/assistants/__init__.py:
	* gaupol/gtk/assistants/text:
	* gaupol/gtk/assistants/text/assistant.py:
	* gaupol/gtk/assistants/text/confirmation.py:
	* gaupol/gtk/assistants/text/hearing.py:
	* gaupol/gtk/assistants/text/__init__.py:
	* gaupol/gtk/assistants/text/introduction.py:
	* gaupol/gtk/assistants/text/page.py:
	Refactor the text assistant into multiple modules.

2007-07-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/config.py (__init__, write_to_file):
	Fall back to UTF-8 if encoding fails.

	* gaupol/gtk/dialogs/spellcheck.py:
	Try to read and write replacement files in locale encoding.

	* gaupol/patternman.py:
	Use gaupol.util.read and gaupol.util.write.

	* gaupol/util.py (read, readlines, write):
	Fall back to UTF-8 if encoding fails.

2007-07-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/text-assistant-confirmation-page.glade:
	* data/glade/text-assistant-hearing-impaired-page.glade:
	* data/glade/text-assistant-introduction-page.glade:
	New files for text assistant pages.

	* gaupol/gtk/application.py:
	Add signal "text-assistant-request-pages".

	* gaupol/gtk/assistants.py:
	New file for the text correction assistant.

	* gaupol/gtk/__init__.py:
	Import TextAssistant and TextAssistantPage.

2007-07-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/clipboard.py:
	* gaupol/agents/edit.py:
	* gaupol/agents/format.py:
	* gaupol/agents/__init__.py:
	* gaupol/agents/open.py:
	* gaupol/agents/position.py:
	* gaupol/agents/preview.py:
	* gaupol/agents/register.py:
	* gaupol/agents/save.py:
	* gaupol/agents/search.py:
	* gaupol/agents/set.py:
	* gaupol/agents/text.py:
	* gaupol/agents/util.py:
	* gaupol/base/const.py:
	* gaupol/base/contractual.py:
	* gaupol/base/delegate.py:
	* gaupol/base/__init__.py:
	* gaupol/base/mutables.py:
	* gaupol/base/observable.py:
	* gaupol/base/singleton.py:
	* gaupol/calculator.py:
	* gaupol/clipboard.py:
	* gaupol/const.py:
	* gaupol/converter.py:
	* gaupol/countries.py:
	* gaupol/determiner.py:
	* gaupol/encodings.py:
	* gaupol/errors.py:
	* gaupol/files/ass.py:
	* gaupol/files/__init__.py:
	* gaupol/files/microdvd.py:
	* gaupol/files/mpl2.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/files/subfile.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	* gaupol/files/tmplayer.py:
	* gaupol/finder.py:
	* gaupol/gtk/actions/action.py:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/file.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/help.py:
	* gaupol/gtk/actions/__init__.py:
	* gaupol/gtk/actions/menu.py:
	* gaupol/gtk/actions/position.py:
	* gaupol/gtk/actions/search.py:
	* gaupol/gtk/actions/spellcheck.py:
	* gaupol/gtk/actions/view.py:
	* gaupol/gtk/agents/close.py:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/agents/format.py:
	* gaupol/gtk/agents/help.py:
	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/position.py:
	* gaupol/gtk/agents/preview.py:
	* gaupol/gtk/agents/save.py:
	* gaupol/gtk/agents/search.py:
	* gaupol/gtk/agents/spellcheck.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/agents/view.py:
	* gaupol/gtk/application.py:
	* gaupol/gtk/conf/config.py:
	* gaupol/gtk/conf/container.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/const.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/duration.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/file/append.py:
	* gaupol/gtk/dialogs/file/__init__.py:
	* gaupol/gtk/dialogs/file/open.py:
	* gaupol/gtk/dialogs/file/save.py:
	* gaupol/gtk/dialogs/file/subtitle.py:
	* gaupol/gtk/dialogs/file/test/__init__.py:
	* gaupol/gtk/dialogs/file/video.py:
	* gaupol/gtk/dialogs/framerate.py:
	* gaupol/gtk/dialogs/glade.py:
	* gaupol/gtk/dialogs/header.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/message.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/dialogs/previewerr.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/shift.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/gtk/dialogs/test/__init__.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/dialogs/transform.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/errors.py:
	* gaupol/gtk/__init__.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/meta.py:
	* gaupol/gtk/output.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/renderers/__init__.py:
	* gaupol/gtk/renderers/multiline.py:
	* gaupol/gtk/renderers/test/__init__.py:
	* gaupol/gtk/renderers/time.py:
	* gaupol/gtk/ruler.py:
	* gaupol/gtk/runner.py:
	* gaupol/gtk/tooltips.py:
	* gaupol/gtk/unittest/case.py:
	* gaupol/gtk/unittest/__init__.py:
	* gaupol/gtk/util.py:
	* gaupol/gtk/view.py:
	* gaupol/i18n.py:
	* gaupol/__init__.py:
	* gaupol/languages.py:
	* gaupol/liner.py:
	* gaupol/locales.py:
	* gaupol/parser.py:
	* gaupol/paths.py:
	* gaupol/patternman.py:
	* gaupol/pattern.py:
	* gaupol/project.py:
	* gaupol/revertable.py:
	* gaupol/scripts.py:
	* gaupol/subtitle.py:
	* gaupol/tags/ass.py:
	* gaupol/tags/__init__.py:
	* gaupol/tags/microdvd.py:
	* gaupol/tags/mpl2.py:
	* gaupol/tags/mpsub.py:
	* gaupol/tags/ssa.py:
	* gaupol/tags/subrip.py:
	* gaupol/tags/subviewer2.py:
	* gaupol/tags/taglib.py:
	* gaupol/tags/test/__init__.py:
	* gaupol/tags/tmplayer.py:
	* gaupol/test/__init__.py:
	* gaupol/unittest/case.py:
	* gaupol/unittest/deco.py:
	* gaupol/unittest/__init__.py:
	* gaupol/urls.py:
	* gaupol/util.py:
	* setup.py:
	Remove unnecessary vertical whitespace.

2007-07-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/locales.py (get_system_modifier):
	New function to get locale script modifier.

	* gaupol/pattern.py (_get_localized_field):
	Add support for handling script modifiers.
	Adhere to freedesktop.org's Desktop Entry Specification.

2007-07-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns/Latn.hearing-impaired.conf:
	* data/patterns/Latn.hearing-impaired.in:
	Add a rule and finetune patterns.
	Use full names instead of letters for flags.

	* gaupol/agents/text.py (remove_hearing_impaired):
	New method to remove hearing impaired parts from subtitles.

	* gaupol/finder.py (set_regex):
	Add a "default_flags" keyword argument.

	* gaupol/pattern.py (get_flags):
	New method to get evaluated flags.

2007-07-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/patterns:
	* data/patterns/Latn.hearing-impaired.conf:
	* data/patterns/Latn.hearing-impaired.in:
	New files to define hearing impaired patterns for Latin.

	* gaupol/__init__.py:
	Import Pattern and PatternManager.

	* gaupol/locales.py (get_system_code):
	New function to get locale from environment variables.

	* gaupol/patternman.py:
	* gaupol/pattern.py:
	New files with classes Pattern and PatternManager.

	* setup.py:
	Translate pattern files.

	* tools/translate:
	Extract translatable strings from pattern files.

2007-07-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/scripts.py:
	Rewrite to be consistent with gaupol.countries, gaupol.languages,
	gaupol.locales and gaupol.encodings.

2007-07-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/codes/iso_3166.xml:
	* data/codes/iso_639.xml:
	* data/codes/locales.txt:
	* gaupol/countries.py:
	* gaupol/languages.py:
	* gaupol/locales.py:
	Split languages to three modules.
	Read codes from files in gaupol.DATA_DIR.
	Rename functions to be less ambiguous.

	* gaupol/encodings.py:
	Rename functions to be less ambiguous.

2007-07-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/ruler.py:
	Rename lengthlib_handler_id to ruler_handler_id.

2007-07-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/configobj.py (ConfigObj._quote):
	Quote strings containing "#".

2007-07-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	Fix all remaining errors.

2007-07-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/__init__.py:
	  Bumped version number to 0.8.

	RELEASE 0.8

2007-07-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/conf.spec:
	* data/gaupol.gtk.conf.spec:
	* gaupol/gtk/conf/__init__.py:
	* setup.py:
	Rename conf.spec to gaupol.gtk.conf.spec.

2007-07-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/RELEASING:
	Update branch and tag names.

2007-07-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/add-changelog:
	* tools/generate-tests:
	* tools/hide:
	* tools/list-glade:
	* tools/pylint:
	Fix minor errors and style issues.

2007-07-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* TODO:
	Clean up to reflect what has actually been done.

2007-07-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/debug.py (_print_traceback):
	Add indented string to code_lines.

2007-07-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/debug.py (_print_traceback):
	Indent code manually to preserve formatting if copied.

2007-07-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/save.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/util.py:
	Fix remaining errors so that all unittests pass.

2007-07-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/__init__.py:
	* gaupol/gtk/actions/menu.py:
	* gaupol/gtk/actions/view.py:
	* gaupol/gtk/const.py:
	* gaupol/gtk/unittest/case.py:
	Fix or disable all errors reported by pylint.

2007-07-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/data/apidocs.css:
	* tools/data/code.css:
	Fix colors to not be too light.

	* tools/pydoctor:
	Fix source code links.

2007-07-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* COPYING:
	* gaupol/*.py:
	* gaupol/gtk/dialogs/about.py:
	Upgrade license to GPL v3 or later.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/main.py (_init_application):
	Update GUI after selecting video file.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/gaupol.1:
	* gaupol/gtk/main.py:
	Rearrange the order in which options are listed.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/gaupol.1:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/main.py:
	Add option --adapt-translation.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/search.py (_set_pattern):
	Get value of ignore_case from conf rather than the widget.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/search-dialog.glade:
	* gaupol/gtk/dialogs/search.py:
	Set search_vbox unsensitive if no target columns.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/search.py (find_next, find_previous):
	If document is None, get document from self._docs.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/open.py (_adapt_translations):
	Fix IndexError with m being too large.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/framerate.py (_init_values):
	Use page.project.framerate as the default input value.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/duration-dialog.glade:
	Set sensible adjustments to spin buttons.

2007-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/split.py:
	(_shift_destination): Fix shift amount sign.
	(_split_project): Set subtitles to project, not page.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/transform.py:
	Update references to renamed variables and methods.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/subtitle.py (shift_positions):
	Allow negative positions as a result.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py (VIDEO_PLAYER.MPLAYER.command):
	Add -noautosub to load only the specified subtitle file.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/duration.py:
	* gaupol/gtk/dialogs/shift.py:
	* gaupol/gtk/dialogs/transform.py:
	Set sensitivity of the selected rows radio button.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/__init__.py:
	Parse gtkrc file instead of adding it to defaults.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/open.py (_sort):
	* gaupol/calculator.py (compare_times):
	* gaupol/subtitle.py (__cmp__):
	Compare negative times correctly.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py:
	* gaupol/files/microdvd.py:
	* gaupol/files/mpl2.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	* gaupol/files/tmplayer.py:
	Handle reading and writing neagative positions.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/shift.py (_on_preview_button_clicked):
	Update references to renamed variables and methods.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/gaupol:
	Always modify sys.path when running from source to ensure that the
	correct directory is at the beginning of the search path.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/gaupol:
	Add data/icons to icon theme search path if running from source.

	* data/icons/hicolor/16x16/apps/gaupol.png:
	* data/icons/hicolor/22x22/apps/gaupol.png:
	* data/icons/hicolor/24x24/apps/gaupol.png:
	* data/icons/hicolor/32x32/apps/gaupol.png:
	* data/icons/hicolor/scalable/apps/gaupol.svg:
	Arrange icon directories according to icon theme standards.

	* setup.py:
	Update icon file paths.

2007-06-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py (VIDEO_PLAYER.VLC.command):
	Use per-stream options (starting with ":" instead of "--").

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/ruler.py (disconnect_text_view):
	Exit gracefully if text view was never connected.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/preferences-dialog.glade:
	Unitalicize note about open dialog encoding.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/save.py (save_main):
	Update the mode of subtitles if saving in different format.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/debug-dialog.glade:
	Change the message label wording.

	* gaupol/gtk/dialogs/debug.py (_resize):
	Set the message label size request to wrap the text nicer.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/page.py:
	When the project emits a *-changed signal, move the focus row only if
	it currently is outside the changed rows.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py (_init_columns):
	Do not set text columns to expand since it is too slow.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py (_get_header_label, _get_renderer):
	Use gtk.CellRendererText instead of gtk.CellRendererSpin for frame
	cells.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/view.py:
	Accept negative values in the frame cell renderer.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/page.py:
	Move focus, at least the row, when projects emits a *-changed,
	subtitles-inserted or subtitles-removed signal.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/view.py:
	Do not register setting framerate with the undo/redo system.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/main.py (_parse_args):
	Add brackets around NUM in the usage string.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py (_on_key_press_event):
	Disable Ctrl+PageUp/PageDown to allow them to be used solely for
	navigation between notebook tabs.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/files/mpsub.py (_clean_lines):
	Remove newlines from the beginning of lines to stop them from being
	prepended to the header.

2007-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/header-dialog.glade:
	Do not wrap text in text views.

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/file/save.py (set_format, set_newline):
	* gaupol/gtk/dialogs/file/subtitle.py (set_encoding):
	Allow values of None, with which nothing will be done.

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/save.py (save_main_document):
	Update references to renamed variables and methods.

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py (VIDEO_PLAYER.MPLAYER.command):
	Add -slang (without parameters) to avoid loading VobSubs in Matroska
	video containers such that they would override the Gaupol-edited
	subtitle file given with the -sub option.

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/open.py (on_select_video_file_activate):
	Set filechooser filename to page.project.video_path.

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/page.py (_on_tab_event_box_enter_notify_event):
	Use name "Character encoding" instead of "Encoding".

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/open.py (_pre_open_check):
	Fix order of arguments in _check_file_is_not_open call.

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/open.py:
	* gaupol/errors.py:
	* gaupol/gtk/agents/open.py:
	Add gaupol.ParseError and raise that in OpenAgent.

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/open.py (_show_parse_error_dialog):
	Change message wording.

2007-06-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/register.py (_shift_changed_value):
	* gaupol/agents/util.py (_get_format):
	* gaupol/gtk/agents/save.py (save_translation_document):
	Update references to renamed variables and methods.

	* gaupol/gtk/agents/close.py:
	* gaupol/gtk/dialogs/multiclose.py:
	Actually close pages in proper methods and raise Defaults in proper
	places to handle cancellations correctly.

2007-06-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py:
	Fix OSError with initial change of working directory.

2007-06-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/__init__.py:
	* gaupol/gtk/main.py:
	Move move stuff from main to __init__.
	Rearrange imports in main.

2007-06-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/debug-dialog.glade:
	* data/glade/open-dialog.glade:
	* data/glade/preferences-dialog.glade:
	* data/glade/save-dialog.glade:
	* data/glade/spellcheck-dialog.glade:
	Set translatability of gtk-* labels to false.
	Split preview command fields label in the preferences dialog to
	translatable and non-translatable labels.

	* setup.py:
	Remove no longer existing icons from data_files.

	* tools/add-changelog:
	* tools/generate-tests:
	* tools/hide:
	* tools/list-glade:
	* tools/nose-run:
	* tools/pydoctor:
	* tools/pylint:
	Get rid of bashisms and use /bin/sh.

	* tools/translate:
	Extract strings directly from Glade XML files.

2007-06-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/container.py:
	* gaupol/gtk/conf/__init__.py:
	Copy defaults dictionary in __init__.restore_defaults instead
	of Container.update in order to save correct configuration.

2007-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/container.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/unittest/case.py:
	Try to make the gtk unittests a little bit faster.

2007-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/util.py:
	Fix more configuration variable renames.

2007-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/conf.spec:
	* gaupol/gtk/view.py:
	Fix configuration variable renames missed in previous commit.

2007-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/conf.spec:
	* gaupol/gtk/actions/position.py:
	* gaupol/gtk/actions/spellcheck.py:
	* gaupol/gtk/actions/view.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/preview.py:
	* gaupol/gtk/agents/view.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/dialogs/duration.py:
	* gaupol/gtk/dialogs/file/open.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/dialogs/transform.py:
	* gaupol/gtk/util.py:
	* gaupol/gtk/view.py:
	Rename several configuration variables.

2007-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/actions/action.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/__init__.py:
	* gaupol/gtk/actions/menu.py:
	* gaupol/gtk/actions/view.py:
	Fix all unfinished parts marked with "FIX:".

2007-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/__init__.py:
	* gaupol/gtk/main.py:
	Move stuff from main to __init__ and clean up code.

2007-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/duration-dialog.glade:
	* data/glade/framerate-dialog.glade:
	* data/glade/shift-dialog.glade:
	* data/glade/transform-dialog.glade:
	* gaupol/agents/position.py:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/position.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/dialogs/duration.py:
	* gaupol/gtk/dialogs/framerate.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/shift.py:
	* gaupol/gtk/dialogs/transform.py:
	Add contracts and clean up code.

2007-06-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/spellcheck-dialog.glade:
	Redesign the whole dialog.

	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/spellcheck.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	Add contracts and clean up code.

	* gaupol/gtk/dialogs/search.py (_set_text):
	Fix scrolling to a mark of the match.

2007-06-19  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/liner.py (_split_on_clauses):
	Check for a variance (actually std/mean) too great in line lengths if
	text contains three or more lines.

2007-06-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/search-dialog.glade:
	* data/ui.xml:
	* gaupol/agents/search.py:
	* gaupol/finder.py:
	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/search.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/parser.py:
	Add contracts and clean up code.

2007-06-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/application.py:
	Add contracts and clean up code.

2007-06-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/conf.spec:
	* gaupol/gtk/dialogs/file/open.py:
	* gaupol/gtk/dialogs/file/video.py:
	Do not save open_dialog.size since it doesn't work.

2007-06-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/preview.py:
	Clean up code.

2007-06-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/format.py:
	* gaupol/gtk/agents/__init__.py:
	Clean up code.

2007-06-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/conf.spec:
	* data/glade/header-dialog.glade:
	* data/glade/insert-dialog.glade:
	* data/glade/preferences-dialog.glade:
	* gaupol/base/mutables.py:
	* gaupol/const.py:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/dialogs/header.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/util.py:
	* gaupol/gtk/view.py:
	* gaupol/languages.py:
	* gaupol/unittest/case.py:
	Add contracts and clean up code.

2007-06-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/close.py (close_page):
	Call self.update_gui.

2007-06-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/open.py (_try_open_file):
	Actually return None on UnicodeError.

2007-06-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/multiclose-dialog.glade:
	* gaupol/gtk/agents/close.py:
	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/save.py:
	* gaupol/gtk/application.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/unittest/case.py:
	Add contracts and clean up code.

2007-06-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/application.py (_init_notebook):
	Remove the border from around the notebook.

	* gaupol/gtk/page.py (_init_widgets):
	Change the tab label event box to use an invisible child window to
	remove bizarre gradients in tab label backgrounds.

2007-06-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/__init__.py:
	* gaupol/gtk/main.py:
	Move gtk.rc_add_default_file call to __init__.

2007-06-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/open.py:
	(_show_parse_error_dialog): Extend secondary text.
	Uncomment interactive tests.

2007-06-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/open.py:
	Fix callback name to match UIM action.

2007-06-13  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/split-dialog.glade:
	* data/ui.xml:
	* gaupol/agents/register.py:
	* gaupol/agents/search.py:
	* gaupol/clipboard.py:
	* gaupol/const.py:
	* gaupol/encodings.py:
	* gaupol/finder.py:
	* gaupol/gtk/actions/action.py:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/file.py:
	* gaupol/gtk/actions/__init__.py:
	* gaupol/gtk/actions/menu.py:
	* gaupol/gtk/actions/view.py:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/agents/help.py:
	* gaupol/gtk/agents/__init__.py:
	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/save.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/agents/util.py:
	* gaupol/gtk/agents/view.py:
	* gaupol/gtk/application.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/const.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/duradjust.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/file/subtitle.py:
	* gaupol/gtk/dialogs/header.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/dialogs/posadjust.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/dialogs/previewerr.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/__init__.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/output.py:
	* gaupol/gtk/renderers/time.py:
	* gaupol/gtk/ruler.py:
	* gaupol/gtk/unittest/case.py:
	* gaupol/gtk/util.py:
	* gaupol/gtk/view.py:
	* gaupol/languages.py:
	* gaupol/liner.py:
	* gaupol/parser.py:
	* gaupol/project.py:
	* gaupol/subtitle.py:
	* gaupol/unittest/case.py:
	* gaupol/util.py:
	Add contracts and clean up code.

2007-06-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/container.py:
	* gaupol/gtk/conf/__init__.py:
	Do not break notification connections upon repeated reads.

	* gaupol/gtk/unittest/case.py (teardown_method):
	Call gaupol.gtk.conf.read.

2007-06-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/ruler.py:
	Use "sans" instead of conf.editor.font.

2007-06-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/application.py:
	Add missing __all__ attribute.

2007-06-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/help.py:
	* gaupol/gtk/agents/__init__.py:
	Fix imports.

2007-06-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/ruler.py:
	Use proper definition of "em" and pango units.

2007-06-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/gaupol:
	* data/conf.spec:
	* gaupol/agents/clipboard.py:
	* gaupol/agents/edit.py:
	* gaupol/agents/format.py:
	* gaupol/agents/open.py:
	* gaupol/agents/position.py:
	* gaupol/agents/preview.py:
	* gaupol/agents/register.py:
	* gaupol/agents/save.py:
	* gaupol/agents/search.py:
	* gaupol/agents/set.py:
	* gaupol/agents/text.py:
	* gaupol/agents/util.py:
	* gaupol/base/const.py:
	* gaupol/base/contractual.py:
	* gaupol/base/__init__.py:
	* gaupol/calculator.py:
	* gaupol/clipboard.py:
	* gaupol/const.py:
	* gaupol/converter.py:
	* gaupol/determiner.py:
	* gaupol/enclib.py:
	* gaupol/encodings.py:
	* gaupol/files/ass.py:
	* gaupol/files/__init__.py:
	* gaupol/files/microdvd.py:
	* gaupol/files/mpl2.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/files/subfile.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	* gaupol/files/tmplayer.py:
	* gaupol/finder.py:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/file.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/help.py:
	* gaupol/gtk/actions/__init__.py:
	* gaupol/gtk/actions/position.py:
	* gaupol/gtk/actions/search.py:
	* gaupol/gtk/actions/spellcheck.py:
	* gaupol/gtk/actions/view.py:
	* gaupol/gtk/agents/close.py:
	* gaupol/gtk/agents/edit.py:
	* gaupol/gtk/agents/format.py:
	* gaupol/gtk/agents/help.py:
	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/position.py:
	* gaupol/gtk/agents/preview.py:
	* gaupol/gtk/agents/save.py:
	* gaupol/gtk/agents/search.py:
	* gaupol/gtk/agents/spellcheck.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/agents/view.py:
	* gaupol/gtk/application.py:
	* gaupol/gtk/conf/config.py:
	* gaupol/gtk/conf/container.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/const.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/duradjust.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/file/append.py:
	* gaupol/gtk/dialogs/file/__init__.py:
	* gaupol/gtk/dialogs/file/open.py:
	* gaupol/gtk/dialogs/file/save.py:
	* gaupol/gtk/dialogs/file/subtitle.py:
	* gaupol/gtk/dialogs/file/video.py:
	* gaupol/gtk/dialogs/frconvert.py:
	* gaupol/gtk/dialogs/glade.py:
	* gaupol/gtk/dialogs/header.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/dialogs/posadjust.py:
	* gaupol/gtk/dialogs/posshift.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/dialogs/previewerr.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/errors.py:
	* gaupol/gtk/index.py:
	* gaupol/gtk/__init__.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/meta.py:
	* gaupol/gtk/output.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/renderers:
	* gaupol/gtk/renderers/__init__.py:
	* gaupol/gtk/renderers/multiline.py:
	* gaupol/gtk/renderers/time.py:
	* gaupol/gtk/ruler.py:
	* gaupol/gtk/runner.py:
	* gaupol/gtk/test/__init__.py:
	* gaupol/gtk/tooltips.py:
	* gaupol/gtk/unittest/case.py:
	* gaupol/gtk/util.py:
	* gaupol/gtk/view.py:
	* gaupol/i18n.py:
	* gaupol/__init__.py:
	* gaupol/languages.py:
	* gaupol/liner.py:
	* gaupol/opts.py:
	* gaupol/parser.py:
	* gaupol/paths.py:
	* gaupol/project.py:
	* gaupol/revertable.py:
	* gaupol/scripts.py:
	* gaupol/subtitle.py:
	* gaupol/tags/ass.py:
	* gaupol/tags/__init__.py:
	* gaupol/tags/microdvd.py:
	* gaupol/tags/mpl2.py:
	* gaupol/tags/mpsub.py:
	* gaupol/tags/ssa.py:
	* gaupol/tags/subrip.py:
	* gaupol/tags/subviewer2.py:
	* gaupol/tags/taglib.py:
	* gaupol/tags/tmplayer.py:
	* gaupol/unittest/case.py:
	* gaupol/unittest/__init__.py:
	* gaupol/urls.py:
	* gaupol/util.py:
	Arrange imports to gaupol and gaupol.gtk.
	Rename and rearrange some modules.

2007-06-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/files/mpl2.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/preferences.py:
	* gaupol/gtk/page.py:
	Use lambda where appropriate.

2007-06-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/application.py (_init_uim):
	Set radio action groups.

2007-06-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/text.py (capitalize_texts):
	Only change the case of the first letter of a clause.

2007-06-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/open-dialog.glade:
	* data/glade/preferences-dialog.glade:
	* data/glade/save-dialog.glade:
	Fix mnemonics.

	* data/icons/gaupol.png:
	Remove as obsolete.

	* gaupol/agents/position.py:
	* gaupol/clipboard.py:
	* gaupol/gtk/const.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/unittest/case.py:
	* gaupol/project.py:
	Minor changes.

	* data/ui.xml:
	* gaupol/gtk/actions/action.py:
	* gaupol/gtk/actions/edit.py:
	* gaupol/gtk/actions/file.py:
	* gaupol/gtk/actions/format.py:
	* gaupol/gtk/actions/help.py:
	* gaupol/gtk/actions/__init__.py:
	* gaupol/gtk/actions/position.py:
	* gaupol/gtk/actions/search.py:
	* gaupol/gtk/actions/spellcheck.py:
	* gaupol/gtk/actions/test:
	* gaupol/gtk/actions/test/___init__.py:
	* gaupol/gtk/actions/view.py:
	Rewrite action classes as gtk.Actions.

	* gaupol/gtk/agents/__init__.py:
	Comment imports out for now.

	* gaupol/gtk/application.py:
	Add contracts and clean up code.

2007-05-29  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/dialogs/file/subtitle.py:
	Replace three dots with ellipsis characters.

2007-05-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/main.py (_start):
	Remove one level of indentation.

2007-05-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/main.py:
	Adapt to renamed modules and variables.

2007-05-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/file:
	* gaupol/gtk/dialogs/file/test:
	Set svn:ignore properties.

2007-05-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/conf.spec:
	Remove obsolete entries.

	* data/glade/encoding-dialog.glade:
	* data/glade/language-dialog.glade:
	* data/glade/preferences-dialog.glade:
	* data/glade/previewerr-dialog.glade:
	Set dialog position.
	Remove unnecessary combo box items.

	* data/glade/open-dialog.glade:
	* data/glade/save-dialog.glade:
	New files to replace open-box.glade and save-box.glade.

	* gaupol/gtk/dialogs/file:
	* gaupol/gtk/dialogs/file/append.py:
	* gaupol/gtk/dialogs/file/__init__.py:
	* gaupol/gtk/dialogs/file/open.py:
	* gaupol/gtk/dialogs/file/save.py:
	* gaupol/gtk/dialogs/file/subtitle.py:
	* gaupol/gtk/dialogs/file/video.py:
	New files for file dialogs.

	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/preferences.py:
	Minor changes.

2007-05-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/preferences-dialog.glade:
	* gaupol/gtk/dialogs/preferences.py:
	Use gtk.Alignments to indent sections.
	Remove undo limiting and level preferences.

2007-05-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/debug-dialog.glade:
	Set 6 pixel margins to the text view.

	* gaupol/gtk/dialogs/debug.py:
	Clean up code.

2007-05-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/language.py:
	Fix tree view sorting.

2007-05-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/encoding-dialog.glade:
	Save with Glade 3.

	* gaupol/enclib.py (get_description):
	Add missing method.

	* gaupol/gtk/dialogs/encoding.py:
	Add contracts and clean up code.

2007-05-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/previewerr-dialog.glade:
	Set 6 pixel margins to the text view.

	* gaupol/gtk/dialogs/previewerr.py:
	Use util.get_text_view_size.

	* gaupol/gtk/util.py (get_text_view_size):
	Add font argument with a blank default value.

2007-05-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/language-dialog.glade:
	Use gtk.Alignments to indent sections.

	* gaupol/gtk/dialogs/glade.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/message.py:
	* gaupol/gtk/dialogs/textedit.py:
	Add contracts and clean up code.

2007-05-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/output.py:
	Set 6 pixel margins to the text view.

2007-05-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/icons/logo.png:
	Remove file, use icon instead.

	* gaupol/gtk/dialogs/about.py:
	Add title, fix website label and use a named icon.

	* gaupol/gtk/dialogs/__init__.py:
	Comment out imports for now.

	* gaupol/urls.py (HOMEPAGE):
	Add trailing slash.

2007-05-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/register.py:
	* gaupol/agents/search.py:
	* gaupol/base/delegate.py:
	* gaupol/base/__init__.py:
	* gaupol/base/mutables.py:
	* gaupol/base/observable.py:
	* gaupol/base/singleton.py:
	* gaupol/calculator.py:
	* gaupol/clipboard.py:
	* gaupol/const.py:
	* gaupol/converter.py:
	* gaupol/determiner.py:
	* gaupol/enclib.py:
	* gaupol/files/__init__.py:
	* gaupol/files/ssa.py:
	* gaupol/files/subfile.py:
	* gaupol/finder.py:
	* gaupol/gtk/agents/menu.py:
	* gaupol/gtk/agents/open.py:
	* gaupol/gtk/agents/update.py:
	* gaupol/gtk/app.py:
	* gaupol/gtk/cellrend/__init__.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/const.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/file.py:
	* gaupol/gtk/dialogs/glade.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/posadjust.py:
	* gaupol/gtk/dialogs/pref.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/lengthlib.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/util.py:
	* gaupol/__init__.py:
	* gaupol/langlib.py:
	* gaupol/liner.py:
	* gaupol/opts.py:
	* gaupol/parser.py:
	* gaupol/paths.py:
	* gaupol/project.py:
	* gaupol/reversion/action.py:
	* gaupol/reversion/group.py:
	* gaupol/reversion/__init__.py:
	* gaupol/scriptlib.py:
	* gaupol/subtitle.py:
	* gaupol/tags/__init__.py:
	* gaupol/tags/ssa.py:
	* gaupol/tags/taglib.py:
	* gaupol/unittest/case.py:
	* gaupol/unittest/__init__.py:
	* gaupol/urls.py:
	Style fixes to docstrings and variable names.

2007-05-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/conf.spec:
	* gaupol/gtk/const.py:
	* gaupol/gtk/index.py:
	* gaupol/gtk/view.py:
	Fix column constant names.

	* gaupol/gtk/page.py:
	Add contracts and use Subtitle class.

	* gaupol/gtk/tooltips.py:
	New file with markup tooltips; split from page.

	* gaupol/gtk/util.py (document_to_text_column,
	text_column_to_document):
	New functions; split from page.

	* gaupol/subtitle.py (get_duration):
	Add missing method.

2007-05-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py:
	Lowercase class variables.

2007-05-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py:
	Add contracts and clean up code.

2007-05-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/output.py:
	Minor changes.

2007-05-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/cellrend/__init__.py:
	* gaupol/gtk/cellrend/multiline.py:
	* gaupol/gtk/cellrend/time.py:
	Minor changes.

2007-05-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/entries.py:
	Allow negative values.
	Add contracts.

	* gaupol/gtk/util.py (get_contractual_metaclass):
	New function to help avoid metaclass conflicts.

2007-05-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/errors.py:
	* gaupol/gtk/index.py:
	Minor changes.

2007-05-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py (asserted_return):
	New decorator to replace silent(AssertionError).
	Fix all references.

2007-05-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents/open.py:
	* gaupol/determiner.py:
	* gaupol/liner.py:
	Minor changes to contracts.

	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/conf/config.py:
	* gaupol/gtk/conf/container.py:
	* gaupol/gtk/conf/wrappers.py:
	* gaupol/gtk/const.py:
	* gaupol/gtk/lengthlib.py:
	* gaupol/gtk/util.py:
	Add contracts and clean up code.

	* gaupol/gtk/unittest/case.py:
	* gaupol/unittest/case.py:
	Import Project, Page and Application locally.

2007-05-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/i18n.py:
	* gaupol/gtk/main.py:
	Remove i18n and move stuff to main.

2007-05-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/unittest/case.py:
	* gaupol/gtk/unittest/__init__.py:
	Minor changes.

2007-05-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/reversion:
	* gaupol/reversion/test:
	Set svn:ignore properties on directories.

2007-05-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/actions/action.py:
	Remove leading underscore from filename.

2007-05-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/agents:
	* gaupol/base/mutables.py:
	* gaupol/files/subfile.py:
	* gaupol/gtk/actions:
	* gaupol/gtk/agents:
	* gaupol/tags/taglib.py:
	Remove leading underscore from filename.

2007-05-17  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/_agents/__init__.py:
	* gaupol/_agents/clipboard.py:
	* gaupol/_agents/edit.py:
	* gaupol/_agents/format.py:
	* gaupol/_agents/index.py:
	* gaupol/_agents/open.py:
	* gaupol/_agents/position.py:
	* gaupol/_agents/preview.py:
	* gaupol/_agents/register.py:
	* gaupol/_agents/save.py:
	* gaupol/_agents/search.py:
	* gaupol/_agents/set.py:
	* gaupol/_agents/support.py:
	* gaupol/_agents/text.py:
	* gaupol/_agents/util.py:
	* gaupol/base/contractual.py:
	* gaupol/base/delegate.py:
	* gaupol/base/observable.py:
	* gaupol/base/singleton.py:
	* gaupol/calculator.py:
	* gaupol/clipboard.py:
	* gaupol/const.py:
	* gaupol/enclib.py:
	* gaupol/files/_subfile.py:
	* gaupol/files/mpsub.py:
	* gaupol/gtk/cellrend/time.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/pref.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/entries.py:
	* gaupol/liner.py:
	* gaupol/project.py:
	* gaupol/reversion/__init__.py:
	* gaupol/reversion/action.py:
	* gaupol/reversion/deco.py:
	* gaupol/reversion/group.py:
	* gaupol/reversion:
	* gaupol/subtitle.py:
	* gaupol/tags/_taglib.py:
	* gaupol/unittest/case.py:
	* gaupol/unittest/deco.py:
	* gaupol/urls.py:
	* gaupol/util.py:
	Use Subtitle class.
	Add contracts to agents.
	Allow negative values of positions.

2007-04-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py:
	Add FORMAT.*.has_header and FORMAT.*.identifier.

	* gaupol/determiner.py:
	Subclass from Singleton.

	* gaupol/files/ass.py:
	* gaupol/files/microdvd.py:
	* gaupol/files/mpl2.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/files/_subfile.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	* gaupol/files/tmplayer.py:
	Use Contractual metaclass.

	* gaupol/tags/__init__.py:
	Fix docstring.

2007-04-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/subtitle.py:
	New file.

2007-04-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/base/contractual.py:
	* gaupol/opts.py:
	New files.

	* gaupol/calculator.py:
	Use one instance per framerate.

	* gaupol/util.py (contractual):
	Handle only global functions.

2007-04-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/determiner.py:
	Add contracts.
	Read file one line at a time.

2007-04-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/liner.py (is_legal):
	Make this a method again.

2007-04-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/enclib.py:
	* gaupol/util.py:
	Replace memoize with once where appropriate.

2007-04-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/base/singleton.py (__new__):
	Fix to work with inheritance.

	* gaupol/converter.py:
	* gaupol/tags/ass.py:
	* gaupol/tags/__init__.py:
	* gaupol/tags/internal.py:
	* gaupol/tags/microdvd.py:
	* gaupol/tags/mpl2.py:
	* gaupol/tags/ssa.py:
	* gaupol/tags/subrip.py:
	* gaupol/tags/_taglib.py:
	Simplify TagLibrary interface.

	* gaupol/util.py (once):
	New decorator.

2007-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py:
	* gaupol/files/__init__.py:
	* gaupol/i18n.py:
	* gaupol/liner.py:
	* gaupol/paths.py:
	* gaupol/scriptlib.py:
	Minor changes.

	* tools/nose-cover:
	Remove file.

2007-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py:
	Remove gc_collected.

2007-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/base/__init__.py:
	Import singleton.Singleton.

	* gaupol/base/singleton.py:
	New file with a Singleton base class.

2007-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/nose-cover:
	Fix to work with individual modules.

2007-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py:
	Fix module docstring.

2007-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/unittest/case.py:
	Use a set as TestCase.files.

2007-04-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py:
	* gaupol/files/__init__.py:
	* gaupol/util.py:
	Fix value of __all__.

2007-04-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py (memoize):
	Pickle the id of the self argument of methods.

2007-04-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/nose-cover:
	New file.

2007-04-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/unittest/case.py:
	* gaupol/unittest/__init__.py:
	Use atexit.register to remove temporary files.

2007-04-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/_agents/search.py:
	* gaupol/_agents/text.py:
	* gaupol/finder.py:
	* gaupol/gtk/dialogs/search.py:
	Docstring fixes.

2007-04-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/files/__init__.py:
	* gaupol/files/microdvd.py:
	* gaupol/files/mpl2.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/files/_subfile.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	* gaupol/files/tmplayer.py:
	* gaupol/finder.py:
	Add contracts.
	Use contextlib.closing with codecs.open.

	* gaupol/util.py:
	Use contextlib.closing with codecs.open.

2007-04-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/unittest/case.py (raises):
	New function.

2007-04-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/calculator.py:
	* gaupol/finder.py:
	* gaupol/liner.py:
	* gaupol/parser.py:
	Add contracts.

	* gaupol/util.py (last):
	New function.

2007-04-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/enclib.py:
	* gaupol/langlib.py:
	* gaupol/scriptlib.py:
	Add contracts.

2007-04-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/i18n.py:
	* gaupol/i18n.py:
	New modules.

2007-04-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/const.py:
	* gaupol/util.py:
	Minor changes.

2007-04-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py (is_method):
	New function. Use with contractual and memoize.

2007-04-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/base/observable.py:
	Add contracts.

2007-04-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/base/_mutables.py:
	Add contracts.

	* gaupol/util.py (contractual):
	Handle name mangling of __private methods.

2007-04-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/cons.py:
	* gaupol/const.py:
	* gaupol/gtk/cons.py:
	* gaupol/gtk/const.py:
	Rename to const.

2007-04-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/base/cons.py:
	* gaupol/base/const.py:
	Rename to const.

2007-04-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/base/observable.py:
	* gaupol/util.py:
	Move notify_frozen to util.

2007-04-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/main.py:
	Set util.CHECK_CONTRACTS based on --debug.

	* gaupol/util.py:
	Add contractual decorator.
	Remove old unused crap.

2007-04-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/unittest/case.py (TestCase.get_text):
	Use util.memoize.

	* gaupol/util.py (memoize):
	Do not pickle the self argument of methods.

2007-04-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/unittest/case.py:
	* gaupol/unittest/decorators.py:
	* gaupol/unittest/__init__.py:
	Minor changes.

2007-04-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_actions/edit.py:
	* gaupol/gtk/_actions/file.py:
	* gaupol/gtk/_actions/position.py:
	* gaupol/gtk/_actions/search.py:
	* gaupol/gtk/_actions/spellcheck.py:
	Replaced three dots with U+2026 ellipses.

2007-04-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/_agents/edit.py:
	* gaupol/_agents/open.py:
	* gaupol/_agents/save.py:
	* gaupol/_agents/support.py:
	* gaupol/_agents/text.py:
	* gaupol/base/cons.py:
	* gaupol/base/_mutables.py:
	* gaupol/clipboard.py:
	* gaupol/files/microdvd.py:
	* gaupol/files/mpl2.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	* gaupol/files/tmplayer.py:
	* gaupol/gtk/_actions/__init__.py:
	* gaupol/gtk/_agents/open.py:
	* gaupol/gtk/conf/wrappers.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/lengthlib.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/view.py:
	* gaupol/liner.py:
	* gaupol/parser.py:
	* gaupol/util.py:
	* tools/translate:
	Replace list(...) with [...] in list comprehensions.

2007-04-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/add-changelog:
	* tools/data/apidocs.css:
	* tools/data/code.css:
	* tools/data/pylintrc:
	* tools/generate-tests:
	* tools/list-glade:
	* tools/nose-run:
	* tools/profile:
	* tools/pydoctor:
	* tools/pylint:
	* tools/translate:
	Minor changes.

2007-03-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* bin/gaupol:
	Check if path in sys.path before inserting it.

	* MANIFEST.in:
	Remove doc/api. Include tools/data.

	* setup.py (SDistGna.run):
	Fix this to actually work.

2007-03-27  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/spellcheck-dialog.glade:
	* data/ui.xml:
	* gaupol/gtk/_actions/spellcheck.py:
	* gaupol/gtk/_agents/spellcheck.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/spellcheck.py:
	Add spell-check.

2007-03-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml:
	* gaupol/gtk/_actions/__init__.py:
	* gaupol/gtk/_actions/spellcheck.py:
	* gaupol/gtk/_agents/__init__.py:
	* gaupol/gtk/_agents/spellcheck.py:
	Add spell-check configuration.

2007-03-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/frconvert-dialog.glade:
	* data/ui.xml:
	* gaupol/gtk/_actions/position.py:
	* gaupol/gtk/_agents/position.py:
	* gaupol/gtk/dialogs/frconvert.py:
	* gaupol/gtk/dialogs/__init__.py:
	Add framerate conversion.

2007-03-20  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/duradjust-dialog.glade:
	* data/ui.xml:
	* gaupol/gtk/_actions/position.py:
	* gaupol/gtk/_agents/position.py:
	* gaupol/gtk/dialogs/duradjust.py:
	* gaupol/gtk/dialogs/__init__.py:
	Add duration adjust.

2007-03-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/files/mpsub.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	Use regular expression substitution instead of insane slicing to
	right-strip the final newline off texts.

2007-03-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/_agents/text.py (capitalize):
	Use Parser instead of Finder.

2007-03-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/posadjust.py:
	Fix text view widths.

2007-03-14  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/posadjust-dialog.glade:
	* data/ui.xml:
	* gaupol/gtk/_actions/file.py:
	* gaupol/gtk/_actions/position.py:
	* gaupol/gtk/_agents/position.py:
	* gaupol/gtk/_agents/preview.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/posadjust.py:
	* gaupol/gtk/dialogs/posshift.py:
	Add position adjust.

2007-03-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/base/observable.py (block_all, unblock_all):
	New methods.

	* gaupol/gtk/_agents/preview.py (preview_changes):
	Wrap the project method call with a block_all-unblock_all.

2007-03-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/posshift-dialog.glade:
	* data/ui.xml:
	* gaupol/gtk/_actions/position.py:
	* gaupol/gtk/_agents/__init__.py:
	* gaupol/gtk/_agents/position.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/posshift.py:
	Add position shift.

2007-03-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/util.py (browse_url):
	Quote url.

2007-03-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_actions/format.py:
	* gaupol/gtk/_actions/position.py:
	Fix imports.

2007-03-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_actions/edit.py:
	* gaupol/gtk/_actions/file.py:
	* gaupol/gtk/_actions/format.py:
	* gaupol/gtk/_actions/help.py:
	* gaupol/gtk/_actions/__init__.py:
	* gaupol/gtk/_actions/position.py:
	* gaupol/gtk/_actions/projects.py:
	* gaupol/gtk/_actions/search.py:
	* gaupol/gtk/_actions/text.py:
	* gaupol/gtk/_actions/tools.py:
	* gaupol/gtk/_actions/view.py:
	Refactor action modules.

2007-03-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/_agents/edit.py:
	* gaupol/_agents/position.py:
	* gaupol/_agents/register.py:
	* gaupol/_agents/set.py:
	* gaupol/_agents/support.py:
	* gaupol/base/cons.py:
	* gaupol/base/__init__.py:
	* gaupol/base/_mutables.py:
	* gaupol/base/observable.py:
	* gaupol/cons.py:
	* gaupol/files/_subfile.py:
	* gaupol/gtk/_actions/edit.py:
	* gaupol/gtk/_actions/file.py:
	* gaupol/gtk/_actions/help.py:
	* gaupol/gtk/_actions/projects.py:
	* gaupol/gtk/_actions/text.py:
	* gaupol/gtk/_actions/tools.py:
	* gaupol/gtk/_agents/close.py:
	* gaupol/gtk/_agents/edit.py:
	* gaupol/gtk/_agents/menu.py:
	* gaupol/gtk/_agents/open.py:
	* gaupol/gtk/_agents/preview.py:
	* gaupol/gtk/_agents/save.py:
	* gaupol/gtk/_agents/update.py:
	* gaupol/gtk/_agents/view.py:
	* gaupol/gtk/app.py:
	* gaupol/gtk/cellrend/multiline.py:
	* gaupol/gtk/cellrend/time.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/cons.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/file.py:
	* gaupol/gtk/dialogs/glade.py:
	* gaupol/gtk/dialogs/header.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/dialogs/pref.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/lengthlib.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/output.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/unittest/__init__.py:
	* gaupol/gtk/util.py:
	* gaupol/gtk/view.py:
	* gaupol/liner.py:
	* gaupol/parser.py:
	* gaupol/paths.py:
	* gaupol/scriptlib.py:
	* gaupol/tags/internal.py:
	* gaupol/unittest/case.py:
	* gaupol/unittest/decorators.py:
	* gaupol/unittest/__init__.py:
	* gaupol/unittest/samples.py:
	* gaupol/urls.py:
	* gaupol/util.py:
	* setup.py:
	* tools/pylint:
	* tools/translate:
	Refactor some stuff.

2007-03-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_actions/text.py (FindNextAction.is_doable,
	FindPreviousAction.is_doable):
	Fix application's pattern check.

2007-03-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml:
	Add separator to the "Text" menu. Flip "Dialogue" and "Italic".

2007-03-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/hide:
	Add .hidden generator.

2007-03-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_agents/__init__.py:
	* gaupol/gtk/_agents/preview.py:
	* gaupol/gtk/_agents/tools.py:
	Renamed tools to preview.

2007-03-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/app.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/paths.py:
	* gaupol/gtk/util.py:
	Do not read the default configuration file upon the import of
	gaupol.gtk.conf.

2007-03-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/page.py (_on_project_*):
	Reload, change selection and focus only if rows is not empty.

2007-03-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol:
	* gaupol/_agents:
	* gaupol/_agents/test:
	* gaupol/base:
	* gaupol/base/test:
	* gaupol/files:
	* gaupol/files/test:
	* gaupol/gtk/_actions/test:
	* gaupol/gtk/_actions:
	* gaupol/gtk/_agents/test:
	* gaupol/gtk/_agents:
	* gaupol/gtk/cellrend/test:
	* gaupol/gtk/cellrend:
	* gaupol/gtk/conf/test:
	* gaupol/gtk/conf:
	* gaupol/gtk/dialogs/test:
	* gaupol/gtk/dialogs:
	* gaupol/gtk/test:
	* gaupol/gtk/unittest:
	* gaupol/gtk:
	* gaupol/tags/test:
	* gaupol/tags:
	* gaupol/test:
	* gaupol/unittest:
	Add ".hidden" to svn:ignore properties.

2007-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_agents/close.py:
	Confirm close if file no longer exists.

2007-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_agents/open.py (OpenAgent._select_files):
	If possible, set the filechooser directory to that of the current
	project's main file.

2007-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/wrappers.py (Container):
	Set options as instance variables.

2007-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/search-dialog.glade:
	* gaupol/gtk/dialogs/search.py:
	Fix initial focus.

2007-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/search.py:
	Set cursor busy for "Replace All".

2007-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/search.py:
	Fix text view scrolling.

2007-03-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/search-dialog.glade:
	* gaupol/_agents/search.py:
	* gaupol/_agents/set.py:
	* gaupol/gtk/_actions/text.py:
	* gaupol/gtk/_agents/edit.py:
	* gaupol/gtk/_agents/search.py:
	* gaupol/gtk/app.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/search.py:
	* gaupol/gtk/lengthlib.py:
	* gaupol/gtk/page.py:
	Add search. Closes #6690.

2007-03-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml:
	* gaupol/_agents/preview.py:
	* gaupol/gtk/_actions/tools.py:
	* gaupol/gtk/_agents/save.py:
	* gaupol/gtk/_agents/tools.py:
	Add preview.

2007-03-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.desktop.in:
	Remove Application from Categories and Add Video.

2007-03-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/add-changelog:
	* tools/nose-run:
	* tools/pydoctor:
	Add proper quoting.

2007-03-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml:
	* gaupol/enclib.py:
	* gaupol/gtk/_actions/edit.py:
	* gaupol/gtk/_actions/text.py:
	* gaupol/gtk/_agents/open.py:
	* gaupol/gtk/_agents/save.py:
	* gaupol/gtk/app.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/file.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/langlib.py:
	* setup.py:
	Added "Insert Subtitles...", "Remove Subtitles" and "Find And Replace"
	to the main toolbar. Fixed minor quotation inconsistensies.

2007-03-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml:
	* gaupol/gtk/_actions/edit.py:
	* gaupol/gtk/_actions/format.py:
	* gaupol/gtk/_actions/__init__.py:
	* gaupol/gtk/_actions/search.py:
	* gaupol/gtk/_actions/text.py:
	* gaupol/gtk/_agents/edit.py:
	* gaupol/gtk/_agents/search.py:
	* gaupol/gtk/app.py:
	Add "Text" menu and move items from "Edit", "Format" and "Search"
	menus there. Relabel some menu items.

2007-03-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/enclib.py:
	Updated URLs.

2007-03-02  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/pydoctor:
	Browse not by default.

2007-03-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui.xml:
	* gaupol/gtk/_actions/edit.py:
	* gaupol/gtk/_agents/edit.py:
	Remove Alt+Arrow keybindings and add "edit_next_value" UI manager
	action bound to the space key.

2007-03-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/data/code.css:
	* tools/data/footer.html:
	* tools/data/header.html:
	* tools/py2html:
	* tools/pydoctor:
	Use highlight instead of py2html.

2007-03-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* tools/data/pylintrc:
	* tools/pylint:
	Adjust to Pylint 0.13.

2007-03-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py:
	Right-align number and frame cell contents.

2007-03-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/view.py:
	Set frame cells wide enough to fit the spin button editor.

2007-03-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_actions/__init__.py:
	* gaupol/gtk/_agents/close.py:
	* gaupol/gtk/_agents/help.py:
	* gaupol/gtk/_agents/menu.py:
	* gaupol/gtk/app.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/view.py:
	Import util from gaupol.gtk.

2007-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_agents/edit.py:
	* gaupol/gtk/cellrend/multiline.py:
	* gaupol/gtk/cellrend/time.py:
	* gaupol/gtk/page.py:
	Fix inconsistensies and segfaults and rest of the shit between the
	cell renderers and the edit agent.

2007-02-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_agents/edit.py:
	* gaupol/gtk/_agents/open.py:
	Add cell editing.

2007-02-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/dialogs/about.py:
	Strip "http://" from website label.

2007-02-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_agents/format.py:
	* gaupol/gtk/_agents/view.py:
	* gaupol/gtk/app.py:
	Allow UIMAction menu_item callbacks be None.

	* tools/add-changelog:
	Sort files.

2007-02-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_agents/format.py:
	* gaupol/gtk/_actions/format.py:
	* data/ui.xml:
	Add format menu items.

2007-02-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/conf/wrappers.py:
	* gaupol/base/cons.py:
	* data/conf.spec:
	Write constants in configuration file as strings instead of integers.

2007-02-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/gtk/_agents/menu.py:
	Add Alt+N accelerators for project menu items.

2007-02-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/pref-dialog.glade:
	Fix preview command fields and expand settings on the file page.

2007-02-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	Initial svn import of the seija branch leading to 0.8.

2007-02-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol/__init__.py: Cut the date off __version__.

2007-02-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* commit e10fb8521850379be5fc90429ca196aaf7ad71ba:
	* Author: Osmo Salomaa <otsaloma@cc.hut.fi>:
	* Date:   2007-02-23:

	Edited svn:ignore properties.

2007-02-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* commit 929c038241c6253708feb1cec4871b2635f3837c:
	* Author: Osmo Salomaa <otsaloma@cc.hut.fi>:
	* Date:   2007-02-23:

	Edited svn:ignore property.

2007-02-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* AUTHORS:
	* COPYING:
	* CREDITS:
	* ChangeLog:
	* INSTALL:
	* MANIFEST.in:
	* NEWS:
	* README:
	* TODO:
	* bin/gaupol:
	* data/conf.spec:
	* data/gaupol.desktop.in:
	* data/glade/debug-dialog.glade:
	* data/glade/encoding-dialog.glade:
	* data/glade/header-dialog.glade:
	* data/glade/insert-dialog.glade:
	* data/glade/language-dialog.glade:
	* data/glade/multiclose-dialog.glade:
	* data/glade/open-box.glade:
	* data/glade/pref-dialog.glade:
	* data/glade/previewerr-dialog.glade:
	* data/glade/save-box.glade:
	* data/glade/split-dialog.glade:
	* data/gtkrc:
	* data/headers/ass.txt:
	* data/headers/microdvd.txt:
	* data/headers/mpsub.txt:
	* data/headers/ssa.txt:
	* data/headers/subviewer2.txt:
	* data/icons/16x16/gaupol.png:
	* data/icons/22x22/gaupol.png:
	* data/icons/24x24/gaupol.png:
	* data/icons/32x32/gaupol.png:
	* data/icons/gaupol.png:
	* data/icons/logo.png:
	* data/icons/scalable/gaupol.svg:
	* data/ui.xml:
	* doc/api/apidocs.css:
	* doc/api/classIndex.html:
	* doc/api/gaupol.__init__.html:
	* doc/api/gaupol._agents.__init__.html:
	* doc/api/gaupol._agents.edit.EditAgent.html:
	* doc/api/gaupol._agents.edit.html:
	* doc/api/gaupol._agents.format.FormatAgent.html:
	* doc/api/gaupol._agents.format.html:
	* doc/api/gaupol._agents.html:
	* doc/api/gaupol._agents.index.html:
	* doc/api/gaupol._agents.open.OpenAgent.html:
	* doc/api/gaupol._agents.open.html:
	* doc/api/gaupol._agents.position.PositionAgent.html:
	* doc/api/gaupol._agents.position.html:
	* doc/api/gaupol._agents.preview.PreviewAgent.html:
	* doc/api/gaupol._agents.preview.html:
	* doc/api/gaupol._agents.register.RegisterAgent.html:
	* doc/api/gaupol._agents.register.RevertableAction.html:
	* doc/api/gaupol._agents.register.RevertableActionGroup.html:
	* doc/api/gaupol._agents.register.html:
	* doc/api/gaupol._agents.save.SaveAgent.html:
	* doc/api/gaupol._agents.save.html:
	* doc/api/gaupol._agents.search.SearchAgent.html:
	* doc/api/gaupol._agents.search.html:
	* doc/api/gaupol._agents.set.SetAgent.html:
	* doc/api/gaupol._agents.set.html:
	* doc/api/gaupol._agents.support.SupportAgent.html:
	* doc/api/gaupol._agents.support.html:
	* doc/api/gaupol._agents.text.TextAgent.html:
	* doc/api/gaupol._agents.text.html:
	* doc/api/gaupol.base.__init__.Delegate.html:
	* doc/api/gaupol.base.__init__.Observable.html:
	* doc/api/gaupol.base.__init__.html:
	* doc/api/gaupol.base._mutables.ObservableDict.html:
	* doc/api/gaupol.base._mutables.ObservableList.html:
	* doc/api/gaupol.base._mutables.ObservableSet.html:
	* doc/api/gaupol.base._mutables.html:
	* doc/api/gaupol.base.cons.Member.html:
	* doc/api/gaupol.base.cons.Section.html:
	* doc/api/gaupol.base.cons.html:
	* doc/api/gaupol.base.delegate.html:
	* doc/api/gaupol.base.html:
	* doc/api/gaupol.base.observable.html:
	* doc/api/gaupol.calculator.Calculator.html:
	* doc/api/gaupol.calculator.html:
	* doc/api/gaupol.clipboard.Clipboard.html:
	* doc/api/gaupol.clipboard.html:
	* doc/api/gaupol.cons.html:
	* doc/api/gaupol.converter.TagConverter.html:
	* doc/api/gaupol.converter.html:
	* doc/api/gaupol.determiner.FormatDeterminer.html:
	* doc/api/gaupol.determiner.html:
	* doc/api/gaupol.enclib.html:
	* doc/api/gaupol.errors.FormatError.html:
	* doc/api/gaupol.errors.GaupolError.html:
	* doc/api/gaupol.errors.html:
	* doc/api/gaupol.files.__init__.AdvSubStationAlpha.html:
	* doc/api/gaupol.files.__init__.MPL2.html:
	* doc/api/gaupol.files.__init__.MPsub.html:
	* doc/api/gaupol.files.__init__.MicroDVD.html:
	* doc/api/gaupol.files.__init__.SubRip.html:
	* doc/api/gaupol.files.__init__.SubStationAlpha.html:
	* doc/api/gaupol.files.__init__.SubViewer2.html:
	* doc/api/gaupol.files.__init__.TMPlayer.html:
	* doc/api/gaupol.files.__init__.html:
	* doc/api/gaupol.files._subfile.SubtitleFile.html:
	* doc/api/gaupol.files._subfile.html:
	* doc/api/gaupol.files.ass.html:
	* doc/api/gaupol.files.html:
	* doc/api/gaupol.files.microdvd.html:
	* doc/api/gaupol.files.mpl2.html:
	* doc/api/gaupol.files.mpsub.html:
	* doc/api/gaupol.files.ssa.html:
	* doc/api/gaupol.files.subrip.html:
	* doc/api/gaupol.files.subviewer2.html:
	* doc/api/gaupol.files.tmplayer.html:
	* doc/api/gaupol.finder.Finder.html:
	* doc/api/gaupol.finder.html:
	* doc/api/gaupol.gtk.__init__.html:
	* doc/api/gaupol.gtk._actions.__init__.html:
	* doc/api/gaupol.gtk._actions._action.UIMAction.html:
	* doc/api/gaupol.gtk._actions._action.html:
	* doc/api/gaupol.gtk._actions.edit.ClearTextsAction.html:
	* doc/api/gaupol.gtk._actions.edit.CopyTextsAction.html:
	* doc/api/gaupol.gtk._actions.edit.CutTextsAction.html:
	* doc/api/gaupol.gtk._actions.edit.EditPreferencesAction.html:
	* doc/api/gaupol.gtk._actions.edit.EditValueAction.html:
	* doc/api/gaupol.gtk._actions.edit.InsertSubtitlesAction.html:
	* doc/api/gaupol.gtk._actions.edit.InvertSelectionAction.html:
	* doc/api/gaupol.gtk._actions.edit.MergeSubtitlesAction.html:
	* doc/api/gaupol.gtk._actions.edit.PasteTextsAction.html:
	* doc/api/gaupol.gtk._actions.edit.RedoActionAction.html:
	* doc/api/gaupol.gtk._actions.edit.RemoveSubtitlesAction.html:
	* doc/api/gaupol.gtk._actions.edit.SelectAllAction.html:
	* doc/api/gaupol.gtk._actions.edit.SplitSubtitlesAction.html:
	* doc/api/gaupol.gtk._actions.edit.UndoActionAction.html:
	* doc/api/gaupol.gtk._actions.edit.html:
	* doc/api/gaupol.gtk._actions.file.CloseProjectAction.html:
	* doc/api/gaupol.gtk._actions.file.EditHeadersAction.html:
	* doc/api/gaupol.gtk._actions.file.NewProjectAction.html:
	* doc/api/gaupol.gtk._actions.file.OpenMainFileAction.html:
	* doc/api/gaupol.gtk._actions.file.OpenTranslationFileAction.html:
	* doc/api/gaupol.gtk._actions.file.QuitAction.html:
	* doc/api/gaupol.gtk._actions.file.SaveMainDocumentAction.html:
	* doc/api/gaupol.gtk._actions.file.SaveMainDocumentAsAction.html:
	* doc/api/gaupol.gtk._actions.file.SaveTranslationDocumentAction.html:
	* doc/api/gaupol.gtk._actions.file.SaveTranslationDocumentAsAction.html:
	* doc/api/gaupol.gtk._actions.file.SelectVideoFileAction.html:
	* doc/api/gaupol.gtk._actions.file.ShowRecentMainMenuAction.html:
	* doc/api/gaupol.gtk._actions.file.ShowRecentTranslationMenuAction.html:
	* doc/api/gaupol.gtk._actions.file.html:
	* doc/api/gaupol.gtk._actions.format.html:
	* doc/api/gaupol.gtk._actions.help.ReportABugAction.html:
	* doc/api/gaupol.gtk._actions.help.ViewAboutDialogAction.html:
	* doc/api/gaupol.gtk._actions.help.html:
	* doc/api/gaupol.gtk._actions.html:
	* doc/api/gaupol.gtk._actions.projects.ActivateNextProjectAction.html:
	* doc/api/gaupol.gtk._actions.projects.ActivatePreviousProjectAction.html:
	* doc/api/gaupol.gtk._actions.projects.CloseAllProjectsAction.html:
	* doc/api/gaupol.gtk._actions.projects.MoveTabLeftAction.html:
	* doc/api/gaupol.gtk._actions.projects.MoveTabRightAction.html:
	* doc/api/gaupol.gtk._actions.projects.SaveAllDocumentsAction.html:
	* doc/api/gaupol.gtk._actions.projects.html:
	* doc/api/gaupol.gtk._actions.search.html:
	* doc/api/gaupol.gtk._actions.tools.AppendFileAction.html:
	* doc/api/gaupol.gtk._actions.tools.SplitProjectAction.html:
	* doc/api/gaupol.gtk._actions.tools.html:
	* doc/api/gaupol.gtk._actions.view.ShowColumnsMenuAction.html:
	* doc/api/gaupol.gtk._actions.view.ShowFramerate23976Action.html:
	* doc/api/gaupol.gtk._actions.view.ShowFramerateMenuAction.html:
	* doc/api/gaupol.gtk._actions.view.ShowTimesAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleDurationColumnAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleHideColumnAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleMainTextColumnAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleMainToolbarAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleNumberColumnAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleOutputWindowAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleShowColumnAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleStatusbarAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleTranslationTextColumnAction.html:
	* doc/api/gaupol.gtk._actions.view.ToggleVideoToolbarAction.html:
	* doc/api/gaupol.gtk._actions.view.html:
	* doc/api/gaupol.gtk._agents.__init__.html:
	* doc/api/gaupol.gtk._agents.close.CloseAgent.html:
	* doc/api/gaupol.gtk._agents.close.html:
	* doc/api/gaupol.gtk._agents.edit.EditAgent.html:
	* doc/api/gaupol.gtk._agents.edit.html:
	* doc/api/gaupol.gtk._agents.format.FormatAgent.html:
	* doc/api/gaupol.gtk._agents.format.html:
	* doc/api/gaupol.gtk._agents.help.HelpAgent.html:
	* doc/api/gaupol.gtk._agents.help.html:
	* doc/api/gaupol.gtk._agents.html:
	* doc/api/gaupol.gtk._agents.menu.MenuAgent.html:
	* doc/api/gaupol.gtk._agents.menu.html:
	* doc/api/gaupol.gtk._agents.open.OpenAgent.html:
	* doc/api/gaupol.gtk._agents.open.html:
	* doc/api/gaupol.gtk._agents.save.SaveAgent.html:
	* doc/api/gaupol.gtk._agents.save.html:
	* doc/api/gaupol.gtk._agents.search.SearchAgent.html:
	* doc/api/gaupol.gtk._agents.search.html:
	* doc/api/gaupol.gtk._agents.tools.ToolsAgent.html:
	* doc/api/gaupol.gtk._agents.tools.html:
	* doc/api/gaupol.gtk._agents.update.UpdateAgent.html:
	* doc/api/gaupol.gtk._agents.update.html:
	* doc/api/gaupol.gtk._agents.view.ViewAgent.html:
	* doc/api/gaupol.gtk._agents.view.html:
	* doc/api/gaupol.gtk.app.Application.html:
	* doc/api/gaupol.gtk.app.html:
	* doc/api/gaupol.gtk.cellrend.__init__.MultilineCellRenderer.html:
	* doc/api/gaupol.gtk.cellrend.__init__.TimeCellRenderer.html:
	* doc/api/gaupol.gtk.cellrend.__init__.html:
	* doc/api/gaupol.gtk.cellrend.html:
	* doc/api/gaupol.gtk.cellrend.multiline._CellTextView.html:
	* doc/api/gaupol.gtk.cellrend.multiline.html:
	* doc/api/gaupol.gtk.cellrend.time.html:
	* doc/api/gaupol.gtk.conf.__init__.Config.html:
	* doc/api/gaupol.gtk.conf.__init__.Container.html:
	* doc/api/gaupol.gtk.conf.__init__.html:
	* doc/api/gaupol.gtk.conf.configobj.Builder.html:
	* doc/api/gaupol.gtk.conf.configobj.ConfigObj.html:
	* doc/api/gaupol.gtk.conf.configobj.ConfigObjError.html:
	* doc/api/gaupol.gtk.conf.configobj.ConfigParserInterpolation.html:
	* doc/api/gaupol.gtk.conf.configobj.ConfigspecError.html:
	* doc/api/gaupol.gtk.conf.configobj.DuplicateError.html:
	* doc/api/gaupol.gtk.conf.configobj.InterpolationEngine.html:
	* doc/api/gaupol.gtk.conf.configobj.InterpolationError.html:
	* doc/api/gaupol.gtk.conf.configobj.InterpolationLoopError.html:
	* doc/api/gaupol.gtk.conf.configobj.MissingInterpolationOption.html:
	* doc/api/gaupol.gtk.conf.configobj.NestingError.html:
	* doc/api/gaupol.gtk.conf.configobj.ParseError.html:
	* doc/api/gaupol.gtk.conf.configobj.RepeatSectionError.html:
	* doc/api/gaupol.gtk.conf.configobj.Section.html:
	* doc/api/gaupol.gtk.conf.configobj.SimpleVal.html:
	* doc/api/gaupol.gtk.conf.configobj.TemplateInterpolation.html:
	* doc/api/gaupol.gtk.conf.configobj.UnknownType.html:
	* doc/api/gaupol.gtk.conf.configobj.UnreprError.html:
	* doc/api/gaupol.gtk.conf.configobj.html:
	* doc/api/gaupol.gtk.conf.html:
	* doc/api/gaupol.gtk.conf.validate.ValidateError.html:
	* doc/api/gaupol.gtk.conf.validate.Validator.html:
	* doc/api/gaupol.gtk.conf.validate.VdtMissingValue.html:
	* doc/api/gaupol.gtk.conf.validate.VdtParamError.html:
	* doc/api/gaupol.gtk.conf.validate.VdtTypeError.html:
	* doc/api/gaupol.gtk.conf.validate.VdtUnknownCheckError.html:
	* doc/api/gaupol.gtk.conf.validate.VdtValueError.html:
	* doc/api/gaupol.gtk.conf.validate.VdtValueTooBigError.html:
	* doc/api/gaupol.gtk.conf.validate.VdtValueTooLongError.html:
	* doc/api/gaupol.gtk.conf.validate.VdtValueTooShortError.html:
	* doc/api/gaupol.gtk.conf.validate.VdtValueTooSmallError.html:
	* doc/api/gaupol.gtk.conf.validate.html:
	* doc/api/gaupol.gtk.conf.wrappers.html:
	* doc/api/gaupol.gtk.cons.html:
	* doc/api/gaupol.gtk.dialogs.__init__.AboutDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.AdvEncodingDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.AppendDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.DebugDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.EncodingDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.ErrorDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.GladeDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.HeaderDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.InfoDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.InsertDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.LanguageDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.MultiCloseDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.OpenDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.PreferencesDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.PreviewErrorDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.QuestionDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.SaveDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.SplitDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.TextEditDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.VideoDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.WarningDialog.html:
	* doc/api/gaupol.gtk.dialogs.__init__.html:
	* doc/api/gaupol.gtk.dialogs.about.html:
	* doc/api/gaupol.gtk.dialogs.debug.html:
	* doc/api/gaupol.gtk.dialogs.encoding.html:
	* doc/api/gaupol.gtk.dialogs.file._FileDialog.html:
	* doc/api/gaupol.gtk.dialogs.file.html:
	* doc/api/gaupol.gtk.dialogs.glade.html:
	* doc/api/gaupol.gtk.dialogs.header.html:
	* doc/api/gaupol.gtk.dialogs.html:
	* doc/api/gaupol.gtk.dialogs.insert.html:
	* doc/api/gaupol.gtk.dialogs.language.html:
	* doc/api/gaupol.gtk.dialogs.message.html:
	* doc/api/gaupol.gtk.dialogs.multiclose.html:
	* doc/api/gaupol.gtk.dialogs.pref._EditorPage.html:
	* doc/api/gaupol.gtk.dialogs.pref._FilePage.html:
	* doc/api/gaupol.gtk.dialogs.pref._PreviewPage.html:
	* doc/api/gaupol.gtk.dialogs.pref.html:
	* doc/api/gaupol.gtk.dialogs.previewerr.html:
	* doc/api/gaupol.gtk.dialogs.split.html:
	* doc/api/gaupol.gtk.dialogs.textedit.html:
	* doc/api/gaupol.gtk.entries.TimeEntry.html:
	* doc/api/gaupol.gtk.entries.html:
	* doc/api/gaupol.gtk.errors.ConfigParseError.html:
	* doc/api/gaupol.gtk.errors.Default.html:
	* doc/api/gaupol.gtk.errors.html:
	* doc/api/gaupol.gtk.html:
	* doc/api/gaupol.gtk.index.html:
	* doc/api/gaupol.gtk.lengthlib._Counter.html:
	* doc/api/gaupol.gtk.lengthlib.html:
	* doc/api/gaupol.gtk.main.html:
	* doc/api/gaupol.gtk.output.OutputWindow.html:
	* doc/api/gaupol.gtk.output.html:
	* doc/api/gaupol.gtk.page.Page.html:
	* doc/api/gaupol.gtk.page.html:
	* doc/api/gaupol.gtk.paths.html:
	* doc/api/gaupol.gtk.runner.Runner.html:
	* doc/api/gaupol.gtk.runner.html:
	* doc/api/gaupol.gtk.unittest.__init__.html:
	* doc/api/gaupol.gtk.unittest.case.TestCase.html:
	* doc/api/gaupol.gtk.unittest.case.html:
	* doc/api/gaupol.gtk.unittest.html:
	* doc/api/gaupol.gtk.util.html:
	* doc/api/gaupol.gtk.view.View.html:
	* doc/api/gaupol.gtk.view.html:
	* doc/api/gaupol.html:
	* doc/api/gaupol.langlib.html:
	* doc/api/gaupol.liner.Liner.html:
	* doc/api/gaupol.liner.html:
	* doc/api/gaupol.parser.Parser.html:
	* doc/api/gaupol.parser.html:
	* doc/api/gaupol.paths.html:
	* doc/api/gaupol.project.Project.html:
	* doc/api/gaupol.project.html:
	* doc/api/gaupol.scriptlib.html:
	* doc/api/gaupol.tags.__init__.AdvSubStationAlpha.html:
	* doc/api/gaupol.tags.__init__.MPL2.html:
	* doc/api/gaupol.tags.__init__.MPsub.html:
	* doc/api/gaupol.tags.__init__.MicroDVD.html:
	* doc/api/gaupol.tags.__init__.SubRip.html:
	* doc/api/gaupol.tags.__init__.SubStationAlpha.html:
	* doc/api/gaupol.tags.__init__.SubViewer2.html:
	* doc/api/gaupol.tags.__init__.TMPlayer.html:
	* doc/api/gaupol.tags.__init__.html:
	* doc/api/gaupol.tags._taglib.TagLibrary.html:
	* doc/api/gaupol.tags._taglib.html:
	* doc/api/gaupol.tags.ass.html:
	* doc/api/gaupol.tags.html:
	* doc/api/gaupol.tags.internal.Internal.html:
	* doc/api/gaupol.tags.internal.html:
	* doc/api/gaupol.tags.microdvd.html:
	* doc/api/gaupol.tags.mpl2.html:
	* doc/api/gaupol.tags.mpsub.html:
	* doc/api/gaupol.tags.ssa.html:
	* doc/api/gaupol.tags.subrip.html:
	* doc/api/gaupol.tags.subviewer2.html:
	* doc/api/gaupol.tags.tmplayer.html:
	* doc/api/gaupol.unittest.__init__.TestCase.html:
	* doc/api/gaupol.unittest.__init__.html:
	* doc/api/gaupol.unittest.case.html:
	* doc/api/gaupol.unittest.decorators.html:
	* doc/api/gaupol.unittest.html:
	* doc/api/gaupol.unittest.samples.html:
	* doc/api/gaupol.urls.html:
	* doc/api/gaupol.util.html:
	* doc/api/gaupol/__init__.py.html:
	* doc/api/gaupol/_agents/__init__.py.html:
	* doc/api/gaupol/_agents/code.css:
	* doc/api/gaupol/_agents/edit.py.html:
	* doc/api/gaupol/_agents/format.py.html:
	* doc/api/gaupol/_agents/index.py.html:
	* doc/api/gaupol/_agents/open.py.html:
	* doc/api/gaupol/_agents/position.py.html:
	* doc/api/gaupol/_agents/preview.py.html:
	* doc/api/gaupol/_agents/register.py.html:
	* doc/api/gaupol/_agents/save.py.html:
	* doc/api/gaupol/_agents/search.py.html:
	* doc/api/gaupol/_agents/set.py.html:
	* doc/api/gaupol/_agents/support.py.html:
	* doc/api/gaupol/_agents/text.py.html:
	* doc/api/gaupol/base/__init__.py.html:
	* doc/api/gaupol/base/_mutables.py.html:
	* doc/api/gaupol/base/code.css:
	* doc/api/gaupol/base/cons.py.html:
	* doc/api/gaupol/base/delegate.py.html:
	* doc/api/gaupol/base/observable.py.html:
	* doc/api/gaupol/calculator.py.html:
	* doc/api/gaupol/clipboard.py.html:
	* doc/api/gaupol/code.css:
	* doc/api/gaupol/cons.py.html:
	* doc/api/gaupol/converter.py.html:
	* doc/api/gaupol/determiner.py.html:
	* doc/api/gaupol/enclib.py.html:
	* doc/api/gaupol/errors.py.html:
	* doc/api/gaupol/files/__init__.py.html:
	* doc/api/gaupol/files/_subfile.py.html:
	* doc/api/gaupol/files/ass.py.html:
	* doc/api/gaupol/files/code.css:
	* doc/api/gaupol/files/microdvd.py.html:
	* doc/api/gaupol/files/mpl2.py.html:
	* doc/api/gaupol/files/mpsub.py.html:
	* doc/api/gaupol/files/ssa.py.html:
	* doc/api/gaupol/files/subrip.py.html:
	* doc/api/gaupol/files/subviewer2.py.html:
	* doc/api/gaupol/files/tmplayer.py.html:
	* doc/api/gaupol/finder.py.html:
	* doc/api/gaupol/gtk/__init__.py.html:
	* doc/api/gaupol/gtk/_actions/__init__.py.html:
	* doc/api/gaupol/gtk/_actions/_action.py.html:
	* doc/api/gaupol/gtk/_actions/code.css:
	* doc/api/gaupol/gtk/_actions/edit.py.html:
	* doc/api/gaupol/gtk/_actions/file.py.html:
	* doc/api/gaupol/gtk/_actions/format.py.html:
	* doc/api/gaupol/gtk/_actions/help.py.html:
	* doc/api/gaupol/gtk/_actions/projects.py.html:
	* doc/api/gaupol/gtk/_actions/search.py.html:
	* doc/api/gaupol/gtk/_actions/tools.py.html:
	* doc/api/gaupol/gtk/_actions/view.py.html:
	* doc/api/gaupol/gtk/_agents/__init__.py.html:
	* doc/api/gaupol/gtk/_agents/close.py.html:
	* doc/api/gaupol/gtk/_agents/code.css:
	* doc/api/gaupol/gtk/_agents/edit.py.html:
	* doc/api/gaupol/gtk/_agents/format.py.html:
	* doc/api/gaupol/gtk/_agents/help.py.html:
	* doc/api/gaupol/gtk/_agents/menu.py.html:
	* doc/api/gaupol/gtk/_agents/open.py.html:
	* doc/api/gaupol/gtk/_agents/save.py.html:
	* doc/api/gaupol/gtk/_agents/search.py.html:
	* doc/api/gaupol/gtk/_agents/tools.py.html:
	* doc/api/gaupol/gtk/_agents/update.py.html:
	* doc/api/gaupol/gtk/_agents/view.py.html:
	* doc/api/gaupol/gtk/app.py.html:
	* doc/api/gaupol/gtk/cellrend/__init__.py.html:
	* doc/api/gaupol/gtk/cellrend/code.css:
	* doc/api/gaupol/gtk/cellrend/multiline.py.html:
	* doc/api/gaupol/gtk/cellrend/time.py.html:
	* doc/api/gaupol/gtk/code.css:
	* doc/api/gaupol/gtk/conf/__init__.py.html:
	* doc/api/gaupol/gtk/conf/code.css:
	* doc/api/gaupol/gtk/conf/configobj.py.html:
	* doc/api/gaupol/gtk/conf/validate.py.html:
	* doc/api/gaupol/gtk/conf/wrappers.py.html:
	* doc/api/gaupol/gtk/cons.py.html:
	* doc/api/gaupol/gtk/dialogs/__init__.py.html:
	* doc/api/gaupol/gtk/dialogs/about.py.html:
	* doc/api/gaupol/gtk/dialogs/code.css:
	* doc/api/gaupol/gtk/dialogs/debug.py.html:
	* doc/api/gaupol/gtk/dialogs/encoding.py.html:
	* doc/api/gaupol/gtk/dialogs/file.py.html:
	* doc/api/gaupol/gtk/dialogs/glade.py.html:
	* doc/api/gaupol/gtk/dialogs/header.py.html:
	* doc/api/gaupol/gtk/dialogs/insert.py.html:
	* doc/api/gaupol/gtk/dialogs/language.py.html:
	* doc/api/gaupol/gtk/dialogs/message.py.html:
	* doc/api/gaupol/gtk/dialogs/multiclose.py.html:
	* doc/api/gaupol/gtk/dialogs/pref.py.html:
	* doc/api/gaupol/gtk/dialogs/previewerr.py.html:
	* doc/api/gaupol/gtk/dialogs/split.py.html:
	* doc/api/gaupol/gtk/dialogs/textedit.py.html:
	* doc/api/gaupol/gtk/entries.py.html:
	* doc/api/gaupol/gtk/errors.py.html:
	* doc/api/gaupol/gtk/index.py.html:
	* doc/api/gaupol/gtk/lengthlib.py.html:
	* doc/api/gaupol/gtk/main.py.html:
	* doc/api/gaupol/gtk/output.py.html:
	* doc/api/gaupol/gtk/page.py.html:
	* doc/api/gaupol/gtk/paths.py.html:
	* doc/api/gaupol/gtk/runner.py.html:
	* doc/api/gaupol/gtk/unittest/__init__.py.html:
	* doc/api/gaupol/gtk/unittest/case.py.html:
	* doc/api/gaupol/gtk/unittest/code.css:
	* doc/api/gaupol/gtk/util.py.html:
	* doc/api/gaupol/gtk/view.py.html:
	* doc/api/gaupol/langlib.py.html:
	* doc/api/gaupol/liner.py.html:
	* doc/api/gaupol/parser.py.html:
	* doc/api/gaupol/paths.py.html:
	* doc/api/gaupol/project.py.html:
	* doc/api/gaupol/scriptlib.py.html:
	* doc/api/gaupol/tags/__init__.py.html:
	* doc/api/gaupol/tags/_taglib.py.html:
	* doc/api/gaupol/tags/ass.py.html:
	* doc/api/gaupol/tags/code.css:
	* doc/api/gaupol/tags/internal.py.html:
	* doc/api/gaupol/tags/microdvd.py.html:
	* doc/api/gaupol/tags/mpl2.py.html:
	* doc/api/gaupol/tags/mpsub.py.html:
	* doc/api/gaupol/tags/ssa.py.html:
	* doc/api/gaupol/tags/subrip.py.html:
	* doc/api/gaupol/tags/subviewer2.py.html:
	* doc/api/gaupol/tags/tmplayer.py.html:
	* doc/api/gaupol/unittest/__init__.py.html:
	* doc/api/gaupol/unittest/case.py.html:
	* doc/api/gaupol/unittest/code.css:
	* doc/api/gaupol/unittest/decorators.py.html:
	* doc/api/gaupol/unittest/samples.py.html:
	* doc/api/gaupol/urls.py.html:
	* doc/api/gaupol/util.py.html:
	* doc/api/index.html:
	* doc/api/moduleIndex.html:
	* doc/api/nameIndex.html:
	* doc/api/undoccedSummary.html:
	* doc/formats/COPYING:
	* doc/formats/README:
	* doc/formats/ass-specs.ps:
	* doc/formats/ass.notes:
	* doc/formats/ass.sample:
	* doc/formats/mdvddoc.html:
	* doc/formats/microdvd.notes:
	* doc/formats/microdvd.sample:
	* doc/formats/mpl2-eng.html:
	* doc/formats/mpl2.notes:
	* doc/formats/mpl2.sample:
	* doc/formats/mpsub.notes:
	* doc/formats/mpsub.sample:
	* doc/formats/ssa.notes:
	* doc/formats/ssa.sample:
	* doc/formats/subrip.notes:
	* doc/formats/subrip.sample:
	* doc/formats/subviewer2.notes:
	* doc/formats/subviewer2.sample:
	* doc/formats/tmplayer.notes:
	* doc/formats/tmplayer.sample:
	* doc/gaupol.1:
	* doc/modules.txt:
	* doc/releasing.txt:
	* gaupol/__init__.py:
	* gaupol/_agents/__init__.py:
	* gaupol/_agents/edit.py:
	* gaupol/_agents/format.py:
	* gaupol/_agents/index.py:
	* gaupol/_agents/open.py:
	* gaupol/_agents/position.py:
	* gaupol/_agents/preview.py:
	* gaupol/_agents/register.py:
	* gaupol/_agents/save.py:
	* gaupol/_agents/search.py:
	* gaupol/_agents/set.py:
	* gaupol/_agents/support.py:
	* gaupol/_agents/test/__init__.py:
	* gaupol/_agents/test/test___init__.py:
	* gaupol/_agents/test/test_edit.py:
	* gaupol/_agents/test/test_format.py:
	* gaupol/_agents/test/test_index.py:
	* gaupol/_agents/test/test_open.py:
	* gaupol/_agents/test/test_position.py:
	* gaupol/_agents/test/test_preview.py:
	* gaupol/_agents/test/test_register.py:
	* gaupol/_agents/test/test_save.py:
	* gaupol/_agents/test/test_search.py:
	* gaupol/_agents/test/test_set.py:
	* gaupol/_agents/test/test_support.py:
	* gaupol/_agents/test/test_text.py:
	* gaupol/_agents/text.py:
	* gaupol/base/__init__.py:
	* gaupol/base/_mutables.py:
	* gaupol/base/cons.py:
	* gaupol/base/delegate.py:
	* gaupol/base/observable.py:
	* gaupol/base/test/__init__.py:
	* gaupol/base/test/test__mutables.py:
	* gaupol/base/test/test_cons.py:
	* gaupol/base/test/test_delegate.py:
	* gaupol/base/test/test_observable.py:
	* gaupol/calculator.py:
	* gaupol/clipboard.py:
	* gaupol/cons.py:
	* gaupol/converter.py:
	* gaupol/determiner.py:
	* gaupol/enclib.py:
	* gaupol/errors.py:
	* gaupol/files/__init__.py:
	* gaupol/files/_subfile.py:
	* gaupol/files/ass.py:
	* gaupol/files/microdvd.py:
	* gaupol/files/mpl2.py:
	* gaupol/files/mpsub.py:
	* gaupol/files/ssa.py:
	* gaupol/files/subrip.py:
	* gaupol/files/subviewer2.py:
	* gaupol/files/test/__init__.py:
	* gaupol/files/test/test___init__.py:
	* gaupol/files/test/test__subfile.py:
	* gaupol/files/test/test_ass.py:
	* gaupol/files/test/test_microdvd.py:
	* gaupol/files/test/test_mpl2.py:
	* gaupol/files/test/test_mpsub.py:
	* gaupol/files/test/test_ssa.py:
	* gaupol/files/test/test_subrip.py:
	* gaupol/files/test/test_subviewer2.py:
	* gaupol/files/test/test_tmplayer.py:
	* gaupol/files/tmplayer.py:
	* gaupol/finder.py:
	* gaupol/gtk/__init__.py:
	* gaupol/gtk/_actions/__init__.py:
	* gaupol/gtk/_actions/_action.py:
	* gaupol/gtk/_actions/edit.py:
	* gaupol/gtk/_actions/file.py:
	* gaupol/gtk/_actions/format.py:
	* gaupol/gtk/_actions/help.py:
	* gaupol/gtk/_actions/projects.py:
	* gaupol/gtk/_actions/search.py:
	* gaupol/gtk/_actions/test/___init__.py:
	* gaupol/gtk/_actions/test/test___init__.py:
	* gaupol/gtk/_actions/tools.py:
	* gaupol/gtk/_actions/view.py:
	* gaupol/gtk/_agents/__init__.py:
	* gaupol/gtk/_agents/close.py:
	* gaupol/gtk/_agents/edit.py:
	* gaupol/gtk/_agents/format.py:
	* gaupol/gtk/_agents/help.py:
	* gaupol/gtk/_agents/menu.py:
	* gaupol/gtk/_agents/open.py:
	* gaupol/gtk/_agents/save.py:
	* gaupol/gtk/_agents/search.py:
	* gaupol/gtk/_agents/test/__init__.py:
	* gaupol/gtk/_agents/test/test_close.py:
	* gaupol/gtk/_agents/test/test_edit.py:
	* gaupol/gtk/_agents/test/test_format.py:
	* gaupol/gtk/_agents/test/test_help.py:
	* gaupol/gtk/_agents/test/test_menu.py:
	* gaupol/gtk/_agents/test/test_open.py:
	* gaupol/gtk/_agents/test/test_save.py:
	* gaupol/gtk/_agents/test/test_search.py:
	* gaupol/gtk/_agents/test/test_tools.py:
	* gaupol/gtk/_agents/test/test_update.py:
	* gaupol/gtk/_agents/test/test_view.py:
	* gaupol/gtk/_agents/tools.py:
	* gaupol/gtk/_agents/update.py:
	* gaupol/gtk/_agents/view.py:
	* gaupol/gtk/app.py:
	* gaupol/gtk/cellrend/__init__.py:
	* gaupol/gtk/cellrend/multiline.py:
	* gaupol/gtk/cellrend/test/__init__.py:
	* gaupol/gtk/cellrend/test/test_multiline.py:
	* gaupol/gtk/cellrend/test/test_time.py:
	* gaupol/gtk/cellrend/time.py:
	* gaupol/gtk/conf/__init__.py:
	* gaupol/gtk/conf/configobj.py:
	* gaupol/gtk/conf/test/__init__.py:
	* gaupol/gtk/conf/test/test___init__.py:
	* gaupol/gtk/conf/test/test_wrappers.py:
	* gaupol/gtk/conf/validate.py:
	* gaupol/gtk/conf/wrappers.py:
	* gaupol/gtk/cons.py:
	* gaupol/gtk/dialogs/__init__.py:
	* gaupol/gtk/dialogs/about.py:
	* gaupol/gtk/dialogs/debug.py:
	* gaupol/gtk/dialogs/encoding.py:
	* gaupol/gtk/dialogs/file.py:
	* gaupol/gtk/dialogs/glade.py:
	* gaupol/gtk/dialogs/header.py:
	* gaupol/gtk/dialogs/insert.py:
	* gaupol/gtk/dialogs/language.py:
	* gaupol/gtk/dialogs/message.py:
	* gaupol/gtk/dialogs/multiclose.py:
	* gaupol/gtk/dialogs/pref.py:
	* gaupol/gtk/dialogs/previewerr.py:
	* gaupol/gtk/dialogs/split.py:
	* gaupol/gtk/dialogs/test/__init__.py:
	* gaupol/gtk/dialogs/test/test_about.py:
	* gaupol/gtk/dialogs/test/test_debug.py:
	* gaupol/gtk/dialogs/test/test_encoding.py:
	* gaupol/gtk/dialogs/test/test_file.py:
	* gaupol/gtk/dialogs/test/test_glade.py:
	* gaupol/gtk/dialogs/test/test_header.py:
	* gaupol/gtk/dialogs/test/test_insert.py:
	* gaupol/gtk/dialogs/test/test_language.py:
	* gaupol/gtk/dialogs/test/test_message.py:
	* gaupol/gtk/dialogs/test/test_multiclose.py:
	* gaupol/gtk/dialogs/test/test_pref.py:
	* gaupol/gtk/dialogs/test/test_previewerr.py:
	* gaupol/gtk/dialogs/test/test_split.py:
	* gaupol/gtk/dialogs/test/test_textedit.py:
	* gaupol/gtk/dialogs/textedit.py:
	* gaupol/gtk/entries.py:
	* gaupol/gtk/errors.py:
	* gaupol/gtk/index.py:
	* gaupol/gtk/lengthlib.py:
	* gaupol/gtk/main.py:
	* gaupol/gtk/output.py:
	* gaupol/gtk/page.py:
	* gaupol/gtk/paths.py:
	* gaupol/gtk/runner.py:
	* gaupol/gtk/test/__init__.py:
	* gaupol/gtk/test/test_app.py:
	* gaupol/gtk/test/test_cons.py:
	* gaupol/gtk/test/test_entries.py:
	* gaupol/gtk/test/test_errors.py:
	* gaupol/gtk/test/test_index.py:
	* gaupol/gtk/test/test_lengthlib.py:
	* gaupol/gtk/test/test_main.py:
	* gaupol/gtk/test/test_output.py:
	* gaupol/gtk/test/test_page.py:
	* gaupol/gtk/test/test_paths.py:
	* gaupol/gtk/test/test_runner.py:
	* gaupol/gtk/test/test_util.py:
	* gaupol/gtk/test/test_view.py:
	* gaupol/gtk/unittest/__init__.py:
	* gaupol/gtk/unittest/case.py:
	* gaupol/gtk/util.py:
	* gaupol/gtk/view.py:
	* gaupol/langlib.py:
	* gaupol/liner.py:
	* gaupol/parser.py:
	* gaupol/paths.py:
	* gaupol/project.py:
	* gaupol/scriptlib.py:
	* gaupol/tags/__init__.py:
	* gaupol/tags/_taglib.py:
	* gaupol/tags/ass.py:
	* gaupol/tags/internal.py:
	* gaupol/tags/microdvd.py:
	* gaupol/tags/mpl2.py:
	* gaupol/tags/mpsub.py:
	* gaupol/tags/ssa.py:
	* gaupol/tags/subrip.py:
	* gaupol/tags/subviewer2.py:
	* gaupol/tags/test/__init__.py:
	* gaupol/tags/test/test___init__.py:
	* gaupol/tags/test/test__taglib.py:
	* gaupol/tags/test/test_ass.py:
	* gaupol/tags/test/test_internal.py:
	* gaupol/tags/test/test_microdvd.py:
	* gaupol/tags/test/test_mpl2.py:
	* gaupol/tags/test/test_mpsub.py:
	* gaupol/tags/test/test_ssa.py:
	* gaupol/tags/test/test_subrip.py:
	* gaupol/tags/test/test_subviewer2.py:
	* gaupol/tags/test/test_tmplayer.py:
	* gaupol/tags/tmplayer.py:
	* gaupol/test/__init__.py:
	* gaupol/test/test___init__.py:
	* gaupol/test/test_calculator.py:
	* gaupol/test/test_clipboard.py:
	* gaupol/test/test_cons.py:
	* gaupol/test/test_converter.py:
	* gaupol/test/test_determiner.py:
	* gaupol/test/test_enclib.py:
	* gaupol/test/test_errors.py:
	* gaupol/test/test_finder.py:
	* gaupol/test/test_langlib.py:
	* gaupol/test/test_liner.py:
	* gaupol/test/test_parser.py:
	* gaupol/test/test_paths.py:
	* gaupol/test/test_project.py:
	* gaupol/test/test_scriptlib.py:
	* gaupol/test/test_urls.py:
	* gaupol/test/test_util.py:
	* gaupol/unittest/__init__.py:
	* gaupol/unittest/case.py:
	* gaupol/unittest/decorators.py:
	* gaupol/unittest/samples.py:
	* gaupol/urls.py:
	* gaupol/util.py:
	* po/ChangeLog:
	* po/README.translators:
	* po/ca.po:
	* po/es.po:
	* po/gaupol.pot:
	* po/pl.po:
	* po/sv.po:
	* setup.py:
	* tools/add-changelog:
	* tools/data/apidocs.css:
	* tools/data/code.css:
	* tools/data/footer.html:
	* tools/data/header.html:
	* tools/data/pylintrc:
	* tools/generate-tests:
	* tools/list-glade:
	* tools/nose-run:
	* tools/profile:
	* tools/py2html:
	* tools/pydoctor:
	* tools/pylint:
	* tools/translate:
	* tools/versions:

	Initial import of the seija branch.

2007-01-21  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/guiinit.py:
	  Fixed segfault.

2007-01-13  Daniel Nylander  <po@danielnylander.se>

	* sv.po: Added.

2006-08-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/text/finder.py:
	* lib/gaupol/gtk/dialog/find.py:
	  Fixed replacing bugs.

2006-08-16  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/cap-dialog.glade:
	  New file.

	* data/ui/menubar.xml:
	  Removed a separator.

	* lib/gaupol/gtk/cons.py:
	* lib/gaupol/gtk/util/conf.py:
	* lib/gaupol/gtk/delegate/guiinit.py:
	  Implemented toolbar style customization.

	* lib/gaupol/gtk/delegate/find.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/test/test_find.py:
	  Moved notifications to statusbar.
	  Added notification of wrapping.

	* lib/gaupol/gtk/delegate/help.py:
	  (VersionInfoDialog): Fixed version number parsing (for now).

2006-08-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.desktop.in:
	* lib/gaupol/base/cons.py:
	* lib/gaupol/base/delegate/__init__.py:
	* lib/gaupol/base/delegate/action.py:
	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/filesave.py:
	* lib/gaupol/base/delegate/find.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/delegate/position.py:
	* lib/gaupol/base/delegate/set.py:
	* lib/gaupol/base/delegate/support.py:
	* lib/gaupol/base/delegate/test/test_action.py:
	* lib/gaupol/base/delegate/test/test_edit.py:
	* lib/gaupol/base/delegate/test/test_filesave.py:
	* lib/gaupol/base/delegate/test/test_find.py:
	* lib/gaupol/base/delegate/test/test_format.py:
	* lib/gaupol/base/delegate/test/test_set.py:
	* lib/gaupol/base/delegate/test/test_support.py:
	* lib/gaupol/base/delegate/test/test_text.py:
	* lib/gaupol/base/delegate/text.py:
	* lib/gaupol/base/file/mpsub.py:
	* lib/gaupol/base/file/test/test_determiner.py:
	* lib/gaupol/base/file/test/test_init.py:
	* lib/gaupol/base/model.py:
	* lib/gaupol/base/tags/converter.py:
	* lib/gaupol/base/tags/test/test_converter.py:
	* lib/gaupol/base/tags/test/test_init.py:
	* lib/gaupol/base/test/test_model.py:
	* lib/gaupol/base/test/test_project.py:
	* lib/gaupol/base/text/finder.py:
	* lib/gaupol/base/text/test/test_finder.py:
	* lib/gaupol/base/text/test/test_parser.py:
	* lib/gaupol/base/util/langlib.py:
	* lib/gaupol/base/util/scriptlib.py:
	* lib/gaupol/base/util/test/test_filelib.py:
	* lib/gaupol/gtk/delegate/action.py:
	* lib/gaupol/gtk/delegate/appupdate.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/delegate/position.py:
	* lib/gaupol/gtk/delegate/view.py:
	* lib/gaupol/gtk/dialog/debug.py:
	* lib/gaupol/gtk/dialog/test/test_spellcheck.py:
	* lib/gaupol/gtk/util/conf.py:
	* lib/gaupol/test/__init__.py:
	  Rewrote revertable action notification system. (Decorators!)
	  Some minor fixes and cosmetic changes.

2006-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/preview.py:
	  Press P for preview.

2006-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/format.py:
	  (change_case): Tags disappear no more

2006-08-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/test/test_edit.py:
	  (split_subtitle): Don't duplicate texts.

	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/format.py:
	  Changed keycombos.

	* lib/gaupol/gtk/view.py:
	  Use built-in search only for numeric key-presses.

2006-08-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/find-dialog.glade:
	* data/glade/replace-dialog.glade:
	  Replace find icons with arrows.

	* lib/gaupol/base/delegate/__init__.py:
	* lib/gaupol/base/delegate/test/test_text.py:
	* lib/gaupol/base/delegate/text.py:
	  Implemented capitalization and not-really-doing.

	* lib/gaupol/base/util/scriptlib.py:
	* lib/gaupol/base/util/test/test_scriptlib.py:
	  New file for writing system script dependent data.
	  Added regular expressions to capitalize after.

	* lib/gaupol/gtk/delegate/preview.py:
	  (preview_changes): Added tran_texts for future compatibility.

	* lib/gaupol/gtk/dialog/pref.py:
	  Just callin' 'em pages.

	* setup.py:
	  Clarified docstring.

2006-07-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/multiclose-dialog.glade:
	  Fixed lacks of expanding.

2006-07-15  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/output.py:
	  Save geometry on close.

2006-07-13  <nierozwazny@o2.pl>

	* pl.po: Updated.

2006-07-12  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/util/conf.py:
	  (duration_adjust): Tweaked default values.

2006-07-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/guiinit.py:
	  Remove ellipses from tool item labels.

2006-07-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/__init__.py:
	  Bumped version number to 0.7.0.

	RELEASE 0.7.0

2006-07-11  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py:
	  Don't include AUTHORS, COPYING and README in data_files.

2006-07-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/fileopen.py:
	  (on_append_file_activate): Fixed temp_page and page confusion.

2006-07-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/fileopen.py:
	  (SplitProjectAction.is_doable): Check that there's more than one
	  subtitle.

	* lib/gaupol/gtk/delegate/test/test_edit.py:
	* lib/gaupol/gtk/delegate/test/test_fileopen.py:
	  Fixed test code.

	* data/glade/projsplit-dialog.glade:
	* lib/gaupol/gtk/dialog/projsplit.py:
	  Set minimum split point to 2.

2006-07-10  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/fileopen.py:
	  (on_append_file_activate): Call gtk.main_iteration() while
	  gtk.events_pending() to immediately destroy the dialog.

2006-07-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/edit.py:
	  (merge_subtitles): lstrip texts.

	* lib/gaupol/gtk/delegate/preview.py:
	  (on_preview_activate): Handle None value of col.

2006-07-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/util/enclib.py:
	  (get_locale_encoding): Do not call _translate on None but
	  instead raise ValueError. (Closes bug #6319)

2006-07-09  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/projsplit-dialog.glade:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/dialog/projsplit.py:
	* lib/gaupol/gtk/dialog/test/test_projsplit.py:
	  Implemented project splitting.

2006-07-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/filesave.py:
	  (_restore_original): Catch OSError as well.

2006-07-08  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui/menubar.xml:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/filesave.py:
	* lib/gaupol/gtk/delegate/position.py:
	* lib/gaupol/gtk/delegate/test/test_edit.py:
	* lib/gaupol/gtk/delegate/test/test_fileopen.py:
	* lib/gaupol/gtk/delegate/test/test_filesave.py:
	* lib/gaupol/gtk/dialog/file.py:
	* lib/gaupol/gtk/dialog/test/test_file.py:
	  Implemented file appending.
	  Moved some stuff around.

2006-07-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/__init__.py:
	  Bumped version number to 0.6.0.

	RELEASE 0.6.0.

2006-07-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py:
	  Clean .pyo files as well if such exist.

2006-07-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/dialog/file.py:
	* lib/gaupol/gtk/dialog/test/test_file.py:
	* lib/gaupol/gtk/util/conf.py:
	  Implemented smart translation file opening.

2006-07-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/appupdate.py:
	  Removed bizarre notebook focus grabbing when next or previous
	  page activated.

	* lib/gaupol/gtk/dialog/duradjust.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/posadjust.py:
	* lib/gaupol/gtk/dialog/posshift.py:
	* lib/gaupol/gtk/dialog/subinsert.py:
	  Fixed sensitivity initializations and selected target radios
	  being both active and insensitive.

2006-07-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui/menubar.xml:
	* data/ui/popups.xml:
	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/test/test_edit.py:
	* lib/gaupol/base/position/calc.py:
	* lib/gaupol/base/position/test/test_calc.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/delegate/test/test_edit.py:
	* lib/gaupol/gtk/delegate/view.py:
	  Implemented subtitle split and merge.
	  Changed some keybindings.

	* lib/gaupol/gtk/delegate/viewupdate.py:
	  Set 200 as maximum size for character statusbar.

	* lib/gaupol/gtk/dialog/find.py:
	  Swapped ins and bound on text buffer selection.

2006-07-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/formats/tmplayer.notes:
	* doc/formats/tmplayer.sample:
	* lib/gaupol/base/cons.py:
	* lib/gaupol/base/file/classes.py:
	* lib/gaupol/base/file/tmplayer.py:
	* lib/gaupol/base/tags/classes.py:
	* lib/gaupol/base/tags/tmplayer.py:
	  Added support for TMPlayer format.

	* lib/gaupol/base/file/microdvd.py:
	  Removed unnecessary list duplication.

2006-07-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/cellrend/classes.py:
	* lib/gaupol/gtk/cellrend/pixbuf.py:
	* lib/gaupol/gtk/cellrend/test/test_classes.py:
	* lib/gaupol/gtk/cellrend/test/test_pixbuf.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/page.py:
	* lib/gaupol/gtk/util/conf.py:
	* lib/gaupol/gtk/view.py:
	  Implemented showing .srtx files as images.

	* lib/gaupol/gtk/dialog/duradjust.py:
	* lib/gaupol/gtk/dialog/posadjust.py:
	  Fixed target radio button defaults in case of no selection.

2006-07-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* setup.py:
	  Fixed paths module generation.

2006-06-30  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/app.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	  Implemented global clipboard in Application class.

	* setup.py:
	  Fixed typo.

2006-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/__init__.py:
	  Bumped version number to 0.5.0.

	RELEASE 0.5.0.

2006-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/dialog/header.py:
	  Removed unused variables.

2006-06-28  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	  Removed docs.

	* lib/gaupol/gtk/dialog/find.py:
	  Require self._page to match current page on focus-out and replace.

2006-06-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/file/mpsub.py:
	  Fixed lack of calc.

2006-06-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* INSTALL:
	* README:
	* TODO:
	  Updated.

	* lib/gaupol/base/delegate/__init__.py:
	* lib/gaupol/base/delegate/action.py:
	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/file/ssa.py:
	* lib/gaupol/base/model.py:
	* lib/gaupol/base/tags/converter.py:
	* lib/gaupol/gtk/cellrend/text.py:
	* lib/gaupol/gtk/delegate/__init__.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/delegate/menuupdate.py:
	* lib/gaupol/gtk/dialog/multiclose.py:
	* lib/gaupol/gtk/dialog/spellcheck.py:
	* lib/gaupol/gtk/page.py:
	* lib/gaupol/gtk/util/gtklib.py:
	* lib/gaupol/gtk/view.py:
	* lib/gaupol/test/__init__.py:
	  Cosmetic changes.

	* setup.py:
	  Added comments.
	  Added --dry-run checks.

2006-06-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* MANIFEST.in:
	  Updated.

	* lib/gaupol/gtk/dialog/spellcheck.py:
	  Fixed SyntaxError.

	* setup.cfg:
	  Keep only the record line.

	* setup.py:
	  Updated.
	  Improved clean command.
	  Fixed errors.
	  Fixed paths.py generation.

2006-06-26  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/util/filelib.py:
	  Added readlines function.

	* lib/gaupol/gtk/delegate/edit.py:
	  Fixed fast man's double-click bug #6235.

	* lib/gaupol/gtk/dialog/spellcheck.py:
	  Use filelib.

	* setup.cfg:
	  Removed optimize.

	* setup.py:
	  Preliminary fixes.

	* tools/hide:
	* tools/pydoc:
	* tools/translate:
	  Cosmetic changes.

2006-06-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/cons.py:
	* lib/gaupol/base/delegate/filesave.py:
	* lib/gaupol/base/file/mpsub.py:
	  Fixed MPsub support.

2006-06-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/headers/mpsub.txt:
	* lib/gaupol/base/cons.py:
	* lib/gaupol/base/delegate/fileopen.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/delegate/stat.py:
	* lib/gaupol/base/delegate/test/test_format.py:
	* lib/gaupol/base/file/__init__.py:
	* lib/gaupol/base/file/classes.py:
	* lib/gaupol/base/file/mpl2.py:
	* lib/gaupol/base/file/mpsub.py:
	* lib/gaupol/base/file/ssa.py:
	* lib/gaupol/base/file/subviewer2.py:
	* lib/gaupol/base/tags/__init__.py:
	* lib/gaupol/base/tags/classes.py:
	* lib/gaupol/base/tags/mpsub.py:
	* lib/gaupol/base/tags/test/test_init.py:
	* lib/gaupol/gtk/delegate/filesave.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/dialog/header.py:
	* lib/gaupol/gtk/dialog/test/test_header.py:
	* tools/pylint:
	  Added support for MPsub.

2006-06-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/cons.py:
	  Unmarked some names translatable.

2006-06-25  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/main.py:
	  Do not fail on SyntaxError with Python 2.3.

	* tools/hide:
	* tools/list-glade:
	* tools/list-py:
	  New files.

	* tools/add-changelog:
	* tools/exec:
	* tools/profile:
	* tools/py.test:
	* tools/pydoc:
	* tools/pyenchant:
	* tools/pylint:
	* tools/status:
	* tools/translate:
	* tools/versions:
	  Revised.

2006-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/headers/microdvd.txt:
	* lib/gaupol/base/file/microdvd.py:
	* lib/gaupol/base/file/test/test_init.py:
	  Added support for MicroDVD headers.

2006-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/dialog/spellcheck.py:
	  Don't let amount of replacements exceed conf.spell_check.max_repl.

	* lib/gaupol/gtk/util/conf.py:
	  New option: spell_check.max_repl.

2006-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/releasing.txt:
	* po/README.translators:
	  Updated.

	* lib/gaupol/test/__init__.py:
	  Changed _SUBRIP_TEXT and _MICRODVD_TEXT.

2006-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/formats/ass.notes:
	* doc/formats/mdvddoc.html:
	* doc/formats/microdvd.notes:
	* doc/formats/mpl2.notes:
	* doc/formats/ssa.notes:
	* doc/formats/subrip.notes:
	* doc/formats/subviewer2.notes:
	  Renamed.

2006-06-24  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* doc/formats/COPYING:
	* doc/formats/README:
	* doc/formats/ass.sample:
	* doc/formats/ass.txt:
	* doc/formats/microdvd.html:
	* doc/formats/microdvd.sample:
	* doc/formats/microdvd.txt:
	* doc/formats/mpl2-eng.html:
	* doc/formats/mpl2.sample:
	* doc/formats/mpl2.txt:
	* doc/formats/ssa.sample:
	* doc/formats/ssa.txt:
	* doc/formats/subrip.sample:
	* doc/formats/subrip.txt:
	* doc/formats/subviewer2.sample:
	* doc/formats/subviewer2.txt:
	  Added samples. Reviewed notes.

	* lib/gaupol/gtk/delegate/guiinit.py:
	* lib/gaupol/gtk/dialog/find.py:
	  Minor fixes.

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/test/test_find.py:
	  Replaced self._pos with self._match_span.

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/text/test/test_finder.py:
	* lib/gaupol/gtk/delegate/test/test_filesave.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/spellcheck.py:
	* lib/gaupol/gtk/dialog/test/test_find.py:
	* lib/gaupol/gtk/util/test/test_conf.py:
	* tools/profile:
	  Fixed bugs.

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/dialog/find.py:
	  Fixed bugs.

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/find-dialog.glade:
	* data/glade/replace-dialog.glade:
	  Removed selected rows targets.

	* lib/gaupol/base/delegate/find.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/text/finder.py:
	* lib/gaupol/base/text/test/test_finder.py:
	* lib/gaupol/gtk/delegate/find.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/test/test_find.py:
	  Fixed bugs.

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/posadjust-dialog.glade:
	  Changed current entry sensitivities back to true

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/action.py:
	* lib/gaupol/gtk/delegate/appupdate.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/viewupdate.py:
	  Removed all page.view.grab_focus() calls.

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/action.py:
	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/gtk/delegate/action.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/filesave.py:
	* lib/gaupol/gtk/delegate/find.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/delegate/guiinit.py:
	* lib/gaupol/gtk/delegate/position.py:
	* lib/gaupol/gtk/delegate/spellcheck.py:
	* lib/gaupol/gtk/delegate/test/test_find.py:
	* lib/gaupol/gtk/dialog/debug.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/spellcheck.py:
	  Fixed bugs.

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* gaupol:
	* lib/gaupol/base/delegate/action.py:
	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/fileopen.py:
	* lib/gaupol/base/delegate/filesave.py:
	* lib/gaupol/base/delegate/find.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/delegate/position.py:
	* lib/gaupol/base/delegate/preview.py:
	* lib/gaupol/base/delegate/test/test_action.py:
	* lib/gaupol/base/delegate/test/test_edit.py:
	* lib/gaupol/base/delegate/test/test_filesave.py:
	* lib/gaupol/base/delegate/test/test_find.py:
	* lib/gaupol/base/delegate/test/test_format.py:
	* lib/gaupol/base/delegate/test/test_position.py:
	* lib/gaupol/base/delegate/test/test_preview.py:
	* lib/gaupol/base/delegate/test/test_stat.py:
	* lib/gaupol/gtk/app.py:
	* lib/gaupol/gtk/delegate/__init__.py:
	* lib/gaupol/gtk/delegate/action.py:
	* lib/gaupol/gtk/delegate/appupdate.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileclose.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/filesave.py:
	* lib/gaupol/gtk/delegate/find.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/delegate/guiinit.py:
	* lib/gaupol/gtk/delegate/menuupdate.py:
	* lib/gaupol/gtk/delegate/position.py:
	* lib/gaupol/gtk/delegate/pref.py:
	* lib/gaupol/gtk/delegate/preview.py:
	* lib/gaupol/gtk/delegate/spellcheck.py:
	* lib/gaupol/gtk/delegate/test/.hidden:
	* lib/gaupol/gtk/delegate/test/test_action.py:
	* lib/gaupol/gtk/delegate/test/test_edit.py:
	* lib/gaupol/gtk/delegate/test/test_fileclose.py:
	* lib/gaupol/gtk/delegate/test/test_fileopen.py:
	* lib/gaupol/gtk/delegate/test/test_find.py:
	* lib/gaupol/gtk/delegate/test/test_format.py:
	* lib/gaupol/gtk/delegate/test/test_pref.py:
	* lib/gaupol/gtk/delegate/test/test_spellcheck.py:
	* lib/gaupol/gtk/delegate/test/test_viewupdate.py:
	* lib/gaupol/gtk/delegate/view.py:
	* lib/gaupol/gtk/delegate/viewupdate.py:
	* lib/gaupol/gtk/dialog/debug.py:
	* lib/gaupol/gtk/dialog/duradjust.py:
	* lib/gaupol/gtk/dialog/encoding.py:
	* lib/gaupol/gtk/dialog/file.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/frconvert.py:
	* lib/gaupol/gtk/dialog/language.py:
	* lib/gaupol/gtk/dialog/posadjust.py:
	* lib/gaupol/gtk/dialog/posshift.py:
	* lib/gaupol/gtk/dialog/pref.py:
	* lib/gaupol/gtk/dialog/previewerr.py:
	* lib/gaupol/gtk/dialog/spellcheck.py:
	* lib/gaupol/gtk/dialog/subinsert.py:
	* lib/gaupol/gtk/dialog/test/test_duradjust.py:
	* lib/gaupol/gtk/dialog/test/test_find.py:
	* lib/gaupol/gtk/dialog/test/test_pref.py:
	* lib/gaupol/gtk/dialog/test/test_previewerr.py:
	* lib/gaupol/gtk/dialog/test/test_spellcheck.py:
	* lib/gaupol/gtk/dialog/textedit.py:
	* lib/gaupol/gtk/output.py:
	* lib/gaupol/gtk/page.py:
	* lib/gaupol/gtk/test/test_page.py:
	* lib/gaupol/gtk/util/conf.py:
	* lib/gaupol/gtk/util/test/test_conf.py:
	* lib/gaupol/gtk/view.py:
	  Adjusted to renamings.

2006-06-23  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.desktop.in:
	* data/glade/pref-dialog.glade:
	* data/glade/previewerr-dialog.glade:
	* lib/gaupol/base/icons.py:
	* lib/gaupol/gtk/delegate/pref.py:
	* lib/gaupol/gtk/delegate/test/test_pref.py:
	* lib/gaupol/gtk/dialog/pref.py:
	* lib/gaupol/gtk/dialog/previewerr.py:
	* lib/gaupol/gtk/dialog/test/test_pref.py:
	* lib/gaupol/gtk/dialog/test/test_previewerr.py:
	* lib/gaupol/gtk/icons.py:
	* lib/gaupol/gtk/test/test_app.py:
	* lib/gaupol/gtk/util/conf.py:
	* lib/gaupol/gtk/util/test/test_conf.py:
	  Renamed.

2006-06-22  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.desktop:
	* data/glade/debug-dialog.glade:
	* data/glade/duradjust-dialog.glade:
	* data/glade/encoding-dialog.glade:
	* data/glade/find-dialog.glade:
	* data/glade/frconvert-dialog.glade:
	* data/glade/header-dialog.glade:
	* data/glade/language-dialog.glade:
	* data/glade/multiclose-dialog.glade:
	* data/glade/posadjust-dialog.glade:
	* data/glade/posshift-dialog.glade:
	* data/glade/preferences-dialog.glade:
	* data/glade/previewerror-dialog.glade:
	* data/glade/replace-dialog.glade:
	* data/glade/spellcheck-dialog.glade:
	* data/glade/subinsert-dialog.glade:
	* data/headers/ass.txt:
	* data/headers/ssa.txt:
	* data/headers/subviewer2.txt:
	* data/headers:
	* data/ui/menubar.xml:
	* data/ui/popups.xml:
	* data/ui/toolbar.xml:
	* lib/gaupol/__init__.py:
	* lib/gaupol/base/clipboard.py:
	* lib/gaupol/base/colcons.py:
	* lib/gaupol/base/cons.py:
	* lib/gaupol/base/delegate/__init__.py:
	* lib/gaupol/base/delegate/action.py:
	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/fileopen.py:
	* lib/gaupol/base/delegate/filesave.py:
	* lib/gaupol/base/delegate/find.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/delegate/position.py:
	* lib/gaupol/base/delegate/preview.py:
	* lib/gaupol/base/delegate/test/test_action.py:
	* lib/gaupol/base/delegate/test/test_edit.py:
	* lib/gaupol/base/delegate/test/test_fileopen.py:
	* lib/gaupol/base/delegate/test/test_filesave.py:
	* lib/gaupol/base/delegate/test/test_find.py:
	* lib/gaupol/base/delegate/test/test_format.py:
	* lib/gaupol/base/delegate/test/test_position.py:
	* lib/gaupol/base/delegate/test/test_preview.py:
	* lib/gaupol/base/delegate/test/test_stat.py:
	* lib/gaupol/base/error.py:
	* lib/gaupol/base/file/__init__.py:
	* lib/gaupol/base/file/ass.py:
	* lib/gaupol/base/file/classes.py:
	* lib/gaupol/base/file/determiner.py:
	* lib/gaupol/base/file/microdvd.py:
	* lib/gaupol/base/file/mpl2.py:
	* lib/gaupol/base/file/ssa.py:
	* lib/gaupol/base/file/subrip.py:
	* lib/gaupol/base/file/subviewer2.py:
	* lib/gaupol/base/file/test/test_init.py:
	* lib/gaupol/base/model.py:
	* lib/gaupol/base/paths.py:
	* lib/gaupol/base/position/calc.py:
	* lib/gaupol/base/position/test/test_calc.py:
	* lib/gaupol/base/project.py:
	* lib/gaupol/base/tags/__init__.py:
	* lib/gaupol/base/tags/ass.py:
	* lib/gaupol/base/tags/classes.py:
	* lib/gaupol/base/tags/converter.py:
	* lib/gaupol/base/tags/internal.py:
	* lib/gaupol/base/tags/microdvd.py:
	* lib/gaupol/base/tags/mpl2.py:
	* lib/gaupol/base/tags/ssa.py:
	* lib/gaupol/base/tags/subrip.py:
	* lib/gaupol/base/tags/subviewer2.py:
	* lib/gaupol/base/tags/test/test_init.py:
	* lib/gaupol/base/test/test_clipboard.py:
	* lib/gaupol/base/test/test_model.py:
	* lib/gaupol/base/text/finder.py:
	* lib/gaupol/base/text/parser.py:
	* lib/gaupol/base/text/test/test_parser.py:
	* lib/gaupol/base/util/enclib.py:
	* lib/gaupol/base/util/filelib.py:
	* lib/gaupol/base/util/langlib.py:
	* lib/gaupol/base/util/listlib.py:
	* lib/gaupol/base/util/test/test_enclib.py:
	* lib/gaupol/base/util/test/test_filelib.py:
	* lib/gaupol/base/util/test/test_wwwlib.py:
	* lib/gaupol/base/util/wwwlib.py:
	* lib/gaupol/gtk/app.py:
	* lib/gaupol/gtk/cellrend/multiline.py:
	* lib/gaupol/gtk/cellrend/test/test_time.py:
	* lib/gaupol/gtk/cellrend/text.py:
	* lib/gaupol/gtk/cellrend/time.py:
	* lib/gaupol/gtk/colcons.py:
	* lib/gaupol/gtk/cons.py:
	* lib/gaupol/gtk/delegate/__init__.py:
	* lib/gaupol/gtk/delegate/action.py:
	* lib/gaupol/gtk/delegate/appupdate.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileclose.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/filesave.py:
	* lib/gaupol/gtk/delegate/find.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/delegate/guiinit.py:
	* lib/gaupol/gtk/delegate/help.py:
	* lib/gaupol/gtk/delegate/menuupdate.py:
	* lib/gaupol/gtk/delegate/position.py:
	* lib/gaupol/gtk/delegate/preferences.py:
	* lib/gaupol/gtk/delegate/preview.py:
	* lib/gaupol/gtk/delegate/spellcheck.py:
	* lib/gaupol/gtk/delegate/test/.hidden:
	* lib/gaupol/gtk/delegate/test/__init__.py:
	* lib/gaupol/gtk/delegate/test/test_action.py:
	* lib/gaupol/gtk/delegate/test/test_appupdate.py:
	* lib/gaupol/gtk/delegate/test/test_edit.py:
	* lib/gaupol/gtk/delegate/test/test_fileclose.py:
	* lib/gaupol/gtk/delegate/test/test_fileopen.py:
	* lib/gaupol/gtk/delegate/test/test_filesave.py:
	* lib/gaupol/gtk/delegate/test/test_find.py:
	* lib/gaupol/gtk/delegate/test/test_format.py:
	* lib/gaupol/gtk/delegate/test/test_help.py:
	* lib/gaupol/gtk/delegate/test/test_menuupdate.py:
	* lib/gaupol/gtk/delegate/test/test_position.py:
	* lib/gaupol/gtk/delegate/test/test_preferences.py:
	* lib/gaupol/gtk/delegate/test/test_preview.py:
	* lib/gaupol/gtk/delegate/test/test_spellcheck.py:
	* lib/gaupol/gtk/delegate/test/test_view.py:
	* lib/gaupol/gtk/delegate/test/test_viewupdate.py:
	* lib/gaupol/gtk/delegate/test:
	* lib/gaupol/gtk/delegate/view.py:
	* lib/gaupol/gtk/delegate/viewupdate.py:
	* lib/gaupol/gtk/dialog/about.py:
	* lib/gaupol/gtk/dialog/debug.py:
	* lib/gaupol/gtk/dialog/duradjust.py:
	* lib/gaupol/gtk/dialog/encoding.py:
	* lib/gaupol/gtk/dialog/file.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/frconvert.py:
	* lib/gaupol/gtk/dialog/header.py:
	* lib/gaupol/gtk/dialog/language.py:
	* lib/gaupol/gtk/dialog/message.py:
	* lib/gaupol/gtk/dialog/multiclose.py:
	* lib/gaupol/gtk/dialog/posadjust.py:
	* lib/gaupol/gtk/dialog/posshift.py:
	* lib/gaupol/gtk/dialog/preferences.py:
	* lib/gaupol/gtk/dialog/previewerror.py:
	* lib/gaupol/gtk/dialog/spellcheck.py:
	* lib/gaupol/gtk/dialog/subinsert.py:
	* lib/gaupol/gtk/dialog/test/test_about.py:
	* lib/gaupol/gtk/dialog/test/test_debug.py:
	* lib/gaupol/gtk/dialog/test/test_duradjust.py:
	* lib/gaupol/gtk/dialog/test/test_encoding.py:
	* lib/gaupol/gtk/dialog/test/test_file.py:
	* lib/gaupol/gtk/dialog/test/test_find.py:
	* lib/gaupol/gtk/dialog/test/test_frconvert.py:
	* lib/gaupol/gtk/dialog/test/test_header.py:
	* lib/gaupol/gtk/dialog/test/test_language.py:
	* lib/gaupol/gtk/dialog/test/test_multiclose.py:
	* lib/gaupol/gtk/dialog/test/test_posadjust.py:
	* lib/gaupol/gtk/dialog/test/test_posshift.py:
	* lib/gaupol/gtk/dialog/test/test_preferences.py:
	* lib/gaupol/gtk/dialog/test/test_previewerror.py:
	* lib/gaupol/gtk/dialog/test/test_spellcheck.py:
	* lib/gaupol/gtk/dialog/test/test_subinsert.py:
	* lib/gaupol/gtk/dialog/test/test_textedit.py:
	* lib/gaupol/gtk/dialog/textedit.py:
	* lib/gaupol/gtk/entry/integer.py:
	* lib/gaupol/gtk/entry/test/test_time.py:
	* lib/gaupol/gtk/entry/time.py:
	* lib/gaupol/gtk/error.py:
	* lib/gaupol/gtk/main.py:
	* lib/gaupol/gtk/output.py:
	* lib/gaupol/gtk/page.py:
	* lib/gaupol/gtk/paths.py:
	* lib/gaupol/gtk/test/test_application.py:
	* lib/gaupol/gtk/test/test_output.py:
	* lib/gaupol/gtk/test/test_page.py:
	* lib/gaupol/gtk/test/test_view.py:
	* lib/gaupol/gtk/urls.py:
	* lib/gaupol/gtk/util/config.py:
	* lib/gaupol/gtk/util/gtklib.py:
	* lib/gaupol/gtk/util/test/test_config.py:
	* lib/gaupol/gtk/view.py:
	* lib/gaupol/test/__init__.py:
	* lib/gaupol/test/decor.py:
	* tools/add-changelog:
	* tools/pylint:
	* tools/status:
	* tools/translate:
	* tools/versions:
	  Cleaned up code.
	  Separated testing.
	  Added encoding auto-detection.
	  Completed find and replace dialogs.
	  Lots of miscellaneous changes.

2006-06-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/app.py:
	  Renamed from application.py.

2006-06-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/application.py:
	* lib/gaupol/gtk/delegate/__init__.py:
	* lib/gaupol/gtk/delegate/action.py:
	* lib/gaupol/gtk/delegate/appupdate.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileclose.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/filesave.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/delegate/help.py:
	* lib/gaupol/gtk/delegate/menuupdate.py:
	* lib/gaupol/gtk/delegate/position.py:
	* lib/gaupol/gtk/delegate/preferences.py:
	* lib/gaupol/gtk/delegate/preview.py:
	* lib/gaupol/gtk/delegate/spellcheck.py:
	* lib/gaupol/gtk/delegate/view.py:
	* lib/gaupol/gtk/delegate/viewupdate.py:
	* lib/gaupol/gtk/dialog/duradjust.py:
	* lib/gaupol/gtk/dialog/encoding.py:
	* lib/gaupol/gtk/dialog/file.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/frconvert.py:
	* lib/gaupol/gtk/dialog/posadjust.py:
	* lib/gaupol/gtk/dialog/posshift.py:
	* lib/gaupol/gtk/dialog/test/test_file.py:
	* lib/gaupol/gtk/main.py:
	* lib/gaupol/gtk/test/test_application.py:
	  Cleaned up code.
	  Separated testing.

	* setup.py:
	  Added a preliminary clean command.

2006-06-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/filesave.py:
	* lib/gaupol/gtk/dialog/test/test_file.py:
	  Adjusted to renamings.

2006-06-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/gtk/dialog/file.py:
	* lib/gaupol/gtk/dialog/test/test_file.py:
	  Renamed from filechooser.

2006-06-07  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/encoding-dialog.glade:
	* lib/gaupol/gtk/dialog/about.py:
	* lib/gaupol/gtk/dialog/encoding.py:
	* lib/gaupol/gtk/dialog/filechooser.py:
	* lib/gaupol/gtk/dialog/message.py:
	* lib/gaupol/gtk/dialog/test/test_about.py:
	* lib/gaupol/gtk/dialog/test/test_encoding.py:
	* lib/gaupol/gtk/dialog/test/test_filechooser.py:
	* lib/gaupol/gtk/dialog/test/test_message.py:
	  Cleaned up code.
	  Separated testing.

2006-06-06  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/debug-dialog.glade:
	* lib/gaupol/base/util/wwwlib.py:
	* lib/gaupol/gtk/dialog/debug.py:
	* lib/gaupol/gtk/dialog/test:
	* lib/gaupol/gtk/dialog/test/__init__.py:
	* lib/gaupol/gtk/dialog/test/test_debug.py:
	  Cleaned up code.
	  Separated testing.
	  Fixed debug dialog depending on enchant bug.

2006-06-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/delegate/position.py:
	* lib/gaupol/base/delegate/test/test_edit.py:
	* lib/gaupol/base/delegate/test/test_position.py:
	* lib/gaupol/gtk/delegate/position.py:
	  Cleaned up code.
	  Separated testing.

2006-06-05  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/fileopen.py:
	* lib/gaupol/base/delegate/find.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/delegate/preview.py:
	* lib/gaupol/base/delegate/test/test_edit.py:
	* lib/gaupol/base/delegate/test/test_filesave.py:
	* lib/gaupol/base/delegate/test/test_find.py:
	* lib/gaupol/base/delegate/test/test_format.py:
	* lib/gaupol/base/file/test/test_determiner.py:
	* lib/gaupol/base/file/test/test_init.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/util/test/test_config.py:
	  Cleaned up code.
	  Separated testing.

2006-06-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate/__init__.py:
	* lib/gaupol/base/delegate/action.py:
	* lib/gaupol/base/delegate/edit.py:
	* lib/gaupol/base/delegate/fileopen.py:
	* lib/gaupol/base/delegate/filesave.py:
	* lib/gaupol/base/delegate/find.py:
	* lib/gaupol/base/delegate/format.py:
	* lib/gaupol/base/delegate/position.py:
	* lib/gaupol/base/delegate/preview.py:
	* lib/gaupol/base/delegate/stat.py:
	* lib/gaupol/base/delegate/test/test_action.py:
	* lib/gaupol/base/delegate/test/test_fileopen.py:
	* lib/gaupol/base/delegate/test/test_filesave.py:
	* lib/gaupol/base/delegate/test/test_preview.py:
	* lib/gaupol/base/project.py:
	* lib/gaupol/gtk/application.py:
	* lib/gaupol/gtk/delegate/__init__.py:
	* lib/gaupol/gtk/delegate/action.py:
	* lib/gaupol/gtk/delegate/appupdate.py:
	* lib/gaupol/gtk/delegate/edit.py:
	* lib/gaupol/gtk/delegate/fileclose.py:
	* lib/gaupol/gtk/delegate/fileopen.py:
	* lib/gaupol/gtk/delegate/filesave.py:
	* lib/gaupol/gtk/delegate/find.py:
	* lib/gaupol/gtk/delegate/format.py:
	* lib/gaupol/gtk/delegate/guiinit.py:
	* lib/gaupol/gtk/delegate/help.py:
	* lib/gaupol/gtk/delegate/menuupdate.py:
	* lib/gaupol/gtk/delegate/position.py:
	* lib/gaupol/gtk/delegate/preferences.py:
	* lib/gaupol/gtk/delegate/preview.py:
	* lib/gaupol/gtk/delegate/spellcheck.py:
	* lib/gaupol/gtk/delegate/view.py:
	* lib/gaupol/gtk/delegate/viewupdate.py:
	* lib/gaupol/gtk/dialog/debug.py:
	* lib/gaupol/gtk/dialog/filechooser.py:
	* lib/gaupol/gtk/dialog/find.py:
	* lib/gaupol/gtk/dialog/preferences.py:
	* lib/gaupol/gtk/dialog/spellcheck.py:
	* lib/gaupol/gtk/main.py:
	  Adjusted to renamings.

2006-06-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegate:
	* lib/gaupol/gtk/delegate:
	* lib/gaupol/gtk/dialog:
	  Renamed.

2006-06-04  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/gaupol.desktop:
	  Added Polish translations.

	* lib/gaupol/__init__.py:
	* lib/gaupol/base/__init__.py:
	* lib/gaupol/base/delegates/__init__.py:
	* lib/gaupol/base/delegates/edit.py:
	* lib/gaupol/base/delegates/fileopen.py:
	* lib/gaupol/base/delegates/filesave.py:
	* lib/gaupol/base/delegates/find.py:
	* lib/gaupol/base/delegates/test/test_fileopen.py:
	* lib/gaupol/base/delegates/test/test_filesave.py:
	* lib/gaupol/base/delegates/test/test_find.py:
	* lib/gaupol/base/file/__init__.py:
	* lib/gaupol/base/position/__init__.py:
	* lib/gaupol/base/project.py:
	* lib/gaupol/base/tags/__init__.py:
	* lib/gaupol/base/tags/converter.py:
	* lib/gaupol/base/tags/test/test_converter.py:
	* lib/gaupol/base/test/test_project.py:
	* lib/gaupol/base/text/__init__.py:
	* lib/gaupol/base/util/__init__.py:
	* lib/gaupol/gtk/__init__.py:
	* lib/gaupol/gtk/application.py:
	* lib/gaupol/gtk/cellrend/__init__.py:
	* lib/gaupol/gtk/delegates/__init__.py:
	* lib/gaupol/gtk/delegates/fileopen.py:
	* lib/gaupol/gtk/delegates/menuupdate.py:
	* lib/gaupol/gtk/dialogs/__init__.py:
	* lib/gaupol/gtk/dialogs/find.py:
	* lib/gaupol/gtk/entry/__init__.py:
	* lib/gaupol/gtk/util/__init__.py:
	* lib/gaupol/gtk/util/config.py:
	* lib/gaupol/test/__init__.py:
	* tools/pydoc:
	  Cleaned up code.
	  Separated testing.
	  Added package docstrings.

2006-06-03  <nierozwazny@o2.pl>

	* pl.po: Added polish translation.

2006-06-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/glade/preferences-dialog.glade:
	* lib/gaupol/base/cons.py:
	* lib/gaupol/base/delegates/preview.py:
	* lib/gaupol/base/delegates/test/test_preview.py:
	* lib/gaupol/gtk/delegates/fileopen.py:
	* lib/gaupol/gtk/delegates/filesave.py:
	* lib/gaupol/gtk/delegates/preview.py:
	* lib/gaupol/gtk/dialogs/preferences.py:
	  Cleaned up code.
	  Separated testing.
	  Use string.Template with preview command.

2006-06-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/util/test/test_enclib.py:
	* lib/gaupol/gtk/delegates/fileopen.py:
	* lib/gaupol/gtk/delegates/filesave.py:
	* lib/gaupol/gtk/dialogs/encoding.py:
	* lib/gaupol/gtk/dialogs/filechooser.py:
	* lib/gaupol/gtk/dialogs/preferences.py:
	  Changed all references of encodinglib to enclib.

2006-06-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/util/enclib.py:
	* lib/gaupol/base/util/test/test_enclib.py:
	  Renamed from encodinglib.

2006-06-03  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* lib/gaupol/base/delegates/__init__.py:
	* lib/gaupol/base/delegates/action.py:
	* lib/gaupol/base/delegates/edit.py:
	* lib/gaupol/base/delegates/find.py:
	* lib/gaupol/base/delegates/format.py:
	* lib/gaupol/base/delegates/position.py:
	* lib/gaupol/base/delegates/stat.py:
	* lib/gaupol/base/delegates/test/__init__.py:
	* lib/gaupol/base/delegates/test/test_action.py:
	* lib/gaupol/base/delegates/test/test_stat.py:
	* lib/gaupol/base/delegates/test:
	* lib/gaupol/base/file/mpl2.py:
	* lib/gaupol/base/file/ssa.py:
	* lib/gaupol/base/file/subviewer2.py:
	* lib/gaupol/base/file/test/test_determiner.py:
	* lib/gaupol/base/file/test/test_init.py:
	* lib/gaupol/base/position/calc.py:
	* lib/gaupol/base/position/test/test_calc.py:
	* lib/gaupol/base/project.py:
	* lib/gaupol/base/test/test_cons.py:
	* lib/gaupol/base/test/test_project.py:
	* lib/gaupol/base/util/encodinglib.py:
	* lib/gaupol/base/util/langlib.py:
	* lib/gaupol/base/util/listlib.py:
	* lib/gaupol/base/util/test/test_encodinglib.py:
	* lib/gaupol/base/util/test/test_langlib.py:
	* lib/gaupol/base/util/test/test_listlib.py:
	* lib/gaupol/base/util/test/test_wwwlib.py:
	* lib/gaupol/gtk/cellrend/classes.py:
	* lib/gaupol/gtk/cellrend/multiline.py:
	* lib/gaupol/gtk/cellrend/test/test_classes.py:
	* lib/gaupol/gtk/cellrend/test/test_multiline.py:
	* lib/gaupol/gtk/delegates/action.py:
	* lib/gaupol/gtk/delegates/fileopen.py:
	* lib/gaupol/gtk/delegates/spellcheck.py:
	* lib/gaupol/gtk/delegates/viewupdate.py:
	* lib/gaupol/gtk/dialogs/filechooser.py:
	* lib/gaupol/gtk/dialogs/find.py:
	* lib/gaupol/gtk/dialogs/language.py:
	* lib/gaupol/gtk/dialogs/preferences.py:
	* lib/gaupol/gtk/dialogs/spellcheck.py:
	* lib/gaupol/gtk/entry/time.py:
	* lib/gaupol/gtk/view.py:
	* lib/gaupol/test/__init__.py:
	* tools/pylint:
	* tools/translate:
	  Cleaned up code.
	  Separated testing.

2006-06-01  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* data/ui/menubar.xml:
	* lib/gaupol/base/colcons.py:
	* lib/gaupol/base/cons.py:
	* lib/gaupol/base/delegates/edit.py:
	* lib/gaupol/base/delegates/fileopen.py:
	* lib/gaupol/base/delegates/filesave.py:
	* lib/gaupol/base/delegates/format.py:
	* lib/gaupol/base/delegates/position.py:
	* lib/gaupol/base/delegates/preview.py:
	* lib/gaupol/base/file/__init__.py:
	* lib/gaupol/base/file/ass.py:
	* lib/gaupol/base/file/determiner.py:
	* lib/gaupol/base/file/microdvd.py:
	* lib/gaupol/base/file/mpl2.py:
	* lib/gaupol/base/file/ssa.py:
	* lib/gaupol/base/file/subrip.py:
	* lib/gaupol/base/file/subviewer2.py:
	* lib/gaupol/base/file/test/test_classes.py:
	* lib/gaupol/base/file/test/test_determiner.py:
	* lib/gaupol/base/file/test/test_init.py:
	* lib/gaupol/base/position/calc.py:
	* lib/gaupol/base/position/test/test_calc.py:
	* lib/gaupol/base/tags/classes.py:
	* lib/gaupol/base/tags/converter.py:
	* lib/gaupol/base/tags/test/test_classes.py:
	* lib/gaupol/base/tags/test/test_converter.py:
	* lib/gaupol/base/tags/test/test_init.py:
	* lib/gaupol/base/text/test/test_finder.py:
	* lib/gaupol/base/text/test/test_parser.py:
	* lib/gaupol/base/util/encodinglib.py:
	* lib/gaupol/base/util/langlib.py:
	* lib/gaupol/base/util/test/test_wwwlib.py:
	* lib/gaupol/base/util/wwwlib.py:
	* lib/gaupol/gtk/colcons.py:
	* lib/gaupol/gtk/cons.py:
	* lib/gaupol/gtk/delegates/action.py:
	* lib/gaupol/gtk/delegates/appupdate.py:
	* lib/gaupol/gtk/delegates/edit.py:
	* lib/gaupol/gtk/delegates/fileclose.py:
	* lib/gaupol/gtk/delegates/fileopen.py:
	* lib/gaupol/gtk/delegates/filesave.py:
	* lib/gaupol/gtk/delegates/format.py:
	* lib/gaupol/gtk/delegates/guiinit.py:
	* lib/gaupol/gtk/delegates/menuupdate.py:
	* lib/gaupol/gtk/delegates/preferences.py:
	* lib/gaupol/gtk/delegates/preview.py:
	* lib/gaupol/gtk/delegates/spellcheck.py:
	* lib/gaupol/gtk/delegates/view.py:
	* lib/gaupol/gtk/delegates/viewupdate.py:
	* lib/gaupol/gtk/dialogs/debug.py:
	* lib/gaupol/gtk/dialogs/duradjust.py:
	* lib/gaupol/gtk/dialogs/encoding.py:
	* lib/gaupol/gtk/dialogs/filechooser.py:
	* lib/gaupol/gtk/dialogs/find.py:
	* lib/gaupol/gtk/dialogs/frconvert.py:
	* lib/gaupol/gtk/dialogs/language.py:
	* lib/gaupol/gtk/dialogs/posadjust.py:
	* lib/gaupol/gtk/dialogs/posshift.py:
	* lib/gaupol/gtk/dialogs/preferences.py:
	* lib/gaupol/gtk/dialogs/spellcheck.py:
	* lib/gaupol/gtk/dialogs/subinsert.py:
	* lib/gaupol/gtk/dialogs/textedit.py:
	* lib/gaupol/gtk/entry/time.py:
	* lib/gaupol/gtk/output.py:
	* lib/gaupol/gtk/page.py:
	* lib/gaupol/gtk/paths.py:
	* lib/gaupol/gtk/test/test_output.py:
	* lib/gaupol/gtk/util/config.py:
	* lib/gaupol/gtk/util/gtklib.py:
	* lib/gaupol/gtk/util/test/test_config.py:
	* lib/gaupol/gtk/util/test/test_gtklib.py:
	* lib/gaupol/gtk/view.py:
	* tools/add-changelog:
	* tools/exec:
	* tools/profile:
	* tools/py.test:
	* tools/pydoc:
	* tools/pyenchant:
	* tools/pylint:
	* tools/status:
	* tools/translate:
	  Rewrote parts of config and constant modules.
	  Cleaned up code.

2006-05-31  Osmo Salomaa  <otsaloma@cc.hut.fi>

	* ChangeLog:
	* lib/gaupol/__init__.py:
	* lib/gaupol/base/clipboard.py:
	* lib/gaupol/base/cons.py:
	* lib/gaupol/base/delegates/__init__.py:
	* lib/gaupol/base/delegates/action.py:
	* lib/gaupol/base/delegates/edit.py:
	* lib/gaupol/base/delegates/fileopen.py:
	* lib/gaupol/base/delegates/filesave.py:
	* lib/gaupol/base/delegates/find.py:
	* lib/gaupol/base/delegates/format.py:
